[RPG Maker 2003]

Version 1.12a

About this Software

·This software is a game construction tool for role-playing games (RPGs), a popular genre of videogames.

·Many options for game content are provided in the editor. Just by entering values as required, you can create a game even without programming knowledge.

·Basic game resources (such as graphics, sounds, etc.) are provided in the Runtime Package (RTP), so you can start making a game immediately. Of course, custom resources can be imported as well.

·Games made with RPG Maker 2003 can be played by users who do not have this software as long as they download the RTP.

(C) 2002 ~ 2017 ENTERBRAIN,INC. / KADOKAWA GAMES

(C) 2000 YOJI OJIMA

English version translated, localized and improved by:

Jie Xin "Cy" Tan

Jasmin "Archeia" Toral

David "Cherry" Trapp (dot labs)

For the changelog, see http://tinyurl.com/rm2003cl


Overview

Editor

Game


Editor

[Basic Functions] → [Editor]

Running and Quitting the Program

·To start the editor, click [Start] > [All Programs] > [KADOKAWA] > [RPG Maker 2003] (folder) > [RPG Maker 2003].

·To quit the editor, choose [Exit] from the [Project] menu, or click the [X] button in the title bar.

Entering and Selecting Values

Much of your game creation will require you to enter values into provided fields. There are various methods of doing this, ranging from typing text to selecting predetermined options.

These are the edit methods for the main entry fields and functions for related buttons.

1.Text Entry

·Click the text box. When the cursor mark “|” is visible, enter text using your keyboard. Text will be inserted at the cursor location. The cursor can be moved with the keyboard's directional keys.

2.Numerical Entry

·Click the text box. When the cursor mark “|” is visible, enter a number using your keyboard.

·Clicking the up and down arrows [↑] [↓] at the side of the text box will increase and decrease the value in the box by 1 respectively. Clicking and dragging the diamond button [◇] up and down will change the value by 1 for each pixel moved by the cursor.

3.Option Buttons

·A circular button is located next to each option. To select an option, click on the corresponding button. The chosen option will have a black circle within its button.

4.Checkboxes

·These boxes determine which options within a group are in effect. If there is a tick inside the box, then the corresponding option is selected. To check or uncheck a box, simply click it.

5.Dropdown List

·Choose one option from a list. Clicking the arrow on the right side of the box will display all options. Click one of the displayed options to select it.

6.Listbox

·Shows all the options that have been set. This is usually used to select a member of the list to edit. The selected member is highlighted.

7.[Settings] [...] Buttons

·Clicking on the buttons opens a new window for editing. These buttons are mainly used to set images, sounds, variables, etc.

8.[OK] [Cancel] [Apply]

·If changes have been made within the window, these buttons are used to decide if those changes will take effect.

·Click the [OK] button to confirm any changes made. Clicking the [Apply] button saves the changes, but does not close the edit window. Clicking the [Cancel] button closes the window without saving any changes.


Game

[Basic Functions] → [Game]

Running and Quitting the Game

·A player can run a game by opening the "RPG_RT.exe" file in the game folder, or by using a startmenu/desktop shortcut created by a game installer.

·To end the game, choose “To Title Screen” from the main menu of the game, then choose “Shutdown” from the title screen. When playing in windowed mode, the game can also be closed by clicking the [X] button at the top-right corner of the title bar. Another way to end the game is by pressing the [Alt] and [F4] keys simultaneously.

Game Controls

·Three types of keys are used during gameplay: directional, select, and cancel.

·These functions are assigned to certain keys as follows:

(Control key) | (Keyboard)
Directional key (Up): | [Up arrow] [K] [Num8]
(Down): | [Down arrow] [J] [Num2]
(Left): | [Left arrow] [H] [Num4]
(Right): | [Right arrow] [L] [Num6]
Select key: | [Enter] [Space] [Z] [Y]
Cancel key: | [Esc] [X] [C] [V] [B] [N] [Num0]

* "NumX" keys refer to the keys on the number pad.

* When using a joystick or gamepad, the directional pad and the analog stick serve as the directional keys, buttons 1 and 3 are the select keys, and button 2 is the cancel key.

·The functions of each key range from manipulating the character on the map, to choosing options from message windows. These are the main functions:

oControl key

o(Character control)

o(Commands, choosing options)

oDirectional keys

Moves the character in various directions

Moves the cursor in various directions

oSelect/ Decision key

Checks (talk, investigate, etc.) the character's current location or facing location.

Chooses the option that is currently highlighted by the cursor.

oCancel key

Opens the menu screen.

Cancels one action, or closes the menu screen (*1).

·Depending on the game events, keys other than the ones above may be used. Usable keys are as follows:

[0] [1] [2] [3] [4] [5] [6] [7] [8] [9] [/] [*] [-] [+] [.] [Shift]

·The function keys have the following uses.

[SHIFT]: This will enable the player to skip dialogue when in playtest.

[CTRL]: In playtest, this will enable the player to walk through obstacles such as walls and unpassable tiles and prevent enemy encounters.

[F4]: Toggles fullscreen/windowed modes.

[F5]: Opens the [Video Options].
[F9]: Opens the Debug Menu when in playtest.

[F10]: Cancels the currently running event (autostart events are restarted) when in playtest.

[Alt+F12]: Returns to the title screen. During battle test mode, it restarts the battle. (Pressing F12 alone will show a message "Press Alt+F12 to restart", because in previous versions, F12 alone was used as restart hotkey.)

In-Game Commands

·The in-game menu commands can be customized to fit the game. Changes can be made in the [Database] window, under the [System 2] tab in [Command Customization].

Items: Use items.

Skills: Use skills.

Equipment: Equip items.

Status: Check character statuses.

Row: Set the character's formation (front or back).

Formation: Change your party order.

Wait ON/OFF: Enable/disable waiting mode in battle. The default mode is ON. If waiting mode is enabled, enemies will not attack while the player is selecting a skill or item to use.

Save: Save game progress.

To Title: Return to title screen.

* Terms used for commands may differ from game to game, as they are changeable from the [Terms] tab in the [Database] window. The default names will be used here.

·Commands that can be selected on the battle screen are as follows:

A.Party command. Select an action for the whole party to take. This command is available if [Battle screen interface] under [Battle screen] in [Database] is set to B type or Gauge type.

Fight: Battle manually.

Auto: Battle automatically (skips character command selection and attacks repeatedly).

Escape: Attempt escape from battle.

B.Character command. If “Fight” is selected as a party command, the actions of each character can be specified. Commands can be customized for each character in the database (under the tab [Battle Screen] in [Combat Commands]).

Attack: Attack with currently equipped weapon.

Item: Use an item.

Defend: Defend against attacks, reducing damage taken.

Escape: Escape mid-battle.

Skills: Use created skills.

Row: Switch character positions from front to rear and vice versa.

Command names may differ from game to game (changeable from the [Battle Screen] tab in the [Database] window, under [Individual Setting] – [Battle Commands]). The default names will be used here.

*1

In situations when an option has already been processed, such as after using an item or after entering a battle, the action cannot be canceled.


Video Options

[Basic Functions] → [Game] → [Video Options]

·Allows the player to configure how the game is displayed on screen.

1.Mode

·Choose whether the game should be displayed in a window (default) or in full-screen mode.

·This setting can also be changed in-game by pressing the [F4] key. In playtest mode, this setting is initialized using the state of the "Game" → "Fullscreen" option in the editor.

2.Window Settings

·You can select a window size, in multiples of the native game screen size (320 by 240 pixels). Default is a 2x zoom (640x480).

·If "Use interpolation" is enabled, a bilinear filter is used for stretching the image. If this option is disabled, no filter is applied.

·These settings only take effect in windowed mode.

3.Fullscreen Settings

·There are two rendering modes available: GDI and DirectDraw.

oGDI: Most suitable for modern computers. The physical screen resolution is not changed; the game is stretched instead. Might be slow on older computers. This is the default setting.

oDirectDraw: Most suitable for older computers. The physical screen resolution is changed to 320 by 240 or 640 by 480 pixels. Might be slow or broken on modern computers.

·When GDI mode is selected, the following additional options become available:

oAllow uneven pixel sizes: When this option is disabled (default), the game is stretched only to integer multiples of the native size. Example: If your screen has a resolution of 1360x768, the game will be stretched to 960x720 (3x zoom) and there will be a black border above and below the game as well. When this option is enabled, the game will be stretched to fill as much space on the screen as possible, even though this means that the individual pixels of the image will get different physical sizes, which might result in weird looking texts or graphics.

§Example:
- Character scaled to 2x size, [image] - Character scaled to 2.2x size (can happen when this option is enabled).

oIgnore aspect ratio for stretching: If enabled, this option will allow the game to be stretched in both directions individually, in order to fill the full available screen space, even though the image can get distorted. This option can only be used together with "Allow uneven pixel sizes".

oUse interpolation (Bilinear): Applies a bilinear filter for stretching the image.

§Example:
- Character scaled using bilinear filter

4.Show FPS

·Shows the number of frames per seconds (FPS). This is based on the game screen refresh rate and does not take frameskip into account which may occur of the engine detects a lag behind the expected timing of a frame - in this case, the frame will not be calculated, and the previous content is drawn again instead. Therefore, the FPS value shown here can indicate only issues with actual graphics rendering or video hardware, and not necessarily with slow game processing.

·In windowed mode, the number is displayed in the title bar of the window.

·In fullscreen mode, the number is displayed in a box in the upper-left corner of the screen.

·This option is most useful for measuring the overall performance of a game, and measuring the performance effect of individual video options.

5.Save these settings as default

·If this checkbox is enabled when clicking the "OK" button, the selected settings are stored on the player's computer and will be used for all RPG Maker 2003 games.

6.Adjust Volume

·This options opens a dialog to adjust the game volume. Changes of the volume are applied immediately. For Windows Vista and above, this volume is linked to the Windows audio mixer's per-process volume. For Windows XP and below, this volume is linked to the system master volume.


Main Editor

Main Editor Contents

Menu Bar

Toolbar

Supplementary Features


Main Editor Contents

[Control Screen] → [Main Editor Contents]

1.Menu Bar

·Contains commands for creating a new game, editing characters, etc.

2.Toolbar

·Contains icons for directly using commands located in the menus.

3.Map Display

·Shows the map that is currently being edited. Maps and events are modified from this display.

4.Map Editing Tool

·Contains the tools for map editing.

5.Tile Palette

·Displays the tiles that can be used on the current map.

6.Map Data List

·Shows the names of the maps in the current project as a tree. The map with a highlighted name is the one that is currently being edited.

7.Status Display

·Describes the command that is currently selected.

8.Edit Mode Display

·Shows the name of the current map edit mode.

9.Map Name Display

·Shows the name of the map and the coordinates of the cursor, or the tile selected by clicking on the map.


Menu Bar

Menu Bar Contents

Project

Map

Tools

Game

Help


Menu Bar Contents

[Main Window] → [Menu Bar Contents]

·Commands used in this program are divided into 5 menus which can be accessed from the menu bar.

·Each command can be run by opening the menu and choosing the option with that name.

Project: | Contains commands for general project operation.
Map: | Contains commands related to map data and map editing.
Tools: | Contains shortcuts to windows for changing game settings and managing data.
Game: | Contains test play commands.
Help: | Contains commands that open this help file and check version information.


Project

[Main Window] → [Menu Bar] → [Project] menu

New Project

·Creates a new project with one blank map and default data.

Open Project

·Opens an existing project.

·Converts an RPG Maker 2000 game disk for use in RPG Maker 2003.

Close Project

·Closes the current project in the editor.

·If the map data has not been saved, a confirmation window will appear to confirm if the data should be saved. If you want to save the data, click [Yes]; otherwise, click [No].
Clicking the [Cancel] button will return you to the editor without closing the project.

Explore Project Folder

·Opens the project's folder in Windows Explorer.

Create Game Installer

·Creates the data package for playing the game. There is an option to include the RTP, which is recommended in situations where the players will not have the program or RTP already installed.

Exit

·Closes the RPG Maker 2003 program.

·If the map data has not been saved, a confirmation window will appear to confirm if the data should be saved. If you want to save the data, click [Yes]; otherwise, click [No]. Clicking the [Cancel] button will return you to the editor without closing the project.


Map

[Main Window] → [Menu Bar] → [Map] menu

Save Map Data

·Saves the map data for the current project.

Revert to Last Save

·Discards new edits and reloads the last save.

·A message will appear to confirm if the edits should be discarded. If this is desired, click [Yes]. Clicking [No] will return you to the original screen without doing anything.

Edit Mode

·Changes the map edit mode. [Lower Layer], [Upper Layer], and [Events] can be selected from the submenu.

Scale

·Changes the map zoom level. The zoom display level can be chosen from [1/1 Times], [1/2 Times], [1/4 Times], and [1/8 Times].


Tools

[Main Window] → [Menu Bar] → [Tools] menu

Database

·Opens the [Database] window. Definitions for actors' powers, item properties, and so on can be set here.

Resource Manager

·Opens the [Resource Manager] window. Graphics, sounds, images, and movies used in game creation can be managed here.

BGM Test

·Opens the [BGM Test] window, which is used to test sound files or for playing music while working.

Search

·Opens the [Search] window, which is used to search for references to variables, switches, and events.


Game

[Main Window] → [Menu Bar] → [Game] menu

Begin Playtest

·Starts a test playthrough. Specific details of this feature are available in the “Test play” topic.

Fullscreen

·Click on the [Fullscreen] option to toggle between windowed and full screen display while testing.

·When Fullscreen mode is selected (icon is pressed in), test play will occur in full screen mode. Otherwise, the game will be displayed as a normal window.

Display Title Screen

·Changes whether the title screen is shown during playtest. Title screen display can be toggled by clicking on [Display Title Screen].

·When title screen display is selected (icon is pressed in), the title screen will be shown at the beginning of playtest. Otherwise, a solid-color background is used instead of the title screen image and the title music won't be played.

oWhen the default title screen is disabled (the [Use] checkbox is disabled in the [System] tab of the database), disabling the "Display Title Screen" option will open the "Load Game" screen when playtest is started. Pressing a cancel key (such as [ESC]) from the "Load Game" screen will start the game normally.


Help

[Main Window] → [Menu Bar] → [Help] menu

Contents

·Opens the online help (this file).

Version Information

·Displays version information for RPG Maker 2003.


Toolbar

Toolbar Contents


Toolbar Contents

[Main Window] → [Toolbar] → [Toolbar Contents]

·Various commands from the menu bar are located in the toolbar as icons. Since the commands can be carried out simply by clicking on the icons, it is more convenient than using them from the menu bar.

bm18 | New Project (Project)
bm19 | Open Project (Project)
bm20 | Close Project (Project)
bm21 | Create Installer (Project)
bm22 | Save Map Data
bm23 | Revert to Last Save
bm24 | Edit mode for lower layer tiles (left) Edit mode for upper layer tiles (center) Event editing mode (right)
bm25 | Scale 1:1 (leftmost) Scale 1:2 (2nd from left) Scale 1:4 (3rd from left) Scale 1:8 (rightmost)
bm26 | Database (Tools)
bm27 | Resource Manager (Tools)
bm28 | BGM Test (Tools)
bm29 | Search (Tools)
bm30 | Begin Playtest (Game)
bm31 | Fullscreen (Game)
bm32 | Display Title Screen (Game)
bm33 | Contents (Help)


Supplementary Features

Search

BGM Test

Resource Manager

Begin Playtest

Create Game Installer


Search

[Main Window] → [Supplementary Features] → [Search]

·Opens the [Find] window, which is used to search for references to variables, switches, and events.

1.Search Keyword

·Choose whether to search for a variable, switch, or event using the circular buttons.

·Choose the desired item from the window that appears by clicking the [...] button.

2.Search Range

·Choose whether to search for a variable, switch, or event using the circular buttons.

oSelected Map:
Search within the map currently displayed in the editor.

oCommon Events:
Search from all common events.

oAll Maps + Common Events:
Search within all maps and common events.

3.Search Results

·When this button is clicked, the search will begin based on the options set in (1) and (2).

4.Search Button

·When the search is complete, the searched item will be displayed here.

·Search results will change based on what is set for (1) Search Keyword and (2) Search Range.


BGM Test

[Main Window] → [Supplementary Features] → [BGM Test]

·[BGM Test] is for playing project sound files while working in the editor. It does not affect the game and other settings.

·Even if the [Close] button is clicked, playback will continue. To stop playback, click the [Stop] button.

·The BGM selector can also be opened from some windows (such as the [Database]) by clicking the music note icon at the bottom-left corner.

1.File List

·A list of the sound files. From here you can select the file you wish to play.

·Double click on the file to play it.

2.Fadein Time

·Determines the time it will take for the file to reach the volume specified under [Volume] (up to 10 seconds). If set to “None”, it will start playing immediately at the specified volume.

3.Volume

·Volume can be set between 0% (no sound) and 100% (loudest).

4.Tempo

·Playback speed can be set between 50% and 150%. Sound files are imported with a starting tempo of 100%. 50% is half of that speed, and 150% is 1.5 times the speed.

5.Balance

·Changes the sound balance from both speakers during stereo playback. If set to center, the same volume will be played from each speaker.

6.Play

·Plays the sound file using the above settings.

7.Stop

·Stops the sound playback.


Resource Manager

[Main Window] → [Supplementary Features] → [Resource Manager]

·All resource data is managed in the [Resource Manager]. Resource data can be imported (loaded into the project), exported (written to file), or deleted in this window.

·For loadable resource formats, please check the [Resource Standards] topic.

·The names of the parts of the window and their functions are as follows:

1.Folder List

·This shows all the folders that contain resource data. Resource data is saved into folders by their type. Folder names and the types of resources they can contain are as follows.

Backdrop | Battle background graphics
Battle | Battle animations (spritesheets)
Battle2 | Large battle animation sprites
BattleCharset | Set images for characters during battle
BattleWeapon | Battle weapon graphics
Charset | Set images for characters on the map
Chipset | Set images for map tiles (tileset graphics)
Faceset | Set images for face graphics
Frame | Frames displayed on screen (can also be used as battle backgrounds)
GameOver | Still images for game over screens
Monster | Enemy character images (enemy character graphics)
Movie | Video files to be played during events

Music

Sound files to be used as BGM

Panorama | Still images to use as backgrounds
Picture | Still images that can be shown during events
Sound | Sound effect files
System | System graphics
System2 | Additional system graphics
Title | Title graphics

2.File List

·Shows all imported files in the selected folder. Names of resource data files from the Runtime Package are followed with <RTP> (cannot be deleted).

3.Import

·Load resource files into the specified folder, in a format that can be used by this software.

4.Export

·Copies the selected file to a specified location on your computer.

5.Delete

·Deletes the selected file.

6.Import Format

·Specifies the format for image resources when they are imported into the project.


Begin Playtest

[Main Window] → [Supplementary Features] → [Begin Playtest]

·Before creating a game installer, you can check your game for errors and opportunities for improvement. This process, called “playtesting”, is extremely important.

·Before doing a playtest, map data needs to be saved. If the data has not been saved, a message will be displayed to confirm if the data should be saved. Clicking “Yes” will save the data and begin the playtest.

·If [Fullscreen] is disabled, a new window will open and display the game's start screen.

·If [Fullscreen] is enabled in the [Game] menu (button is pressed in), the game will take up the entire screen.

·In addition, if [Display Title Screen] in the same menu is enabled, the title graphic will be shown on the start screen.

oIf [Display Title Screen] is disabled and the default title screen is also disabled (in the [System] tab of the database), the "Load Game" screen will be shown when the playtest is started. Pressing a cancel key (such as [ESC]) from the "Load Game" screen will start the game normally.

·During the playtest, all editor functions will be disabled, and changes to settings and data will not be possible. Only variables and switches can be modified from the debug screen.

1.Playtest Controls

·Game controls for playtesting are the same as those for a finished game. The controls that are restricted to playtest mode are as follows:

Shift | Skips through text shown in the message window.
Ctrl | If held while moving, random enemy encounters will not occur. In addition, non-passable map tiles will become passable.
F9 | Opens the debug screen (see below).
F10 | Terminates the event currently being processed. This is used in situations such as when the game enters an infinite loop and you wish to proceed with the test.

2.Debug Screen Controls

·The status of switches (ON or OFF) and the numerical value of variables can be viewed and changed from the debug screen.

·The screen is split into 2 lists. The contents of the right list (current values of switches and variables) change depending on the location of the cursor on the left list.

·The option selected on the left list is displayed on the right list. Items that begin with “S” are switches and items that begin with “V” are variables. The numbers in parentheses are the range that will be displayed on the right. List controls are as follows:

(When the cursor is on the left list)

Left and right directional keys | Changes the left list item.
Up and down directional keys | Moves the cursor up and down within the list.
Select key | Moves the cursor to the right list.
Cancel key | Closes the debug screen.

(When the cursor is on the right list)

Left and right directional keys | Not used.
Up and down directional keys | Moves the cursor up and down within the list.
Select key | Changes the values.
Cancel key | Moves the cursor to the left list.

(Changing values)

Switch | Press the select key to toggle ON/OFF.
Variable | Use the up and down directional keys to adjust the value and confirm with the select key.


Create Game Installer

[Main Window] → [Supplementary Features] → [Create Game Installer]

·This feature creates a “game installer” that contains all the data required to play a completed game. With the game installer, even users who do not have this software can play games made with it.

·The creation process is as follows:

1.In [Game Installer Path] in the [Create Game Installer] window, specify the location to save the created game installer. Click on the [...] button to open the [Game Installer Creation Path] window, and use the mouse to select the appropriate folder.

2.If you want to include the Runtime Package (RTP) with the game data, enable the [Include Runtime Package in game disk] option.

3.Click the [Create] button to create the game installer based on the above settings. After processing is complete, the files that make up the game installer will be saved in the specified folder.

·When distributing your game, all files within the folder created by this feature should be packaged together.

Using Game Installers

·Before playing a game in game installer form, setup is required.

·Setup is carried out as follows:

1.Run [setup.exe] included in the game installer (the icon in the picture may differ based on the computer system).

2.On the setup screen, specify the save location for the game data in [Game Installer Path]. In addition, choose from 2 options as required. These options are as follows:

3.Click the [Create] button. Based on the settings, game data will be unpackaged and saved onto the hard disk.

·After completing setup, double-click [RPG_RT.exe] or select it from the [Start] menu to run the game program.


Project

Project Summary

Create Project

Project Controls


Project Summary

[Project] → [Project Summary]

·The project consists of all data (such as maps, events, actors, and enemies) used in the game. To make a game with this software, a “project” needs to be created.

·When a project is created, a folder will be made on the hard disk, and various types of data will be saved into it as files. Project management (loading, name changing, deleting etc.) will be carried out in this folder.

·There are no limits on how many projects can be made.

·In order to open more than one project at the same time, you have to open another instance of RPG Maker 2003.

·Projects contain a "project file" which has the file extension ".r3proj". Double-clicking it from Windows Explorer will open the corresponding project in RPG Maker 2003.


Create Project

[Project] → [New Project]

·To create a new game, follow these steps to create a project*:

1.Select [New Project] from the [Project] menu.

2.The [New Project] window will be displayed. Here, there are 3 options to set before the project can be created.

Folder Name | The name of the folder for project management. The limit is 40 characters.
Game Title | Shown in the editor as well as during gameplay in the window title bar. The limit is 40 characters.
Project Base Path | Specifies the project folder location. To set the location, click on the [...] button and choose from the displayed folder tree.

3.When the [OK] button is clicked, the project will be created based on the above settings. In the map data list, a folder with the game title will be displayed, along with a new map.

* It is not possible to create a project with the same base path and folder name as an existing project.


Project Controls

[Project] → [Project Controls]

·To load a saved project into the editor, follow these steps to open a project (*1):

1.Choose [Open Project] from the [Project] menu. The [Open Project] window will open.

2.Click on a project from [Project List] to select it, and click [Open]. Alternatively, double-click on the project to open it (*2).

·In the [Open Project] window, renaming or deleting projects is also possible. The process is as follows (*3).

Changing Project Folder and Game Name

1.From the project list, click on the project to rename, and click the [Rename] button. The [Change Name] window will open.

2.Enter new names into [Folder Name] and [Game Title] and click the [OK] button.

Deleting a Project

1.From the project list, click on the project to delete, and click the [Delete] button.

2.A confirmation message for deletion will be displayed. If deleting, click [Yes]; otherwise, click [No] (*4).

Converting a game made with RPG Maker 2000

·To use a game for ”RPG Maker 2000” in ”RPG Maker 2003”, open it using the "Open Project" window, open the database, do a change (regardless of which kind of change it is), and click "OK".

·The opened project will become usable in ”RPG Maker 2003” but can no longer be used in ”RPG Maker 2000”.

Converting a game made with older versions of RPG Maker 2003

·When you open a game made using older versions of RPG Maker 2003, you will be prompted to upgrade the game engine.

·The game engine is independent from the editor version. The game engine is part of your project.

·If the game engine version doesn't match the editor version, there might be specific features which won't work correctly or which can't be used from the editor.

1.The old version (the one existing in the project already) and the new version (the latest one used by the editor) of the game engine.

2.The most important changes. Items marked with "[!]" indicate a behavior change of the engine in a way that modifications to the game itself might be required. Please read this information carefully!

3.In case you have read the changelog and you are aware that there might be some incompatibilities while editing the game but you don't want to upgrade, you can enable the "If declined, don't ask again for this version" checkbox. If you do that, the changelog won't be displayed anymore until the next engine update is available. In this case, you can hold the [Shift] key while opening the project and/or starting RPG Maker if you change your mind and want to get the upgrade offer again.

·When you click "Yes", the game engine will be upgraded to the latest version.

oA clean version will be installed, so in case you did any modifications to the engine yourself (for example using third-party software such as patches), those changes will be lost. This should only be of concern to advanced users.

oA backup of the updated files will be created, using the file extension ".old".

·When you click "No", the game engine will not be modified. In this case, there might be problems or incompatibilities when trying to edit the project.

·In case the project was using a version of RPG Maker 2003 which used a different RTP (Run-Time Package), such as the previous inofficial English versions of RPG Maker 2003, an additional warning message will be displayed. Because the game engine of such a project will use a different RTP than the editor, references to RTP files might be broken, and can result in black images in the editor or error messages in the game.

o*1 If there is already a project open in the editor, that project needs to be closed first.

o*2 The projects displayed in the [Project List] contain only projects within the folder set in [Project Base Path]. If a project is not displayed in the list, click the [...] button for [Project Base Path], and specify the folder that contains that project.

o*3 If the currently Open Project is to be renamed or deleted, it needs to be closed first.

o*4 If a project is deleted, it will not be possible to edit it again. Please exercise caution when deleting.


Map

Map Summary

Map Tiles

Creating Map Data

Managing Map Data

Saving Map Data

Map Editing

Areas

Control Window


Map Summary

[Map] → [Map Summary]

The [Map] is the foundation of games. It functions as the “stage” upon which the characters navigate, events happen, and battles occur.

In this software, the game world (from world maps to streets, dungeons, and interiors) is defined through the use of maps. The combined data that makes up a map and its settings is called the “map data”.

Map Structure

·Although a game map would appear to be a single picture, it is actually a collection of graphics (mountains, water, grassland, walls, etc.) assembled like a jigsaw puzzle. The smallest unit is called a “map tile” (tile).

·The map is comprised of 2 layers (upper and lower) and each has a different set of placeable tiles. The “lower layer” is used for placing terrain such as sea, mountains, and dirt, while the “upper layer” is used for details such as buildings, treasure chests, and characters.

Map size and movement

·A single map can be set between a minimum of 20 horizontal tiles x 15 vertical tiles (the size of one screen in the game) and a maximum of 500 horizontal x 500 vertical tiles.

·The number of maps is unlimited as long as hard disk space allows for it.

·On the actual game screen, 20 horizontal x 15 vertical tiles will be displayed at one time. On maps larger than this size, the displayed area will move around with the controlled character at the center. This is called “scrolling”.

·It is possible to link the left/right and top/bottom edges of the map. In this manner, it is possible to represent a world much like a sphere. This is called a “loop”.

·Using events, characters can travel between maps. When a specific point on the map is reached, the player will be moved to another map, giving the impression that they are connected. For example, the world map and a zoomed in version for cities and streets can be created as separate map data, and by using transfer events to join them, it is possible to create a world that exceeds the size of a single map.

Parent maps and child maps

·Multiple maps can be managed in nested levels (tree format) as if they were Windows folders. The map higher in hierarchy is called the “parent map”, while the map lower in hierarchy is called the “child map”.

·When maps have a parent-child relationship, the parent map's BGM, battle background, teleport, escape, and save settings are applied to the child's. This reduces the effort required to apply the same settings to maps that are part of the same location in the game.


Map Tiles

[Map] → [Map Tiles]

About Map Tiles

Map tiles are the smallest unit that make up a map.

Map tiles are handled as a collection of artwork in one image: the "tileset graphic". This image, when defined into separate tiles using editor settings such as passage, terrain, etc. is called a “tileset”.

Each map is assigned a tileset, and tiles from this tileset can be placed on the map.

Tile Types

There are two types of tiles: “Upper layer tiles” that can be placed on the upper layer of the map, and “Lower layer tiles” that can be placed on the lower layer of the map.

There are 4 types of lower layer tiles. When the [Edit mode] is set to [Lower Layer], each type of lower layer tile is in the displayed positions.

A.Sea Tiles:

·These are tiles for sea water, and are animated using 3 frames. When placed next to other lower layer tiles, the coastline will be created automatically (autotiling).

·Sea tiles come in 3 types: two types of shallow sea with different coastlines (left, center) and deep sea (right).

B.Animated Tiles:

·Tiles animated using 4 frames, which are are used for waterfalls, fountains, etc. 3 types can be specified.

C.Normal Terrain Tiles:

·Tiles that are used to represent grasslands, forests, mountains, roads, and so on. When placed next to each other, the border tiles will be created automatically (autotiling). 12 types of tiles can be specified.

D.Standard Tiles:

·These are normal tiles that will be used as is. 144 tile slots are available.

·Upper layer tiles have up to 144 slots, and have the same properties as lower layer tiles. When placed on the map, the background color of the tile palette will not show up on the map.

· “Autotiling” is a feature that adjusts the borders of tiles according to their locations on the map. Regular terrain tiles have 12 variations per tile, and the appropriate version is chosen automatically to display. For example, when 3 snow tiles are lined up, each tile will be reformatted so they are joined properly.

Tileset Settings

Map tiles are simply drawings. For them to work in the game as intended, it is necessary to create a “tileset” in which the following features are defined:

Passage/Passability: Controls whether it is possible for the player to walk over the tile. There are 2 ways to do this: use “Passage” settings to determine if the player can move onto the tile, or use “Passage (4 directions)” to determine which directions the player can use to move on or off the tile.

Terrain: Gives the feature of “terrain” to the map tiles. Using this, it is possible to modify enemy encounter rates, battle backgrounds, and vehicle passage (small ships, large ships, airships). The features of each kind of “terrain” are defined in the [Database], under the “Terrain” tab.

Tileset settings are handled in the [Database], under the [Tilesets] tab.


Creating Map Data

[Map] → [Creating Map Data]

·To create a map, “map data” containing information about the map must first be created. The process is as follows:

1.Right click the project folder on the map data list and choose [New Map] from the shortcut menu.

2.In the [Map Properties] window, set the map information. Specify the map size, tileset and so on. For specific information, please refer to “Map Properties."

3.After choosing the settings, click the [OK] button to close the window.

4.The created map data's name will be highlighted in the map data list. The map will be shown in the map display and can be edited.


Managing Map Data

[Map] → [Managing Map Data]

·Map data can be nested by dragging and dropping the list options over each other. When a map has “child maps” (nested map data), all of them will be moved at the same time.

1.Move the cursor over the map data to be moved and begin dragging.

2.Move the cursor over the destination map data or project option, and drop when the option text is highlighted.

3.The map data will be moved to a level nested under the option it is dropped on.

·Right clicking on a map data from the list will display a shortcut menu for commands related to that map. The commands are as follows:

Map Properties | Opens the [Map Properties] window for editing map data information. *Refer to “Map Properties”
New Map | Creates a new child map nested under the right-clicked map. *Refer to “Creating map data”
New Area | Options for “area” settings. *Refer to “Area”
Generate Dungeon | If the current map was drawn using the “Generate Dungeon” function, use this function to recreate it using the same specifications.
Copy | Copies the entire map data onto the clipboard.
Paste | Inserts the copied map data into the list, nested under the right-clicked map data.
Delete | Deletes the map data.
Shift | Displaces the entire map.

·The Shift command moves everything in the map. When the option is selected, the “Map shift” window will be displayed. Choose the direction to shift in (Up/Down/Left/Right) under [Shift Direction] and number of tiles to shift under [Tile Count], and click the [OK] button. Parts of the map that are shifted outside of the map dimensions will be wrapped around to the other side.

·Map data with child maps will have a [+] symbol next to their name. When clicked, the symbol will change to [-] and show the map data nested directly under it. Clicking it again will change the symbol back to [+] and hide the nested map data.


Saving Map Data

[Map] → [Saving Map Data]

·Unlike projects, changes to map data are not saved immediately. To save edits to map data, choose [Save Map Data] from the [Map] menu.

·To revert the map to the last save by reloading the saved data, choose [Revert to Last Save] from the [Map] menu.


Map Editing

[Map] → [Map Editing]

·Map editing is carried out by switching between edit modes and using tools to place tiles in the map display.

·For details on the map editing tools, please refer to [Map Editing Tools].

·Editing maps with the pen tool is done as follows:

1.Click the name of the map to be edited from the map data list. The name will be highlighted, and the map will be shown in the viewer. At the start, all tiles will be set to sea tiles.

2.From [Edit Mode] in the [Map] menu, choose [Upper Layer] or [Lower Layer] to switch between edit modes. Place-able tiles for each mode will be displayed in the tile palette.

3.From the map editing tools, click the [Pen] button.

4.Click the desired tile type from the tile palette. The selected tile will have a border around it.

5.


Areas

[Map] → [Areas]

About Areas

·“Areas” are “imaginary spaces” on the map that can have special settings and functions. These settings are called “area data”.

·Area data allows for different enemy groups to be set separately from the map data. Enemy groups set using map data will be encountered all over the map. However, enemy groups set using the area data will appear only within those specific boundaries. In other words, it is possible to set a “habitat” (encounter area) on a map.

·Area data can be used to define locations for [Transfer]-type skills. It is possible to provide several destinations on a single map.

* Refer to:

[Database] => [Skills]

[Events] => [Commands Overview] => [Command Reference] => [Change Transfer Location]

Creating Area Data

·Area creation is done as follows:

1.From the map data list, right click the desired map and choose “New Area” from the shortcut menu.

2.The “Area Creation” window will open. Area boundaries and encounterable enemy groups can be specified here. For specific information, please refer to “Area Creation.”

3.Once the required settings have been made, click the [OK] button to close the window. The area data settings will be displayed on the map data list.

·Upon clicking the area data option from the map data list, area boundaries will be displayed in the map display.


Map Properties

Map Editing Tools

Area Creation


Map Properties

[Map] → [Map Properties]

* The following settings are identical to those of the [Map Settings] window.

1.Name

·Specify the map name within 24 characters.

·This name will be displayed as the name of a potential destination when using a [Transfer]-type skill. A descriptive name such as “World Map” or “Dungeon 1F” is recommended.

2.Tileset

·Select the tileset to use on the map from the dropdown menu.

3.Map Size

Specify the size of the map in terms of tile size. The left field is for horizontal width, and the right field is for vertical height. The size range is from 20x15 to 500x500.

* Note
The map size is always defined with respect to coordinates (0, 0) (the tile in the top left corner) as the origin.

Please be aware that if the map size is reduced, the excess tiles will be deleted. For example, if a 100x100 map is changed to 50x50, the tiles and events outside of the range of (0, 0) to (49, 49) will be deleted.

4.Scroll Type

·Specify from the dropdown menu how the edges of the map should be connected to make it loop.

oNo Loop: The map will not loop.

oLoop Vertically: Connects the top and bottom edges of the map so that it loops in the vertical direction in-game.

oLoop Horizontally: Connects the left and right edges of the map so that it loops in the horizontal direction in-game.

oBoth Loop: Applies both horizontal and vertical loops in-game.

5.Encounters

·Specify the enemy groups that can be encountered randomly while moving around on the map.

·Double-clicking on the empty space at the top of the [Troops] list (the highlighted area) opens the [Encounters] window. Specify the names of the enemy groups to encounter from the dropdown list.

·The probability of enemy groups appearing in battle is the same for all enemy groups. If the list contains 5 items, the probability of each enemy group appearing is 20% (1/5). To increase the probability of a specific enemy group appearing, it should be added to the list multiple times. If enemy groups are additionally set for an area, the enemy groups that will appear are a combination of the map and area combined.

·If an enemy group on the [Troops] list is right-clicked, the shortcut menu will be displayed. Clicking on the menu's commands or the corresponding shortcut keys will carry out that option. The commands are as follows.

Edit | Opens the [Encounters] window for editing enemy group settings.
Cut | Moves the entry onto the clipboard and deletes it from the list.
Copy | Places the entry onto the clipboard.
Paste | Inserts the entry on the clipboard at the right-clicked position.
Delete | Deletes the entry.

·Under [Set Encounter Rate], specify the average number of steps (tiles travelled) for encountering enemy groups. For example, if set to “20”, the encounter rate will increase per step taken, and an enemy will be encountered around the 20th step. If set to “0”, no enemies will be encountered on the map.

6.Parallax Background

·Specify the image to be displayed in the empty areas of tiles. This can be used to give a sense of depth in high places such as towers and roofs.

·The background is displayed in the transparent parts of the lower tile layer. Even if a background is set, the image will not be displayed if there are no transparent areas in the map.

·The process for setting a background is as follows.

1.Enable the [Background] checkbox.

2.Click the [Set] button in the [Graphic] section. This opens the [Parallax] (background graphics) window.

3.From the list on the left side of the [Parallax] window, click to select the image file to use as the background. The specified image will be previewed on the right side of the window. Once the image has been chosen, click the [OK] button to close the window.

·On maps that are set to [No Loop], if an image that is larger than the map is set as the background, the background image will scroll at a speed such that the corners of the image will match the map's.

·If [Loop Horizontally] and/or [Loop Vertically] under [Options] are enabled, the background will loop in the respective direction. In this situation, the background will scroll at half the movement speed of the player.

·If [Auto Scroll] is effective, the background will scroll even when the player is not moving. The scroll speed can be set under [Speed] within a range of -8 to 8. If a negative value is set, the background will scroll upwards if scrolling vertically and leftwards if scrolling horizontally.

7.Teleport

·Specify whether [Teleport]-type skills can be used on the map.

oSame as Parent Map: Uses the same settings as the parent map (only possible if a parent map exists).

oEnable: Allows teleportation.

oDisable: Prevents teleportation. [Teleport]-type skills cannot be selected from the skills menu.

8.Escape

·Specify whether [Escape]-type skills can be used on the map.

oSame as Parent Map: Uses the same settings as the parent map (only possible if a parent map exists).

oEnable: Allows escaping.

oDisable: Prevents escaping. [Escape]-type skills cannot be selected from the skills menu.

9.Save

·Specify whether the player is allowed to save on the map.

oSame as Parent Map: Uses the same settings as the parent map (only possible if a parent map exists).

oEnable: Allows saving.

oDisable: Prevents saving. [Save] cannot be selected on the main menu.

10.Battle Background

·Choose one of the methods below to specify the background graphic that will be displayed during enemy encounter battles.

oSame as Parent Map: Uses the same settings as the parent map (only possible if a parent map exists).

oTerrain Based: Bases the background type on the terrain settings for the tile on which the encounter occurs. For example, if the tile has the “Mountain” property, the [Battle Background Graphic] for [Mountain] set under the [Terrain] tab in the database will be used. * Refer to [Terrain]

oSpecify: Use any graphic of choice. Click the [...] button to open the [Battle Background Graphic] window, and choose a graphic from the list.

11.BGM

·Specify the BGM that should play while the player is on the map, using one of the following methods.

oSame as Parent Map: Uses the same BGM as the parent map's (only possible if a parent map exists).

oEvent Setting: Use an event command to play the specified BGM. In this case, an event must be created on the map for BGM to play.

oSpecify: Play any sound file of choice. Click the [...] button to open the [BGM] window, and choose the sound file name from the list on the left side of the window.

Generate Dungeon

·“Generate dungeon” allows for the creation of dungeons with different layouts every time the dungeon is entered. This saves on the effort required to create a dungeon, and is effective for games that require the player to enter the same dungeon multiple times.

oTo use this function, check the [Generate Dungeon] checkbox. This enables the settings required for dungeon generation.

oThe necessary options for generating a dungeon are as follows.

12.Dungeon Type

·Path: Specify the width of corridors in the created dungeon (either 1x1 or 2x2). This needs to be specified if the dungeon type is “Corridors”, “Rooms” or “Maze”.

·If the “Room” type is chosen, specify the standard size of the rooms in terms of tiles.

·If the map should have a border, enable the “Surround Exterior with Wall Ceilings” option. If this option is enabled, the map will be generated with ceiling tiles bordering the map.

13.Ceiling

·Choose the map tile to use for the ceiling of the dungeon. Double-click the tile picture and select the map tile to use from the displayed window.

·If map tiles with automatically generated (autotiled) borders are used, a well-connected ceiling will be created.

14.Walls

·Choose the map tile to use for the walls of the dungeon. Double-click the tile picture and select the map tile to use from the displayed window.

·If only “Wall (low)” is selected and “Wall (high)” is disabled, the wall height will be 1 tile tall. If “Wall (high)” is enabled, walls will be 2 tiles tall.

15.Floors

·Choose the map tile to use as the floor of the dungeon. 3 types of floors ([A], [B], and [C]) can be set. The ratio of each type used is 4:2:1 respectively. Double-click the tile pictures and select the map tiles to use from the displayed window.

·Floor settings make use of the settings in “Tileset settings”, so damage floors and non-passable floors can be placed. However, if non-passable floors are placed, it may become impossible for the player to progress through the dungeon.

·As with ceilings, if map tiles with automatically generated (autotiled) borders are used, a well-connected floor will be created.

16.Obstacles

·Choose obstacles to be placed in corridors and rooms. Obstacle sizes can be chosen from 1x1, 2x1, 1x2, or 2x2 tiles in size (tilesets need to be edited). 3 types of obstacles can be chosen. Double-click the tile pictures and select the tiles to use from the displayed window.

·The placement frequency of each type of obstacle is the same.

oThe dungeon generation function puts a lot of stress on older CPUs, so performance may be worse on maps that are large, for example W 500 x H 500 maps.


Map Editing Tools

[Map] → [Map Editing Tools]

A.Map Editing tools

·The map editing tools are as follows. The pressed button denotes the currently selected tool.

bm70 | Undo Cancels the previous action and returns the map to its previous state. The undo function is limited to the last 3 actions made.
bm71 | Select Area Used to cut or copy the map (or a section thereof). Drag the cursor on the map display to create the area. This region will be bordered by dashed lines. (See image below.)
bm72 | Zoom Changes the display ratio of the map. If the map display is clicked, the zoom level is increased. If it is right-clicked, the zoom level is decreased.
bm73 | Pen Places the current tile on the map where clicked.
bm74 | Rectangle Places the current tile over a rectangular area by dragging the cursor. The rectangle formed by the start and end points of the dragging motion will be filled with the tile.
bm75 | Oval Places the current tile over an oval-shaped area by dragging the cursor. The oval touching the sides of the rectangle formed by the start and end points of the dragging motion will be filled with the tile.
bm76 | Fill Area Changes connected tiles on the map to the selected tile. The area joined to and covered by the same tile as the clicked tile will be filled with the current tile.

·When the area within the dashed lines formed using the [Select Area] tool is right-clicked, a shortcut menu will be displayed. Clicking on the menu's commands or the corresponding shortcut keys will carry out that option. The commands are as follows.

Cut (Ctrl+X) | Moves the selected map area to the clipboard, and fills the selected area with the current tile.
Copy (Ctrl+C) | Moves the selected map area to the clipboard.
Paste (Ctrl+V) | Inserts the map area on the clipboard into the middle of the current map display.
Clear (Del) | Fills the selected area with the current tile.
Select All (Ctrl+A) | Selects the entire area of the current map.

o To deselect the map after using [Select All], use [Undo] in map editing tools.

·To use the [Select Area] tool to cut and paste a part of the map, refer to the following steps.

1.Click the [Select Area] tool button and drag over the map view to choose the target area.

2.Right-click within the dashed lines and choose [Cut] or [Copy] from the shortcut menu, or otherwise use the shortcut keys (in parentheses). The area within the dashed lines will be sent to the clipboard.

3.Move to the desired area for pasting the copied tiles.

4.Right-click on the map display and choose [Paste] from the shortcut menu, or otherwise hold down [Ctrl] and [V] together. The copied map area will be shown in the center of the map display.

5.Move the cursor within the dashed lines. The cursor will change to a 4-directional arrow.

6.Click and drag to move the map within the dashed lines to the desired location.

7.If the area outside the dashed lines is clicked, the map tiles will be pasted, and the dashed lines will disappear.

·By using the [Select Area] tool and following steps 5 through 7 above, the selected map area can be moved. The original area that the map tiles occupied will be filled with the current tile.

B.Current Tile

·To set the current tile, move the cursor over the tile palette (the cursor will turn into a dropper icon) and click on the tile to choose it. The current tile will be highlighted with a border.

·If the cursor is dragged within the tile palette, multiple tiles can be selected to place at the same time. This is convenient in situations such as when a building is constructed from a combination of several map tiles.

·If the map display is right-clicked while one of [Pen], [Rectangle], [Oval] or [Fill Area] is selected, the tile at the right-clicked position will be set as the current tile. This can increase efficiency by saving on the effort of choosing the tile from the tile palette.


AreaCreation

[Map] → [Area Creation]

1.Name

Enter the area name within 24 characters. A descriptive name is good.

2.Boundaries

Follow these steps to specify the map boundaries for an area.

·Click the [...] button.

·On the map in the [Boundaries] window, click and drag over the part of the map to set as an area. The rectangle formed by the start and end points of the dragging motion will be will be the area boundary. If a mistake was made, dragging in another position will change its location. The [1/1] [1/2] [1/4] buttons at the bottom of the window can be used to change the zoom ratio.

·When the area boundary has been decided, click the [OK] button to close the [Set Boundaries] window.

3.Enemy Encounters

·Double-clicking on the empty space at the top of the [Enemy Encounters] list (the highlighted area) opens the [Encounters] window. Specify the names of the enemy groups to encounter from the dropdown list.

·The probability of enemy groups appearing in battle is the same for all enemy groups. If the list contains 5 items, the probability of each enemy group appearing is 20% (1/5). To increase the probability of a specific enemy group appearing, it should be added to the list multiple times. If enemy groups are additionally set for an area, the enemy groups that will appear are a combination of the map and area combined.

·The enemy encounter rate is based on the [Set Encounter Rate] set for the map that the area is in.

·If an option on the [Enemy Encounters] list is right-clicked, a shortcut menu will be displayed. Clicking on the menu's commands or the corresponding shortcut keys will carry out that option. The commands are as follows.

Edit | Opens the [Encounters] window for editing enemy group settings.
Cut | Moves the entry onto the clipboard and deletes it from the list.
Copy | Places the entry onto the clipboard.
Paste | Inserts the entry on the clipboard at the right-clicked position.
Delete | Deletes the entry.


Database

Database Settings

Actors

Classes

Skills

Items

Enemy Battlers

Enemy Troops

Elements

States

Battle Animation

Battle Animation 2

Battle Screen

Terrain

Tilesets

Terms

System

System 2

Common Events

Supplementary Windows


Database Settings

[Database] → [Database Settings]

Database contents

·The [Database] contains various game settings organized by type into the following tabs.

Actors | Characters that the player can control. Graphics, initial equipment, growth and other settings can be edited here.
Classes | Features of jobs can be edited here. Growth types, skills learned and other settings can be edited here.
Skills | Skills that characters can use can be edited here.
Items | These represent “objects” that exist in the world. The features and effects of “Equipment” such as weapons and shields, “Medicines” that recover HP, “Books” that teach skills, among a total of 11 types of objects, can be edited here.
Enemies | Characters that oppose the actors. Strength, graphics, movement patterns and other features can be edited here.
Troops | Groups of enemies. Enemies appear in units of groups in the game. Group structure, terrain they appear on and battle events can be edited here.
Elements | An option that gives special physical and/or elemental features to items and skills. The influence they have on characters and other features can be edited here.
States | Symptoms and mental statuses of characters. The influence they have have on characters and other features can be edited here.
Battle Animation | Animation used mainly on the battle screen.
Battle Animation 2 | Settings for character animation during battle.
Battle Screen | Battle screen layout, commands and other battle-related options can be specified here.
Terrain | Terrain features of map tiles such as sea and grassland. Damage taken when passed over as well as vehicle passage settings can be made.
Tilesets | Operation of tiles that are used to build the map can be specified here.
Terms | Messages used in various situations, names of commands and so on can be set here.
System | BGM and sound effects, title screen graphic and other game operation settings can be edited here.
System 2 | Game operation settings that were newly added in this software can be edited here.
Common Events | Events that will be called frequently in the game can be edited here.

How to edit options

·With the exception of [Terms] and [System] settings, each type of settings is handled in terms of “data” that have specific functions and features.

·The window is split into left and right sections, with the data ID (number) and name list displayed on the left, and the options for the data and features on the right.

·Data editing is done by clicking the option on the left to edit (the text will be highlighted) and changing the values on the right side of the screen.

oThe [F4] and [F5] keys can be used to quickly change to the previous and next list options respectively.

·Data can be added to a maximum of 9999 list items. To change the number of list items, follow these steps.

1.Click the [Maximum Number] button. The [Change Maximum] window will be displayed.

2.Under [Maximum data entries], enter the maximum number of entries required (*).

3.Click the [OK] button.

·If data in the list is right-clicked, a shortcut menu will be displayed. In this menu, copy, paste and other operations can be performed on the right-clicked entry. The commands in the menu are as follows.

Copy | Read all of the settings into the clipboard.
Paste | Overwrite all settings with the settings on the clipboard (settings can only be pasted on entries of the same type).
Clear | Clears all settings.
Multi-Copy | Copy the settings for multiple entries at the same time. Enter the number under [Number of copies] and click the [OK] button. The specified data will be copied onto the clipboard.

·Please take note that if the number of entries is reduced, the excessive entries will be deleted. In addition, if the number of entries is increased, the new entries will be blank.

·The first [Status], [Death] cannot be deleted. This is a rule of games made using this software (used when characters' HP reach 0) and is fixed.


Actors

[Database] → [Actors]

1.Name

·The name of the actor. The maximum length is 12 characters.

2.Nickname

·The title of the actor. The maximum length is 12 characters.

·This is only displayed on the game menu screen and has no effect on stats whatsoever.

3.Class

·The actor's job. Based on the selected job, growth type, skills and other settings made for that job (in the Jobs database tab) will be changed.

·The changed data will be “Growth curve”, “Experience curve”, “Skills”, “Status effectiveness”, “Type effectiveness”, “Options” and “Battle commands”.

·The data changed when the job was chosen can be re-edited.

4.Charset

·The image of the actor when present on the map.

·Click the “Settings” button to open the “Walking Graphics” window, and specify the image to use.

·If [Transparent] is enabled, the covered part of the image will look translucent.

5.Starting equipment

Specify the weapon, shield, armour and accessory that the actor will have when the player first gains control over the actor.. Choose the items from the dropdown menu.

Items displayed in the dropdown menu have the same type and equip permissions as set in the relevant tab, so only equipment that the actor can equip will be shown.

6.Initial level

The level that growth starts at. Please enter a value between 1~99.

7.Max Level

The maximum level that can be reached. Please enter a value between 1~99. If the actor reaches this level in the game, the actor will not grow any more levels no matter how much experience is earned.

8.Critical Rate

Specify the rate at which the character will make attacks that deal greater-than-normal damage.

To set this value, enable the checkbox, and enter the critical rate in terms of “1 in how many attacks”. If “10” is set, a critical hit will happen approximately once every 10 attacks, in other words the critical rate is 10%.

9.Faceset

The actor face graphics that are displayed in message windows and menus. Click the [Settings] button to open the [Face graphic] window and choose the image.

10.Options

Sets the following special features for the actor.

Dual Wield | Allows the actor to equip weapons on both hands. In exchange for not being able to equip shields, the character will be more attack-oriented.
Fixed Equip | Disallows the actor's equipment from being removed. This can be used to prevent the player from removing equipment from an actor that has temporarily joined the party due to story progression.
Autobattle | In battle, the actor will not be controllable by the player, but act automatically. This can be used for helper characters that only appear temporarily.
Mighty Guard | The effect of the [Defend] command will be doubled, further reducing received damage.

11.Parameter Curve

·Shows the level-based stat growth graphs of the 6 types of stats – maximum HP, maximum MP, attack, defence, intelligence and agility.

·The values shown next to “Now:” show the stat values at the actor's initial level, with the starting equipment.

·Settings are handled by double-clicking each graph to open the [Parameter Curves] window for editing.

12. Experience Curve

·Specifies the amount of experience required for the actor to level up. Settings are handled by clicking the [Settings] button to open the [Experience Curve] window for editing.

13.Barehand Animation

·The animation to use for attacking in battle when no weapons are equipped. Select the “Battle animation” to use from the dropdown menu.

14.Skills

·A list of skills that the actor will learn on gaining levels. Skills are arranged in order of increasing level.

·To add new skills, double-click the empty space at the top of the list. In the [Skills] window, specify the level at which to learn the skill and the skill to learn. Alternatively, if an existing entry is double-clicked, the contents can be edited in the same [Skills] window.

·To delete an existing entry, click the entry in the list and press the delete key.

·The above Edit and Delete operations can also be carried out from the shortcut menu when the entry is right-clicked.

15.State Rate

·Specify the effectiveness of attacks that apply [Status Effects] on this actor, from 5 levels ranging between A~E.

·When the symbol on the left of the status effect name is clicked, the settings will change in decreasing alphabetical order and loop back to E after A (right click to change in the opposite direction). The exact level of effectiveness is based on the the defined [State Rate] in the [State] tab. As a rule, the closer to A, the more effective the attack is.

16.Element Guard

·Specify how effective the [Elements] of an attack is effective on the actor, from 5 levels ranging between A~E. The effectiveness is dependent on the defined [Damage Multiplier] in the [Elements] tab.

·When the symbol on the left of the type name is clicked, the settings will change in decreasing alphabetical order and loop back to E after A (right click to change in the opposite direction). The exact level of effectiveness is based on the the defined [Damage Multiplier] in the [Elements] tab. As a rule, the closer to A, the more effective the attack is.

17.Animations

·Choose the battle animation to display for this actor from the dropdown menu.


Classes

[Database] → [Classes]

1.Name

·The name of the job. The maximum length is 12 characters.

2.Options

·Sets the following special features for the class.

Dual Wield | Allows the actor to equip weapons on both hands. In exchange for not being able to equip shields, the character will be more attack-oriented.
Fixed Equip | Disallows the actor's equipment from being removed. This can be used to prevent the player from removing equipment from an actor that has temporarily joined the party due to story progression.
Autobattle | In battle, the actor will not be controllable by the player, but act automatically. This can be used for helper characters that only appear temporarily.
Mighty Guard | The effect of the [Defend] command will be doubled, further reducing received damage.

3.Parameter Curves

·Shows the level-based stat growth graphs of the 6 types of stats – maximum HP, maximum MP, attack, defence, intelligence and agility.

·The values shown next to “Now:” show the stat values at the actor's initial level, with the initial equipment.

·Settings are handled by double-clicking each graph to open the [Parameter Curves] window for editing.

4.Experience Curve

·Specifies the amount of experience required for the actor to level up. Settings are handled by clicking the [Settings] button to open the [Experience Curve] window for editing.

5.Skills

·A list of skills that the actor will learn on gaining levels. Skills are arranged in order of increasing level.

·To add new skills, double-click the empty space at the top of the list. In the [Skills] window, specify the level at which to learn the skill and the skill to learn. Alternatively, if an existing entry is double-clicked, the contents can be edited in the same [Skills] window.

·To delete an existing entry, click the entry in the list and press the delete key.

·The above Edit and Delete operations can also be carried out from the shortcut menu when the entry is right-clicked.

6.State Rate

·Specify the effectiveness of attacks that apply [Status Effects] on this actor, from 5 levels ranging between A~E.

·When the symbol on the left of the status effect name is clicked, the settings will change in decreasing alphabetical order and loop back to E after A (right click to change in the opposite direction). The exact level of effectiveness is based on the the defined [State Rate] in the [State] tab. As a rule, the closer to A, the more effective the attack is.

7.Element Rate

·Specify how effective the [Elements] of an attack is effective on the actor, from 5 levels ranging between A~E. The effectiveness is dependent on the defined [Damage Multiplier] in the [Elements] tab.

·When the symbol on the left of the type name is clicked, the settings will change in decreasing alphabetical order and loop back to E after A (right click to change in the opposite direction). The exact level of effectiveness is based on the the defined [Damage Multiplier] in the [Elements] tab. As a rule, the closer to A, the more effective the attack is.

8.Battle Commands

oBattle commands can be customized per job type.

oBattle command name settings:

oSets the command names. From the “Name settings” window that is displayed when the Settings button is clicked, click the number in the battle command list to edit, and enter the command name within a maximum length of 10 characters. At the same time, from the dropdown menu for the command's purpose, choose the purpose of the command.

oCreate battle commands for jobs:

oChoose the desired command from the dropdown menu and carry out customization.

oCharacters can have a maximum of 7 battle commands, and the bottommost command is fixed at “Change”. However, setting the topmost command to an “attack” command is recommended.

9.Animations

·Choose the battle animation to display for this job from the dropdown menu.


Skills

[Database] → [Skills]

Common Settings

1.Name

·The name of the skill. The maximum length is 20 characters.

2.Skill Type

·Specify the skill category. From the dropdown menu, choose one of the following options:

o“Normal”: A normal skill which can be used for attacking, healing, inflicting a status effect, etc.

o“Teleport”: A skill which invokes the teleportation feature. When used (while teleportation is allowed), the teleportation menu will be displayed which allows the player to teleport to one of the saved places (which can be set through event commands).

o“Escape”: A skill which invokes the escaping feature. When used (while escaping is allowed), the player will be teleported back to the escape target position which can be set through event commands.

o“Switch”: A skill which sets a switch to ON when used.

oAny of the options defined as "Battle Commands" of type "Skill Subset" in the [Battle Screen] tab of the [Database] which act as a subset of “Normal”.

·Depending on the chosen category, the “Category settings” will change.

3.MP Cost

·This is the amount of MP that will be lost when the skill is used. Specify within a range of 0~999.

·In-game, if a character's current MP is less than the MP cost of a skill, the skill will not be usable.

·Alternatively, the MP cost can be set at a percentage value of the character's maximum MP. The MP spent on the skill will change depending on the maximum MP of the actor. This means that the higher the character's level, the more MP the skill will consume.

An Example:

Actor 1's Max MP is 100. The MP cost of the skill is 20% of Max MP. Which means the skill will consume 20 MP when used.

Actor 1's Max MP is increased by 10 due to leveling up.

Actor 1's Max MP is now 110. Since the MP cost of the skill is 20%, the skill cost is now 22 MP.

·If the percentage is set to 0%, then the MP cost will be a fixed value regardless of the actor's maximum MP.

4.Description

·The comment for the skill. In-game, this will be displayed when the skill is selected.

5.Scope

Choose the skill target(s) from the dropdown menu.

Single Enemy | One of the opponents from the opposing group will be the target.
All Enemies | The entire opposing group will be the target.
The User | The User will be the target.
One Ally | One of the allies from the The User's group will be the target.
All Allies | The entire of the The User's group will be the target.

6.Battle Animation

·Choose the battle animation that will be displayed when the skill is used in battle, from the dropdown menu. The selected animation will be previewed.

7.Physical Rate

·Determines the influence of the The User's attack stat (includes the opponent's defense) on the skill's effect. Move the slider to specify the value within a range of 0~10.

·The smaller the value, the less effect the The User's attack has on the skill's effect.

8.Magical Rate

·Determines the influence of the The User's intelligence stat (includes the opponent's intelligence) on the skill's effect. Move the slider to specify the value within a range of 0~10.

·The smaller the value, the less effect the The User's intelligence has on the skill's effect.

9.Variance

·Affects the variability of the effects of damage, HP recovered, skill effects etc. Move the slider to specify the value within a range of 0~10.

·For each level in precision, the range of values will increase by ±5%, up to a maximum of ±50%.

10.Base Value

·The value of the skill's basic effect. Please specify within a range of 0~999.

11.Stat Decrease (when effect range is [Single enemy] or [All enemies]) / Stat Increase (when effect range is [The User], [One Ally] or [All allies])

·Specify which stat the base effect value of the skill will be applied to. Enable the checkbox for each stat to be influenced.

·If [(Absorb)] is enabled, the stat reduction effect can only be applied to HP or MP. The reduced stat will be added to the The User's stat.

·If [(Ignore defence)] is enabled, the specified stat will be reduced without applying the opponent's defence.

·Reduced or increased stat values will only take effect during battle. Once the battle is over, the actor's stats will revert to normal.

12.Success Rate

·Specify the skill's success rate within a range of 0~100%. However, even if this value is set to 100%, the skill may still fail depending on the opponent's state.

13.States

·Enable the respective checkbox to specify a [Status effect] that the skill can cause.

14.Attack Element (when effect range is [Single enemy] or [All enemies]) / Elemental Defense (when effect range is [The User], [One Ally] or [All allies])

·Enable the respective checkbox to specify a [Type] for the skill.

·If a skill with a [Type] that an opponent is weak to (has a high fluctuation rate) is used against it, the resulting effect value will be greater than normal.

·If “Reflect magic” under defensive type is enabled, opponents' skills will be reflected and deal damage to the The User instead. Even if that opponent has “Reflect magic” enabled, it will not be reflected again. If the target of the spell is on all opponents and the party contains multiple actors that can reflect magic, it will only be reflected the first time.

15.Reduce Resistance (when effect range is [Single enemy] or [All enemies]) / Elemental Defense (when effect range is [The User], [One Ally] or [All allies])

·If enabled, the resistance to the checked types in (14) of the target characters will decrease or increase by 1 stage.

·The resistance change is limited to the stages immediately above or below the character's original resistance. For example, if an actor has an elemental type resistance of “C”, the resistance level can change between “B”, “C” and “D”. Even if the resistance-changing skill is used multiple times, the type resistance will not exceed 1 stage above or below the original setting.

·Reduced or increased resistances will only take effect during battle. Once the battle is over, the actor's resistances will revert to normal.

16.Character Battle Animation (CBA)

·Specify the animation for the actor that will be shown during battle when this skill is used. When the [Settings] button is clicked, the [Character battle animation] window will be displayed.

·The character battle animation can be set as follows.

A. Actor List | This is the list of characters that can learn this skill. The usage animation needs to be set for all of the listed characters.
B. Choose Default CBA | Specify the animation for the character when using this skill. The character animation options available are the ones that have been created in the “Battle animation 2” tab, under "Charset” or “Battle Animation." Both types will be listed in the dropdown menu and can be selected.
C. Choose Movement | Choose from the dropdown menu whether the actor should move in front of the enemy or stay in place when using this skill. The options that can be set are as follows. ·No Movement: Use the skill without moving. ·Step Forward: Step forward, then use the skill. ·Jump Forward: Jump forward, then use the skill. ·Move to Enemy: Move in front of the enemy, then use the skill.
D. Afterimage | Choose from the dropdown menu whether an afterimage should be shown when the actor is moving during skill usage. The dropdown menu contains “Enable” or “Disable." If “No movement” was selected in c), there is no need to specify this.
E. Enemy Troop | Choose the enemy group to display in the full preview from the dropdown menu. All of the enemy groups created in the “Enemy groups” tab will be displayed on the dropdown menu. This is used for the preview and has no effect on the game whatsoever.
F. Change Background | Choose the battle background for the preview. Teleport/Escape type (if [Teleport] or [Escape] is specified in 2)

17.Sound Effect

·Specify the sound effect to play when the skill is used. Click the [...] button to open the [Sound effects] window and choose the sound file to use from the list.

·Switch type (if [Switch] is specified in 2)

18.Occassion

·Specify whether the skill is usable in “Field” (on the map) and/or “Battle” scenarios respectively. The skill will be usable in the enabled scenarios.

19.Sound Effect

·Specify the sound effect to play when the skill is used. Click the [...] button to open the [Sound effects] window and choose the sound file to use from the list.

20.Switch Toggle ON/OFF

·Specify the switch to turn ON after the skill is used. Click the “...” button to open the [Switches] window, and specify the switch to turn ON from the list.


Items

[Database] → [Items]

Common Settings

1.Name

·The name of the item.

2.Type

·Specify the type of item. Choose one of the following 11 categories from the dropdown menu.

Normal Goods | An item that has no effect. Used for event control.
Weapon | An item that can be equipped in an actor's [Weapon] slot. Equipping it gives the defined effects.
Shield: | An item that can be equipped in an actor's [Shield] slot. Equipping it gives the defined effects.
Body | An item that can be equipped in an actor's [Body] slot. Equipping it gives the defined effects.
Head | An item that can be equipped in an actor's [Head] slot. Equipping it gives the defined effects
Accessory | An item that can be equipped in an actor's [Accessory] slot. Equipping it gives the defined effects.
Medicine | An item that recovers HP and/or MP. Using it gives the defined effects.
Book | An item that teaches a skill. Using it gives the defined effects.
Seed | An item that changes an actor's stat values. Using it gives the defined effects.
Special | An item that has the same effect as a skill. Using it gives the defined effects.
Switch | An item that turns ON a switch. Using it gives the defined effects.

3.Cost

·This is the sale price of the item. Enter a value in the range of 0 to 999999.

·If set to 0, this item cannot be sold at a shop.

·When the player sells an item at a shop, it will be sold at 50% of the original price.

4.Description

·This is displayed in-game when selecting the item. Enter the text description, function, etc. of the item.

Weapon Types

5.Wield Type

·Specify whether this weapon is a one-handed or two-handed weapon.

·If it is a “One-handed” weapon, the other hand can additionally equip another weapon or shield. If it is a “Two-handed” weapon, other weapons or shields cannot be equipped at the same time.

6.Animations

·This is the battle animation that will be displayed during battle when the weapon is used to attack an enemy.

·The creation of and settings for the battle animation data are handled in the [Animations] tab.

7.Item Animation

·Specify the character animation that will be displayed during battle when the weapon is used to attack an enemy.

·Click the [Set] button to display the [Animation] window to edit the following settings.

A. Actor List

Even if the weapon is the same, the animation will differ between actors, so settings need to be edited for all the checked “Equippable actors” under the “Items” tab.

B. CBA Weapon

Specify the character animation that will be displayed when the weapon is used to attack an enemy. Choose the respective circular button to select “Weapon” or “Animation".

Under “Weapon”, choose the weapon animation to layer over the “Right Attack” animation. Choose from the “Weapons” as created in the "Animations 2" tab.

For “Animation", choose a battle animation from the list created in the "Animations” tab.

C. Choose Movement

Choose from the dropdown menu whether the actor should move in front of the enemy or stay in place when using this skill.

The options that can be set are as follows.

·No Movement: Use the skill without moving.

·Step Forward: Step forward, then use the skill.

·Jump Forward: Jump forward, then use the skill.

·Move to Enemy: Move in front of the enemy, then use the skill.

D. Afterimage

Choose from the dropdown menu whether an afterimage should be shown when the actor is moving during skill usage.

The dropdown menu contains “Enable” or “Disable."

If “No movement” was selected in c), there is no need to specify this.

E. Attack Count

Set the number of times to swing the weapon. Choose from “x1” to “x3” from the dropdown menu.

If the character animation was selected from “Animation” (battle animations as set in the "Animations" tab), “Attack Count” cannot be specified.

F. Ranged Weapon

This is a long-range weapon such as a boomerang or throwing knife. These are considered right-handed attacks.

If this box is checked, the following settings will be enabled.

G. Flying Animation

Choose the weapon animation for when the animation is flying through the air.

The animation choices are from “Weapon” animations and specified from the dropdown menu.

H. Choose Path

Choose whether the weapon should fly in a straight line like a knife, or follow an elliptic path like a boomerang.

Specify “Boomerang Type” or “Dagger Type” from the dropdown menu.

I. Single/All Enemy Attack

If the specified weapon hits all enemies, choose the path of the weapon.

From the dropdown menu, choose from “Single Enemy”, “Center”, “All Enemies” or “Attack in Sequence.”

J. Speed

Choose the flying speed for the weapon.

From the dropdown menu, choose from “Fast”, “Normal”, or “Slow.”

K. Preview

The resulting animation can be previewed on screen.

The displayed troop and background can be changed.

L. Enemy Troop

Choose the previewed troop from the dropdown menu.

M. Change Background

Change the preview background.

8.Equipment Settings

·Specify the actors/classes that can equip this item. Only the checked actors/classes will be able to equip this item in the [Weapon] slot.

9.Parameter Modifiers

·When the item is equipped, the actor's stats will change.

·Enter the value changes for attack, defense, mind, and agility within a range of -500 to 500.

10.Effect(s)

·When the item is equipped, special effects can be activated in battle. The checked options will be enabled.

Preemptive Advantage during battle | Ignores agility and attacks at the beginning of the turn.
Attack twice at the same time | Each normal attack hits the enemy twice.
Attack all enemies at the same time | Each normal attack hits the entire troop.
Ignore enemy dodge rate | Attack accuracy ignores the enemy's agility.
Player can't unequip | The equipment cannot be removed.

11.MP Cost

The amount of MP spent by the equipped actor per normal attack. Please enter a value in the range of 0 to 999.

If the actor's MP is less than the MP cost, the player will not lose the ability to attack or the [Parameter Modifiers] given by the weapon.

12.Accuracy

·The probability that the attack will hit the opponent. Enter a value in the range of 0 to 100 (%). The default value is 90%.

·Even if this value is set to 100%, the attack may fail depending on the opponent's agility and/or other conditions. On the other hand, even if the value is set to 0%, when the opponent's agility is low or if the opponent cannot move, the attack may hit.

13.Critical Rate

·Increases the actor's critical rate. Enter a value in the range of 0 to 100% to compound on the normal critical rate.

·If this value is set to 100%, all normal attacks will become critical hits.

14.Attack Element

·The elemental type(s) of the weapon. The checked elements will be enabled.

·Based on the element's damage multipliers and the elemental defense rates of the enemy character, the damage dealt will change.

15.States (status effects)

·Gives the weapon the ability to cause a state (status effect) on the opponent when attacking. The checked types will be enabled.

16.State Infliction

·The probability of causing a status change as specified under [States] when attacking. Please specify a value in the range of 0 to 100(%).

17.Invoke Skill

·It is possible to set an effect that will occur when the weapon is used as an item in battle.

·From the dropdown list, choose the effect from the skills and magic defined in the [Skills] tab.

Shield/Armor/Helm/Equipment types

18.Equipment Settings

·Specify the actors/classes that can equip this item. Only the checked actors/classes will be able to equip this item in their respective slots.

19.Parameter Modifiers

·When the item is equipped, the actor's stats will change.

·Enter the value changes for attack, defense, mind, and agility within a range of -500 to 500.

20.Effect(s)

·When the item is equipped, special effects can be activated in battle. The checked options will be enabled.

Prevent Critical Hits | Enemy characters will not critically hit the wearer.
Increase dodge rate for physical attacks | Normal attacks dealt by enemy characters will miss more often.
Half MP Cost | The MP cost required for skills will be halved.
Negate Terrain damage | Damage from terrain will not be taken.
Player can't unequip | The equipment cannot be removed.

21.Elemental Defense

Reduces the damage multiplier (effectiveness) of the checked elements on the equipped actor by one stage.

As a rule, when the damage multiplier drops, the damage taken from attacks with that element will be reduced.

For each element, the damage multiplier can only be reduced by 1 stage. Even if multiple pieces of equipment with the same elemental defense are equipped, the damage multiplier will not be reduced by 2 or more stages.

22.States (status effect prevention)

Avoids state-inflicting attacks, or inflict states on the wearer. Enable the “Status effect” to prevent or change to.

23.State Resistance

The probability of receiving a state, specified in the range of 0 to 100(%). If this is set to 100%, the state will be completely blocked.

24.Invoke Skill

It is possible to set an effect that will occur when the weapon is used as an item in battle.

From the dropdown list, choose the effect from the skills and magic defined in the [Skills] tab.

Medicine Type

25.Consumption Limit

Specify the number of times the item can be used from 1 to 5 times, or infinite use. If the usage count is limited, the item will disappear when this value has been reached.

26.Scope

The range that the item has an effect on. Click to select either of “One Ally” or “All Allies”. When set to “One Ally”, the ally will need to be specified when the item is used.

27.Usable by

Specify the actors/class types that can use the item. Only the checked actors/classes can use the item.

28.Heal States

Gives the item the ability to recover states. The checked options are enabled.

29.HP Recovery

Specify HP to recover as a combination of maximum HP percentage (0 to 100%) and absolute value (0 to 999).

30.MP Recovery

Specify MP to recover as a combination of maximum MP percentage (0 to 100%) and absolute value (0 to 999).

31.Options

·Limits the situations and purposes of the item's usage. The checked options are enabled.

Only usable in menu | The item will become usable only from the menu screen while on the map. The item cannot be used in battle.
Only effective on dead actors | The item can only be used on characters with the [Dead] state. When creating items that are used to recover dead characters, enable this option.

Book Type

·Under [Learned Skills], specify the skill that the actor will learn. Please choose one from the dropdown menu.

·The [Consumption Limit] and [Usable by] settings are similar to those of medicine type items.

Seed Type

·Under [Parameter Modifiers], specify the stats changed by using the item. Enter values in the range of -50 to 50 for attack, defense, mind, and/or agility.

·The [Consumption Limit] and [Usable by] settings are similar to those of medicine type items.

Special Type

·Under [Skill to activate], choose the effect that the ittem will have in terms of skills.

·Under [Usage message], specify the message that will be displayed when the item is used. If set to “Same as normal item”, no message will be displayed. If set to “Base on activated skill settings”, the [Usage message] for the skill will be displayed.

·The [Consumption Limit] and [Usable by] settings are similar to those of medicine type items.

Switch Type

·Under [Switch Toggle ON/OFF], specify the switch to turn on after the item is used. Click the “...” button and choose the relevant switch.

·Under [Occasion], specify the use conditions in [Field] (on the map) and [Battle] (during battle) respectively.

·The [Consumption Limit] is similar to that of medicine type items.


Enemies

[Database] → [Enemies]

1.Name

·The name of the enemy character. Click the field and enter the name. This name will be displayed in a message when a battle begins.

2.Stats

·The enemy's stats.

·The ranges are 1 to 99999 for [Maximum HP], 0 to 9999 for [Maximum MP], and 1 to 999 for [Attack], [Defense], [Mind], and [Agility].

·When a battle occurs, enemies will appear with full HP and MP.

3.Graphic

·Specify the graphic that will be displayed to represent the enemy character.

·The settings are made in the [Enemy Graphic] window that can be opened by clicking the [Set] button. Click to select the graphic from the list on the left, then click the [OK] button. In addition, dragging the [Change Hue] slider will change the hues of the graphic.

·If [Transparent] is enabled, the graphic will become transparent and the battle background will be visible through it.

·If [Flying] is enabled, the graphic will be displayed higher on the screen during battle (has no effect on stats and movement) and will move up and down during battle.

4.Rewards

·Specify the experience, money, and items that the actors will receive after defeating the enemy characters. The drops can only be obtained at the end of battle.

·Please enter a value between 0 and 9999999 for [Experience] and 0 and 999999 for [Money].

·If an [Item] is included in the drops, choose the item from the dropdown menu and specify the [Drop rate] in the range of 0 to 100%.

5.Critical %

·Specify the rate at which the enemy will deal critical hits with normal attacks.

·To set this value, click the checkbox and specify the rate in terms of “One in X times”. If the checkbox is not enabled, critical hits will not occur even if a value has been set.

6.Options

·If [Normal Attacks Miss] is enabled, the accuracy level of the enemy character's normal attacks is reduced to 70% instead of the usual 90%. This does not affect other moves like skills.

7.Element Rate

·Specify the effectiveness of attacks that apply [States] on this enemy, from 5 levels ranging between A and E.

·When the symbol on the left of the state name is clicked, the settings will change in decreasing alphabetical order and loop back to E after A (right click to change in the opposite direction). The exact level of effectiveness is based on the the defined [State Rate] in the [States] tab. As a rule, the closer to A, the more effective the attack is.

8.Element Rate

·Specify how effective the [Element] of an attack is effective on the enemy, from 5 levels ranging between A and E.

·When the symbol on the left of the type name is clicked, the settings will change in decreasing alphabetical order and loop back to E after A (right click to change in the opposite direction). The exact level of effectiveness is based on the the defined [Damage Multiplier] in the [Element] tab. As a rule, the closer to A, the more effective the attack is.

9.Attack Patterns

·The attack pattern defines the types of actions that the enemy character will take during battle. This allows enemies to have variation in their attacks, such as directly attacking, repeatedly using magic, escaping as soon as possible, etc.

·If there are no attack pattern settings, the enemy will do nothing in battle.

·Attack pattern settings can be added by double-clicking the empty space at the top of the list top to open the [Attack Pattern] window. Additionally, double click a pre-existing entry to edit it.

·To delete an existing entry, click the entry on the list and press the delete key.

·When an entry is right-clicked, a shortcut menu will be displayed, showing options to “Edit”, “Cut”, “Copy”, “Paste” or “Delete” the entry.


Troops

[Database] → [Troops]

1.Name

·The name of the troop (enemy group).

·This name is used to distinguish between data entries and will not be displayed in-game.

2.Generate Name

·Automatically generates a name based on the names of the enemies that make up the group. For example, if 2 “Zombie” enemies are listed, the name will be set to “Zombiex2”.

·However, please note that if the enemy characters' names cannot fit into the field, the name will be cut off.

3.Battle Test

·Starts a battle with the current troop as a test. In the [Battle Test] window displayed when the button is clicked, specify the test conditions.

4.Change Background

·Changes the battle background that is used in the edit view. From the [Battle Background Graphic] window that is displayed when the button is pressed, specify the graphic to use.

·This setting is only used during editing. This background may change in-game based on terrain, etc. The settings will also be reflected across all [Troops] (the same background will be used when editing all troops).

5.Edit View

·Displays the enemy characters that make up the troop. Enemies will be positioned in-game as they are in this edit view.

·While the left mouse button is held over a graphic, its ID number within the troop, name, and position (coordinate) will be displayed.

·To move a graphic, drag and drop the relevant enemy character. Movement is normally carried out in units of 4 pixels, but holding the [Shift] key while dragging will allow movements in units of 1 pixel.

·Right-clicking a graphic will display the [Appear Midway] command. If this is selected (the command is checked), the enemy will not appear at the start of the battle, but will join the battle when the event command [Enemy Transform] is called during a battle event.

·If [Automatic] is chosen under [Configuration] via the circular button, the enemy characters' positioning cannot be changed.

6.Add

·The enemy character selected by clicking on the list on the right will be added to the troop. The enemy character will be shown in the edit view.

·The graphics for enemy characters with the [Flying] option set will be placed on the upper part of the screen.

·The maximum number of enemy characters that can be placed in a troop is 8.

7.Delete

·The enemy character selected by clicking in the edit view will be removed from the troop.

8.Clear

·All enemy characters in the troop will be removed.

9.Arrange

·Enemy character positioning will be arranged in a line in order of increasing ID number, starting from the left.

·The graphics for enemy characters with the [Flying] option set will be placed on the upper part of the screen.

10.Terrain

·Specifies map terrain on which this troop can appear. The troop may appear on checked terrain types.

·For example, to create an troop that only appears at “Sea”, no options other than “Sea” should be checked.

11.Battle Events

Sets events that happen during battle with the troop. Please refer to the entry on Battle Events for details.

Random Enemy Parties

·Allow enemy characters to appear at random.

·First, create an troop with the desired enemy characters. Please make sure all desired enemy characters are included. Next, right-click the troop list, and click “Appear Randomly” in the list. The troop name in the list will be marked with (R).

·When this troop appears in the game, the number of enemies and group members will change with each battle.


Elements

[Database] → [Elements]

1.Name

·The name of the element.

2.Attribute Type

·The attribute of the element. Specify whether the element is classified as a physical or magical type.

·Skills with a specific physical element require that a weapon with the same physical element is equipped to be usable.

·When a character attacks, the damage calculation is based on the element (out of all the character's weapon and skill elements) that has the greatest fluctuation in effect.

·Damage multipliers are calculated per class, and the results are multiplied together to find the final effect fluctuation percentage that is used in damage calculation. For example, if the damage multiplier for weapon class is 200% and 50% for magic, the final effect fluctuation will be 200% x 50% = 100%, cancelling out each other's effects.

3.Damage Multiplier

·Specifies the [Damage Multiplier] (Elemental effectiveness level) on actors and enemies in terms of percentages of the attack effect. Enter values at each level of A to D within the range of -9,999% to +99,999% by which to increase/decrease the attack value.

·For example, if the [Damage Multiplier] of [A] of the Fire type is at 200%, and an enemy character's Element Rate for Fire is set at [A], the opponent will receive 2 times the damage if attacked with a Fire type weapon.

·The damage multiplier rate values should be set in decreasing order of A, B, C, D, E. Element Rate for actors and enemies are set in that order (the order of decreasing weakness). If they are not set in order, type effectiveness may not be reflected properly in-game.

·If a negative value is set, HP will be recovered when a character is hit by an attack with that type. Basically, the character absorbs a percentage of the attack. For example, if [E] of Water element's [Damage Multiplier] is -100% and an enemy has a Water elemental defense of [E], the enemy will recover an amount of HP equivalent to a normal attack by a Water-elemental ability.


States

[Database] → [States]

1.Name

The name of the state (status effect).

2.Removal Conditions

Specify how long to preserve the state. If set to “Ends after Battle”, the actor will return to normal after the battle ends. If set to “Persists after Battle”, the state will continue until it is cured.

3.Color

The color of the text that is displayed when the state is inflicted. Colors that can be selected here will change depending on the text colors in the system graphic.

4.Rating

Specify the rating (priority) of the state in the range of 1 to 100.

When multiple states are inflicted, the one with the highest rating will be displayed.

If multiple states are inflicted at the same time, their ratings will be compared to the state with the highest rating, and states that have less than or equal to 10 rating points will be automatically cured.

5.Restrictions

·Places limits on actions that can be taken in battle while the state is active. Choose one from the dropdown menu.

None | No actions are limited.
Cannot Move | The player cannot enter any commands for the actor.
Attack an Enemy | The actor cannot be controlled, and will use only normal attacks on enemies.
Attack an Ally | The actor cannot be controlled and will use normal attacks on allies instead of enemies.

6.State Rate

·The chance of the state occurring. For each level of A through E, please enter a value ranging from 0 to 100%. The actual probabilities for [State Rate] settings for actors and enemies are based on these values.

·The values should be set in decreasing order of A, B, C, D, E. State Rates for actors and enemies are set in that order (the order of decreasing weakness). If they are not set in order, state probabilities may not be reflected properly in-game.

7.Healing Method

Provides 2 options for recovering from the state during battle.

·[Recover Naturally] allows the actor to recover after a specified number of turns regardless of whether any method of recovery was used. Enter the number of turns to maintain the state within the range of 0 to 999, and specify the chance of recovery after the turn count is passed within the range of 0 to 100%.

·[Recover when Hit] allows the actor to recover after being hit by a physical attack. Specify the chance of recovery after being hit by an attack, within the range of 0 to 100%. As a note, the chance of recovery will change depending on the physical influence property if a skill is used to attack.

8.Actor Status

Specify stats that should be halved/doubled when the state is inflicted. The checked stats will be halved/doubled.

9.Accuracy Modifier

·Specifies how much the character's accuracy will be modified when the state is afflicted. The range is 0 to 100%.

·As a note, skills with the “physical attack dodged” message (the bottommost option) will also be treated as a physical attack and be affected by the accuracy change.

10.Unable to Use Skill

·Specify skills that will be disabled when the state is inflicted in terms of physical rate and magical rate. Skills that have physical and/or magical rates higher than the specified base value will be disabled when this state is inflicted.

·To apply this setting, check the relevant checkbox and enter the base value.

11. HP

·The amount of HP that the character will lose when this state has been inflicted. Specify the values separately for battles and map movement.

·Under “Increase/Decrease HP every turn in battle”, characters with the state will increase/decrease HP every turn in battle. Specify as a combination of percentage of HP (0 to 100%) and absolute value (0 to 999).

·“HP Recovered/Reduced during Map Movement” is only set when the removal condition is “Persists after Battle”. Specify the number of steps (tiles) for the actor to move between each decrease in HP. The number of steps should be specified within the range of 0 to 100, and the decrease in HP in the range of 0 to 999.

12.MP

The amount of MP that the character will lose/gain when this state has been inflicted. These options are set in the same manner as the HP section described above.

13.Special

100% Dodge | In battle, for as long as this state is active, opponent attacks will not hit (except for skills).
Reflect Magic | In battle, for as long as this state is active, skills used by the opponent will be reflected and deal damage to the user instead.
Fixed Equipment | For as long as this state is active, weapons and equipment cannot be changed.

14.Animation

Choose the battle animation for characters that have been afflicted with the state.

Enter the animation number for the animation created under “Poses” in “Battle animation 2”.

The default is “Status” under “Basic”.

Notes

·For the first state on the list, “Dead”, settings cannot be changed for any option other than [Name], [Color], and [Removal Condition], and also cannot be deleted.

·This is because as a rule of games made with this software, this state is forced to occur when actors' and enemies' HP reach 0. It is used to represent the situation where characters have expended an extreme amount of energy and are unable to move in battle. The defeat of enemy characters is also based on this state.

·Dead actors are unable to recover naturally from this state, excluding situations where event processing is involved. To recover, skills possessed by other actors that can cure the state or medicine items with the [Only effective on dead actors] option enabled must be used. As a note, if all actors in the party enter the dead state, it will be considered a Game Over.


Animations

[Database] → [Animations]

1.Name

·The name of the battle animation.

·This name will not be used in-game.

2.Animation Graphic

·Specify the file containing the animation frames from the window that opens when the [...] button is clicked.

·Here, choose from files containing 96 x 96 sized cells (Battle) or files containing 128 x 128 sized cels (Battle2).

3.Target (Editor only)

·Specify the enemy graphic to display in the frame viewer from the dropdown menu. This is used only for checking the animation display and has no influence on the game itself.

4.Scope

·Specifies the range of targets of the animation.

·If “Single”, the animation will be displayed over the single target of the animation. If “Screen”, the animation will be displayed over the whole Battle Screen.

5.Y-Position

·If the [Scope] has been set to Single, specify whether the battle animation should be displayed on the head/center/feet.

6.Max # (Frame Count)

·Specify the frame count of the animation. Click the [...] button to open a window for editing. The maximum frame count is 500.

7.Frame #

·This is a list of frames. To choose the frame to edit, either click its number directly, or use the [Back] and [Next] buttons to select it.

8.Frame viewer

·Displays the contents of the frame that is currently being edited. Please refer to [Editing the frame viewer] for details.

9.Cell frame palette

·Displays the animation frames in the image specified under [Animation Graphics]. The cell frame numbers are numbered starting from 1 for the leftmost frame.

·When a cell frame is clicked, it will be framed in white, and selected for placement within the frame.

10.SE and Flash Timing

·Tints the character, adds sound effects, etc. when the frame is displayed.

·To edit the settings, double-click the topmost empty entry to open the [SE and Flash Timing] window for editing. Alternatively, double-clicking an existing entry opens the same window for editing the entry.

·To delete an existing entry, click the entry in the list and press the delete key.

·When an entry is right-clicked, a shortcut menu will be displayed, showing options to “Edit”, “Cut”, “Copy”, “Paste” or “Delete” the entry.

11.Use Grid

·If enabled, cells in the frame can be moved in units of 8 pixels.

12.Clone Last Frame

Sets the contents of the current frame to be the same as the previous one.

13.Copy/Clear Cells

·Copies or deletes frame contents in bulk.

·The settings can be edited from the “Copy/Clear Cells” window that opens when the button is clicked.

14.Tweening

·This function fills in frame content between two frames to ensure that the cell animation is smooth.

·The settings can be edited from the “Tweening” window that opens when the button is clicked.

15.Cell Batch

·Changes all the same-numbered cells in the frame. The settings below can be changed in the [Cell Batch Settings] window.

16.Play

·Using the current settings, play the animation in the frame viewer.


Animations 2

[Database] → [Animations 2]

Common settings

1.Weapon/Poses/Animation Type

·Changes the entries to edit. Click the tab containing the relevant entry to edit.

2.Name

·The name of the animation entry. Each animation entry is a collection of related animations (weapons/poses/animation types).

Weapon

3.Change page

·Under “Weapon”, 8 kinds of animations can be displayed on each page.

·There are 4 pages, for a total of 32 animations per character.

4.Animation Viewer

·Displays the selected graphic file.

5.Weapon Graphic

·Specify the weapon animation graphic from the [Weapon animation] window that is displayed when the [Set] button is clicked.

·When a file is selected from the list on the left side of the window, it will be previewed on the right side. Click to select the graphic to use.

6.Weapon Animation name

·The name of this weapon animation.

7.Character Graphic

·Choose the character animation to display in the animation viewer.

Right Hand | Overlaid over the “Right Attack” under “Poses.”
Left Hand | Overlaid over the “Left Attack” under “Poses."
Both Hands | Animation in the order of “Righ Attack” then “Left Attack.”
Weapon Only | Displays only the weapon animation without displaying the character.

Poses

8.Change page

Under “Poses”, 8 kinds of animations can be displayed on each page.

There are 4 pages, for a total of 32 animations per character.

9.Animation viewer

·Displays the selected graphic file.

·The animation is automatic, so testing is carried out here.

10.Pose graphic

·Click the [Set] button to open the [Battle Graphics] window to specify the graphic used for creating the basic animation.

11.Name of basic character animation

·This is the name of the basic character animation.

·The 1~12 animation names below cannot be changed.

Basic (Idle) | The animation when no action is being taken.
Right Attack | The animation for attacking with the right hand.
Left Attack | The animation for attacking with the left hand.
Skill | The animation for when a “Skill” or “Item” is used.
Dead | The graphic for when a character is dead.
Damage | The animation displayed when the character is hit by an enemy's attack.
Status | The animation displayed when the character is afflicted by a [State] such as poison or paralysis.
Defend | The animation displayed when the defend command is chosen.
Walk (Left) | The animation displayed when the character is walking to the left.
Walk (Right) | The animation displayed when the character is walking to the right.
Victory | The animation displayed after winning a battle, when experience and level-up messages are displayed.
Item | The animation displayed when items are used.

Animation Type

·Highly variable character animations can be created under Animation Type.

·This is an expansion of “Poses”, so 32 expanded animations can be set (corresponding to the basic pose animations for each actor). The created animations can be displayed in battle by setting them under “Skills” and “Items”.

·The basic animation numbers 1~12 (see above) are required by the system, so these graphics must have the appropriate function. For example, the “Damaged” entry must contain a graphic of the actor being damaged.

12. Pose

Choose the pose animation for the expansion animations. The options available are from “Poses”.

13.Battle Animation

·If the expanded functions are to be used, select the “Expansion” circular button. In the section below displaying battle animation, choose the battle animation to use from the options in “Database/Battle animation”.

·If “Expansion” is to be used for weapon animation when attacking, choosing the desired battle animation from “Expansion” under “Animation to use” in the “Items” tab is necessary.


Battle Screen

[Database] → [Battle Screen]

1.Change Actor Ranks/Position and Battle Commands

·Choose whether the actors should be placed on the frontline or at the rear using the circular buttons. This setting will not be reflected in the game but will only be shown on this screen as a reference.

oFront: The actor will deal greater damage with physical attacks, but will also be more likely to receive attacks.

oRear: The actor's will deal less damage with physical attacks, but will also be less likely to receive attacks.

·The front and rear settings have no effect on skill damage.

·Battle commands can be customized per character.

Battle Command Settings

Battle commands with the same purpose can be given different command names.

In the “Battle Commands” window that can be opened by clicking the “Set” button, click the number of the option to edit from the battle command list, and enter the command name. At the same time, choose the purpose of the command from the dropdown list. Choose the purpose from the following types.

Attack | Attacks with the equipped weapon. This is required during Menu Commands.
Items | Uses an item created in the “Items” tab.
Defend | Halves the damage received from enemies.
Escape | Escapes from battle. The chance of escaping is not definite.
Skills | Uses a skill set as “Normal” under "Category" in "Skills".
Skills (Specific) | Uses a skill. It is possible to create commands for only created skills. To add skills to this new command, select its name under “Category” in the "Skills" tab for the relevant skills.
Special (Event use) | Used to activate battle events. This action does nothing on its own and has to be detected and handled by events.

Create character-specific battle commands:

Customize battle commands for characters. Choose the character to customize from the list. Choose the character's commands from the dropdown menu. Commands created under “Battle command name settings” (Battle Commands) will be listed in the dropdown menu. To create a “Steal” battle command, first create the command as a skill, and create a command with the same name under Battle Commands on the Battle Screen tab. Next, under “Battle Events” in the “Troops” tab, make a battle event occur with “Battle Command” as the “Condition” when that command is selected. Within that event, create the special attack.

Characters can have a maximum of 7 battle commands, and the bottommost command is fixed at “Row”. In battle, the commands will be displayed in the order they are set using the dropdown menus. However, setting the topmost command to an “attack” command is recommended. This is because in battle, if there is no command for an unlimited direct attack, the game may enter a soft lock (unwinnable situation) if both enemies and allies run out of MP and cannot move.

2.Configuration

Sets the placement of actors.

Use circular buttons to choose between “Manual” and “Automatic”.

Manual: Actors can be placed freely. Choose an actor from the Actor list in (1) and drag the character in the preview to the desired position.

Automatic: Places actors in their default positions. If this option is enabled, characters cannot be dragged in the preview in (1).

3.Battle Screen Interface

·Choose the battle interface using the circular buttons.

oType A: The HP (numerical value) and battle time gauge will be displayed, and the MP will only be displayed when “Skills” is chosen. The window transparency setting in the [System] tab is ignored in battle when this layout is used.

oType B: The HP (numerical value) and MP (numerical value) will be displayed with the battle time gauge in the back.

oType C (Gauge-type): Player portraits, HP (number and gauge), MP (number and gauge) and battle time gauge will be displayed on the Battle Screen (the numbers and gauges can be removed depending on the [Battle UI Skin] from the System 2 graphic).

·You can also select the size of the windows in battle.

oLarge Window: Normal window size (the same size used for windows outside the battle).

oSmall Window: Decreased height and spacing, to make more room available for the battle scene itself.

4.Death Handler

Set handling for when the party is wiped out in a normal battle.

The options that can be specified using circular buttons are “Game Over” and “Call Common Event”.


Terrain

[Database] → [Terrain]

1.Name

The name of the terrain.

2.Damage

When an actor moves onto a map tile with this terrain setting, the actor's HP will decrease.

Specify the amount within a range of -10 to 10. The default is 0. If set to a positive value, the terrain can represent a poisonous swamp or similar terrain that causes the actor to lose energy. If set to a negative value, the actor's HP will be recovered.

3.Encounter Rate

This is a modifier value to change the rate of encounter with enemy characters. Specify the encounter rate modifier as 0 to 500% of the [Encounter Rate] set for the map.

By default this value is 100%, and if set to a larger value, you can represent a terrain with more enemies than usual.

4.Vehicle Passage Settings

Settings for the passage of boats, ships, and airships over the tile. The checked options are enabled.

Even if [Airships can land] is enabled for the terrain, if passage is blocked for the tile, airships will not be able to land on that tile.

5.Character Display

Specify the method for displaying movable graphics (actors, events) on the tile.

By enabling transparency, the visual effect of a character moving through shallow water or forests can be achieved.

6.Battle Background Graphic

This is the background image that will be displayed in battle when an enemy character is encountered on the tile.

From the [Battle Background Graphic] window that can be opened by clicking the [Set] button, specify the image file or scenery to use.

You can also use the [Background] circular button to use a scrolling background.

This graphic will be used if the encounter map's [Battle Background] setting is set to [Terrrain Based].

7.Footsteps

Specify the sound of footsteps based on the terrain.

From the sound effects window that opens when [...] is clicked, choose the sound effect for footsteps.

8.Battle Formation Rate

·Choose the rates at which battles start under special conditions.

Preemptive Attack | Launch a preemptive attack from behind the enemies. It is also easier to escape from a preemptive battle than normal battles.
Back Attack | Enemies launch a surprise attack from behind. Enemy characters appear on the right, while actors appear on the left. In addition, it is harder to escape from the battle compared to normal battles.
Pincer Attack | Launch a pre-emptive attack from the enemies' sides. The enemy cannot escape.
Surprise Attack | Enemies launch a surprise attack from the sides. Actors cannot escape.

·If the enemies are placed manually, side attacks cannot occur.

·If the checkbox is checked, the rates can be set in the form below. The total for all 4 rates together must be less than 100%. (The remaining percentage after subtracting all 4 rates is the rate of normal battles)

oPreemptive Attack: 10%

oBack Attack: 10%

oPincer Attack: 5%

oSurprise Attack: 5%

·In the above case, normal battles will occur 70% of the time.

·It is also possible to set a category to 100%.

·In each of these situations, the party that sets up the attack will get the first attack, and the battle time gauge will be at MAX from the beginning.

9.Field Depth

·Choose whether the actors and troop placement will be “Shallow” or “Deep” when an enemy encounter occurs on that terrain.


Tilesets

[Database] → [Tilesets]

1.Name

·The name of the tileset.

2.Tileset Graphic

·Specify the tileset graphic for the tileset. Please click on [...] and choose the file.

3.Upper Layer / Lower Layer

·Changes the type of tile to edit. When the tabs are clicked, the respective settings page for each type of tile will be displayed.

4.Edit Mode

·These are buttons for changing layer settings.

·When lower layer tiles are being edited, the [Terrain], [Passability] and [Passage (4 Directions)] buttons will be displayed. When upper layer tiles are being edited, the [Passability], [Passage (4 directions)] and [Counter] buttons will be displayed. Depending on which button is pressed, the options displayed on the right side will change.

·Please refer to [Tileset Properties] for specific details on options and editing methods.

5.Autotile Animation

·Specifies the format for animating sea tiles with 3 frames.

·Under [Sequence], the order for animating the sea tile frames can be chosen. [1-2-3-2] animates back and forth, while [1-2-3] loops over the animation.

·Under “Speed”, the speed of animation of the frames can be chosen from [Fast] or [Slow].

·

·

·


Terms

[Database] → [Terms]

[Glossary 1] [Glossary 2] tabs

·Set the messages that will be displayed during battle scenes. Enter the text to be shown as applicable to the listed situations.

·The field is greyed out where text (character names, etc.) and values (damage, etc.) will be automatically inserted into the message.

·The options are categorized by purpose as follows.

[Battle Messages 1]: Messages displayed when battles start and end.

[Battle Messages 4]: Messages displayed to alert the player to a change in character stats.

[Glossary 3] [Glossary 4] tabs

·Set the messages that will be displayed on the screen during shop and inn events.

·Messages set under [Shop messages: Type A] to [Type C] are used in [Shop Processing] events. Enter the terms and messages as appropriate in the fields.

·Messages set under [Inn messages: Type A] and [Type B] are used in [Inn Processing] events. Enter the terms and messages as appropriate in the fields.

·[Shop Parameters] are used in [Shop Processing] events to display the number of items possessed and equipped as well as monetary values. [Currency] is also used when [Inn Processing] events are carried out (among other situations where the currency unit will be displayed).

[Glossary 5] tab

·Set the glossary for game system text such as stat names, menu and battle commands, save/load terms, etc.

·Under [Stats and Equipment Vocab], set the names for character stats and equipment slots.

·(Abbr.) denotes the abbreviated name for the term on the menu and other places.

·Under [Event Commands], set the names for menu commands (e.g. battle, event, and main menus).

·Under [Save/Load/To title], set the names and messages for the commands displayed on the save/load screens.

* To make it possible to import games made with RPG Maker 2000, several parts of the [Glossary] tab now cannot be edited. This has no negative effects on game production and usage.


System

[Database] → [System]

1.Vehicle Graphic

·Set the vehicle graphics. Please click the respective [Set] buttons for "Boat”, “Ship”, and “Airship”, and choose the graphic to use.

2.Title Graphic

·This is the graphic to be displayed on the title screen when the game starts. Click the [Set] button and specify the image file to use.

·The [Use] option specifies whether the default title screen should be used.

oBy disabling this option, a new game will be started every time the game is run, the [Return to Title Screen] event command is used, the player selects [To Title] in-game or [F12] is pressed.

oIt's possible to create a custom title screen using event commands.

3.Game Over Graphic

·This is the graphic to be displayed on the Game Over screen. Click the [Set] button and specify the image file to use.

4.Initial Party

·Set the initial members of the party when the game starts. Choose the actors from the dropdown menu.

5.Music

·These are the BGM (Background Music) tracks that will be automatically played on the title screen, during battles, on vehicles, etc. Click on the respective [...] buttons and specify the sound files to use.

6.Sound Effects

·These are the sound effects that will be automatically played when the cursor is moved, select key is pressed, characters engage in battle, etc. Click on the respective [...] buttons and specify the sound files to use.

7.Window Graphic

·Set the system graphic to use for displaying menus, cursors, timer digits etc.

·Click the [Set] button to open the [System Graphic] window and choose the graphic to use.

·Under [Window Background], choose the image pattern to display as a window background.

·Stretch to Fit: Stretches the image pattern to fit the size of the window.

·Tiled Pattern: Tiles the pattern across the window. The image size will not change.

·Under [Font], choose the game font from either RPG2000 or RPG2000G.

·When the [Transparent] option is enabled, windows will be displayed with a half-transparent background.

oThis setting applies to the map, the battle and the default title screen.

oWhen battle layout A is selected in the [Battle Screen] tab, the windows will always have an opaque background during battle, regardless of this option.

8.Transfer Player

9.Battle Start

10.Battle End

·Specify the transition effects (screen effects) when displaying or clearing the screen for each situation. By using effects like “Mosaic” or “Fade In”, some flair can be added to screen transitions.

·[Transfer Player] refers to when the actor's location is changed, [Battle Start] refers to when enemy characters are encountered on the map and the game switches to the Battle Screen, and [Battle End] refers to when a battle has ended and the game returns to the map screen.

oFor each of these situations, use the dropdown menu to specify the clearing effect under [Fadeout Screen] and the displaying method under [Fadein Screen].


System 2

[Database] → [System 2]

1.Menu Commands

·The game menu commands can be customized. The maximum number of customizable commands are 8 (there are 9 commands, but the last command is fixed at “To Title”).

·Choose the commands from the drop-down lists in the order in which they will appear in-game.

·The customizable commands are “Items”, “Equipment”, “Skills”, “Status”, “Change”, “Formation”, “Save” and “Wait”.

oChange: Changes the order of actors in the menu.

oFormation: Changes the front/rear positioning of actors in battle. Actors are placed on the frontline by default and their positioning always has to be changed manually.

2.Screen Frame

·Choose the frame that will be displayed on the screen throughout the game.

·To display a frame, check the [Display] box, click the [Set] button to open the [Frame] window, and select the image to use.

3.Battle UI Skin

·These are the graphics used for side view battles.

·Click the [Set] button to open the [System 2] window and select the image to use.


Common Events

[Database] → [Common Events]

·Common events take effect across the entire game. These are used to gather information about situations such as the player's current location, and also for certain functions that are commonly used.

·Please refer to [Common Event Settings] for settings.

·Common events may also be called using battle events, but their usage conditions will be stricter. (A common event that works correctly on the map may not work correctly during battle.)

·Please take extra caution when using common events imported from RPG Maker 2000 data.


Supplementary Windows

Experience Curve

Parameter Curve

Attack Pattern

Battle Test

Frame View Editing

SE and Flash Timing

Copy/Clear Cells

Tweening

Cell Batch

Tileset Properties


Experience Curve

[Database] → [Actors] → [Experience Curve]

Specifies the amount of experience points required (also known as base experience) to reach each level.

The list on the left side of the window shows the base experience values for each level. The window has two tabs, and the base experience values are displayed as follows.

o[Cumulative Experience]

Displays the required experience points to reach a level as the sum of all experience points starting from level 1.

o[To the Next Level]

Displays the required experience points to reach a level as the difference between the cumulative experience required for the next level and the current one. Useful for balancing the experience gained from [Troops] during the game.

Settings are carried out based on a combination of 3 values: base value, extra value, and acceleration. By moving their respective sliders, the graph and the values on the left will change. Refer to these while adjusting the values.

o[Base Value]

The “basic” value for calculating base experience values. Specify within a range of 1 to 2000.

o[Extra Value]

Represents how much the required experience points will increase per level. The larger this value, the greater the difference in base experience between consecutive levels. This is highly responsible for the "steepness" (or lack thereof) of the experience curve.

o[Acceleration]

This value will simply be added onto the experience values calculated based on the previous two options. Useful for fine-turning curves (along with Base Value).

If the cumulative experience exceeds 9999999 based on the earlier settings, the graph display will darken. This means that the level will not rise any higher.


Parameter Curve

[Database] → [Actors] → [Parameter Curve]

·Actors' stats at each level are specified using the “Parameter Curves”.

·From “Maximum HP”, “Maximum MP”, “Attack”, “Defense”, “Mind” and “Agility”, open the desired tab.

·The displayed graph is drawn based on the current settings. The horizontal axis represents the level count, while the vertical axis represents the value of the stat at the respective level. Stats can be set either manually or automatically.

·3 methods can be used to edit the settings. Here, [Maximum HP] will be used to explain the setting methods. Other stats can also be set in similar manners.

Manual Setting

Stats at each level will be directly specified (the maximum HP stat will be used as an example here).

1.Enter the level to set for under [Level] within a range of 1 to 99. The current setting for the entered level will be displayed under [Maximum HP].

2.Under [Maximum HP], enter the new value within the range of 1 to 9999.

3.In the same vein, set the stats for each level.

oThe stat values can also be changed by clicking and dragging the bar graphs for each level.

Automatic setting

1.Generate Curve

a.Automatically generates the stats for each level based on the values entered for levels 1 and 99.

b.Click the [Generate Curve] button. The [Generate Curve] window will open (see below).

c.Enter the minimum and maximum stat values under [Level 1] and [Level 99] respectively, within a range of 1 to 9999.

d.Using the [Growth Type] slider, specify the growth type. The closer the slider is to “Fast”, the smaller the stat growth as level increases. On the other hand, the closer the slider is to “Slow”, the larger the stat growth as level increases.

e.Click the [OK] button to close the window. Based on the contents of the settings, the stats at each level will be set automatically.

2.Simple Settings

·Values provided by this software will be used. Clicking any of the “Genius Type”, “Superior Type”, “Standard Type”, “Inferior Type” buttons will set the respective stat growth type with random stats within a certain range.


Attack Pattern

[Database] → [Enemies] → [Attack Patterns]

·Defines the contents of attack patterns.

·Under [Type] in [Condition], choose the condition for the attack pattern from one of the following options.

Always | Always uses this attack pattern.
Switch | The attack pattern will be chosen if a specified switch is ON. Click the [...] button to choose the switch number.
Turn Count | When the specified turn count has been reached by the enemy, the attack pattern can occur. The turn count is specified in the format “A x ? + B” (“A x ?” means a multiple of A). For example, if A = 3 and B = 1, the attack pattern can occur on turns 1, 4, 7...After B turns, the pattern can occur every A turns.
Group Size | Specify the maximum and minimum group size from a range of 1 to 8. The attack pattern can occur if the number of enemies is within the given range.
Monster HP | If the enemy's HP is within the given range, the attack pattern can occur. Specify the maximum and minimum of the range as percentages of maximum HP (0~100%).
Monster MP | If the enemy's MP is within the given range, the attack pattern can occur. Specify the maximum and minimum of the range as percentages of maximum MP (0~100%).
Average Actor Level | If the party members' average level is within the given range, the Attack pattern can occur. Specify the maximum and minimum of the range within a range of levels 1 to 99 respectively.
Actor's Health | If the actors' exhaustion level is within the given range, the attack pattern can occur. Specify the maximum and minimum of the range as percentages (0~100%). Exhaustion (%) = 100 – 100 x { (Total HP / Total maximum HP x 2 + Total MP / Total maximum MP) / 3 }

·Under [Rating] in [Attack Patterns], specify the value used to decide on a attack pattern within a range of 1 to 100. When there are multiple attack patterns that fit the conditions, the pattern with the highest rating will be chosen.

·Under [Switch ON after action] and [Switch OFF after action], specify switches to be toggled after the attack pattern is taken. Enable the respective checkbox and click the “...” button to specify the switch number. If no switch operation is necessary, disable the settings (uncheck the boxes).

·Under [Behavior], specify the action taken once the attack pattern has been chosen.

Basic Action | Normal actions that do not use a skill. Choose one of the following using the dropdown menu.
Normal Attack | Attacks.
Double Attack | Attacks with two consecutive normal attacks.
Defend | Until the next action is chosen, damage received will be reduced.
Watch | Do nothing during the turn. During battle, a message to that effect will be displayed.
Charge | Nothing will be done during the turn, but an attack made on the next turn will deal double damage to the target.
Self-Destruct | In exchange for its own defeat, deals damage to the actors.
Escape | Retreat from battle.
Do Nothing | Movement will be skipped. No message will be displayed.
Skills | Uses a skill. Choose the skill to use from the dropdown menu.
Transform | Transforms into another enemy character. Choose the character to transform into using the dropdown menu.

Process for Choosing Attack Patterns

·The action that the enemy character will take will be chosen based on the following rules.

1.Of all attack patterns, those that fit the “conditions” will be chosen. If there are multiple relevant conditions, (a) the one with the highest priority and (b) anything within 9 priority points of (a) will be considered.

2.The importance of each attack pattern is calculated based on the effectiveness of the action during the current situation in battle. These values will be mutually compared among the attack patterns that were considered, and converted into a choice probability (the percentage that each pattern comprises out of the total importance value).

3.Using the choice probabilities, the attack pattern will be randomly decided.


Battle Test

[Database] → [Troops] → [Battle Test]

oThe process for carrying out battle tests is as follows.

1.Use the circular buttons to determine the battle format.

2.Use the circular buttons to specify the actor and enemy positions.

3.Specify the number of actors to participate in the battle.

4.Under [Status], there will be numbered tabs equal to the number of actors. On each tab, specify the [Actor], [Level] and [Equipment].

oBased on these settings, the resulting stats will be displayed under [Actor Stats].

oIf [Reset to Default] is pressed, the actor will revert to the most basic level and equipment.

5.When “Start Test” is clicked, a battle will start based on these settings. When the battle ends, the battle test will also automatically end.


Frame View Editing

[Database] → [Animations] → [Frame View Editing]

Placement

oTo place a cell in the frame, follow these steps.

1.In the frame (7), specify the frame number to edit.

2.In the cell frame palette (9), specify the cell frame to place.

3.Click the frame viewer. The cell frame specified in the edited frame will be placed as a cell.

Display/Select

·A rectangular frame will be displayed according to the cell's size.

·The number on the top left of the box is the cell number. The larger the cell number, the closer it will be displayed to the front of the frame.

·The outline color has the following meanings.

oWhite: The currently selected cell

oRed: Deselected cells

oBlue: Cells placed in the frame previous to the current frame

·The selected cell can be changed by clicking within the box of the desired cell (blue-framed cells cannot be selected). In addition, holding down the control key and then clicking and dragging will allow the cell immediately behind that cell to be selected.

Move

·To move an existing cell, click and drag within the box of the desired cell, and drop the cell in its new location. While dragging, the coordinates of the cell respective to the center of the screen (when the Y-coordinate baseline is at the center) as the origin will be displayed.

·When the shift key is held while dragging any cell, all cells in the frame will be moved at the same time.

Operation

·When a cell is right-clicked, a shortcut menu to edit the cell will open. The commands within the menu are as follows. As a note, the [Settings] command can also be called by double-clicking the cell.

Set | Opens the [Cell Settings] window, where the image display size, opacity, and color can be adjusted.
Cut | Moves the cell onto the clipboard, and removes it from the frame viewer.
Copy | Move the cell onto the clipboard.
Paste | Places the copied cell in the frame as a new cell.
Delete | Removes the cell.
Increase Priority | Increases the cell number by 1. If there is a cell with the same number, their numbers will be exchanged.
Decrease Priority | Decreases the cell number by 1. If there is a cell with the same number, their numbers will be exchanged.

Cell Settings

·In the [Cell Settings] window, the display size, opacity, and color of the cell can be changed.

·Under [Frame], specify the frame number of the cell.

·Under [Zoom], specify the size increase or reduction of the cell within a range of 20~800% of the original size.

·Under [Color], specify the tint color for the cell using the 4 components [Red (R)], [Green (G)], [Blue (B)] and [Saturation (S)]. With the original image as 100% in all components, specify the strengths of each component within a range of 0 to 200%. The adjusted colors will be displayed under [Sample].


SE and Flash Timing

[Database] → [Animations] → [SE and Flash Timing]

·Under [Frame #], specify the frame number to set sound effects, flashing, or shaking.

·Under [Sound Effect], click the [...] button to open a window to choose the sound effect file to play when the frame is shown.

·Under [Flash], for [Range], specify the range for which the color should be applied.

oNone: Do not flash.

oTarget: Flash the target of the battle animation.

oScreen: Flash the entire screen.

·Under [Flash], for [Color], specify the flash color using the 4 components [Red (R)], [Green (G)], [Blue (B)] and [Value (V)] (each has 32 individual levels). [Value (V)] represents the transparency level of the color, and the higher the value, the more opaque it is. In addition, the current color will be previewed under [Sample].

·Under [Shake], specify the shaking range.

oNone: Do not shake.

oTarget: Shake only the target of the battle animation.

oScreen: Shake the entire screen.


Copy/Clear Cells

[Database] → [Animations] → [Copy/Clear Cells]

Copies or deletes frame contents in bulk.

·Under [Frame], specify the range of target frames.

·Under [Operation], choose whether to copy or clear the frames.

·If copying, specify the frame number at which to place the copied frames under [Copy location]. However, if the copied animation exceeds the animation frame count, the extra frames will not be copied.


Tweening

[Database] → [Animations] → [Tweening]

This function fills in frame content between two frames to ensure that the cell animation is smooth.

·Under [Frame], specify the start and end frame numbers to process.

·Under [Cell], specify the range of cell numbers to generate automatically.

·For the generated cell contents, choose from [Pattern number] [Position/Size] [Color/Translucency] under [Parameters to complete].


Cell Batch

[Database] → [Animations] → [Cell Batch Setting]

Changes all the same-numbered cells in the frame. The settings below can be changed in the [Cell Batch] window.

·Under [Frame #], check the boxes for the frames that should be set.

·Under [Cells], check the boxes for the cell numbers of the cells that should be affected. However, if the specified cells are not present in the given frames, no settings will be changed.

·Under [Pattern], specify the number of the cell frame for the given cell. Change the settings after the checkbox is enabled.

·Under [Magnification], specify the scale of the cell frame within a range of 20 to 800%. Change the settings after the checkbox is enabled.

·Under [Transparency], specify the opacity of the cell frame within a range of 0 to 100%. The greater the value, the more visible the background behind the cell will be. Change the settings after the checkbox is enabled.

·Under [Color], specify the tint color for the cell using the 4 components [Red (R)], [Green (G)], [Blue (B)] and [Saturation (S)]. With the original image as 100% in all components, specify the strengths of each component within a range of 0 to 200%. The adjusted colors will be displayed under [Sample]. Change the settings after the checkbox is enabled.


Tileset Properties

[Database] → [Tilesets] → [Tileset Properties]

Terrain

·Specify “Terrain” settings for map tiles (only possible for lower layer tiles). Please refer to [Terrain] for terrain settings.

·The terrain set for the tile will be represented using the terrain's number in the [Terrain] list on the right.

·The process for editing the settings is as follows.

1.From the [Terrain] list, click to select the terrain to assign.

2.Click the tile to be assigned the terrain specified in 1.

·If the [Global Terrain Setting] button is clicked, all the tiles for the selected tileset will be assigned the same terrain. After the terrain is chosen from the dropdown menu in the window, click the [OK] button.

Passability

·Define whether or not actors can pass over locations where tiles are placed (*1).

·Settings are made by clicking on the symbols displayed on each tile. The symbol changes each time the tile is clicked.

·The meaning of the symbols are as follows.

[○] | Passage allowed
[×] | No passage
[☆] | Passage possible (Passage is allowed; the actor will appear to be hidden by the tile)
[□] | Wall (Passage is not allowed, but when placed vertically, only the topmost chip will allow passage. This can only be set for normal terrain tiles)

Passage (4 directions)

· bm135

·Define the directions in which actors can enter or leave the locations where tiles are placed (*1).

·Settings are made by clicking on the 4 symbols (top, bottom, left, right) displayed on each tile. The symbols change each time they are clicked.

·The meaning of the symbols are as follows.

[← → ↑ ↓]: Entry and exit are possible in the direction of the arrow.

[・]: Entry and exit are not possible.

·For example, if arrows are set pointing only in the up and down directions for a tile, movement from neighbouring tiles is possible only in the up and down directions. Movement to neighbouring tiles is also limited to the up and down directions.

Counter

·

·This makes it possible to start an event across a table with respect to upper layer tiles (*2).

·Settings are made by clicking on the symbols displayed on each tile. The symbol changes each time the tile is clicked.

·The meaning of the symbols are as follows.

[◆]: Is counter type (counter-flagged)

[・]: Is not counter type (not counter-flagged)

o*1

If a lower layer tile and upper layer tile with different passage settings are placed on the same location on the map, the engine will use the settings of the upper layer tile's (excluding “Passage possible”). For example, if a “No passage” lower layer tile has a “Passage allowed” upper layer tile placed on it, it will allow passage, and vice versa.

o*2

oFor map events with a starting condition of “Action Button”, the actor needs to be on top of the event, or facing the event from a neighbouring tile when the select/action key is pressed. However, when a counter-flagged tile is used, the event can still be started when the counter-flagged tile is between the player and the event.


Events

Events Summary

Events Setup Notes

Events Content

Switches

Variables

Pages and Branches

Map Events

Common Events

Battle Events

Overview of Commands


Events Summary

[Events] → [Events Summary]

What are Events?

·In RPGs (Role-Playing Games), stories usually progress when the hero, controlled by the player, activates various “triggers” placed throughout the game world, typically within a pre-defined sequence.

·In this software, those “triggers” are available in the form of “events”. Events are the unit by which processing is carried out in the game.

·By making events that correspond to the story, game progress and properties can be controlled. In addition, events also “digest” the processing into smaller portions, providing a flexible creation process by allowing the creator to begin with simple events that can be expanded and edited later on.

·Events come in 4 types: “Map events”, “Common events”, “Battle events” and “Game Over events”. The settings and scenarios in which each are processed differ, and different types of events are made according to their purpose.

Map Events | These are made to respond to the actions of actors on the map. Processing of characters, shops, changing location, screen effects and so on can be done. Map events are displayed on the map as event tiles.
Common Events | These work throughout the entire game. They make it possible to keep track of actors' positions and can be used for frequent situations like treasure chest effects and special items. Common events are created in the [Common Event] tab of the [Database].
Battle Events | These work during battle scenes. They allow for the processing of combat, conversation with enemy characters, Battle Screen effects, and so on. Battle events are created in the [Troops] tab of the [Database].
Game Over Events | These occur when the party is wiped out in an encounter battle. They make it possible to cause a Game Over, or reset the game to a specific location. Game Over events are set in [Death Handler] in the [Battle Screen] tab of the [Database]. In essence, a Game Over event will just call another event.

·Events consist mainly of 3 parts: an appearance condition, a start condition, and event content.

Appearance Condition | The condition that allows the event to appear. The event will not appear in-game unless this condition is met.
Start Condition | The condition that allows the event to start processing content. The event must meet its appearance condition first. Some events will appear visually on screen (based on appearance conditions) but their content won't process until the start condition is met.
Event content | A list of commands that will be processed in-game for various effects. There are 101 types of commands available for events, ranging from text display to character movement to special effects and more.

·In some event commands, you may refer to “This Event” instead of selecting a particular map event. If this is done from within a common event, the engine will reference the last map event in the call stack instead. For example, if a map event A calls a map event B, which in turn calls a common event C, which then calls a common event D (which makes the call stack look like A>B>C>D), and event D then does a “Set Move Route” command with a “This Event” target, event B will be moved.

Notes

·Events keep running, even when the map was switched. So be careful when you reference map events in an event: when there is no event with that ID on the map, the game will crash! This doesn't apply to "Parallel Process" events, however.

·When a "Parallel Process" common event is paused because its switch was disabled, it won't necessarily reset. Instead, when the switch is set on again, the event might continue at the same position in the script where it was stopped.

·You can only call 1000 events recursively.


Events Setup Notes

[Events] → [Events Setup Notes]

Autorun and Parallel Process Events

·Left unchecked, events that are set to [Autorun] or [Parallel Process] will repeat endlessly. In addition, events that are set to [Autorun] will, once begun, stop all other processing until its own commands have finished processing.

·For these reasons, to end events that begin with these start conditions, some appearance conditions need to be set to prevent the events from occurring.

·As a general rule of thumb, [Autorun] and [Parallel] events should only occur when a switch is set to the ON state. The switch's state should be changed by other events, so that the operation of these events can be kept under control.

·If this is not done, please take note that this can cause the game to stop responding when processing of the events start. If the game stops being responsive during playtest, press the Alt and F4 keys at the same time to stop the playtest.


Event Content

[Events] → [Event Content]

·When the appearance and start conditions of an event are met during gameplay, processing of the “Event content” begins. Event content is shown as a list of chosen ("registered") event commands that are processed for varying in-game results.

·Event commands are orders to change values and other elements within the game as it is played. “Change HP”, “Change Actor Name”, “Move Event”, “Play BGM” and all other commands are prepared with different targets and purposes in mind, and the results of their individual processing are reflected in the game.

·92 map and event commands, as well as 36 battle event command types have been prepared. Any number of event commands can be registered in an event in virtually any order, so the possibilities are endless.

·The editing methods for event content are common to all event types.

How to read the list

·The event content list displays registered event commands and their settings.

·Registered commands are processed individually from the top of the list to the bottom.

·The meanings of the symbols displayed in each line of the list are as follows.

·

[@> (Command name) (Content)] :

·Displays the command registered in the list as well as the content it will process.

·

[:]:

This symbol means that the content of the previous command (an entry with [@>]) is continued on this line. This is used when the content of the command covers multiple lines, or represents branch handling.

[@>] (displayed alone):

Shown at the end of content or branch handling. Cannot be removed.

Registering Commands

·Event commands can be registered into the event contents by the following process.

1.Double-click a line (1) that contains [@>].

2.In the [Event Command] window, click the button for the event command to add.

3.The window for setting the event command's content will open (with the exception of some commands). Complete the required settings and click the [OK] button.

4.The event command will be added where [@>] was double-clicked.

Command operations

·When an entry in the list is right-clicked, the entry will be highlighted, and a shortcut menu will be displayed. The commands on this menu can be used to operate on the highlighted entry. The shortcut menu commands are as follows.

Insert (Enter) | Inserts a new command at the location of the highlighted entry.
Edit (Space) | Opens the settings window of the entry for editing.
Cut (Ctrl+X) | Sends the selected entry to the clipboard and removes it from the list.
Copy (Ctrl+C) | Moves the selected command onto the clipboard.
Paste (Ctrl+V) | Inserts the entry on the clipboard at the location of the highlighted entry.
Delete (Del) | Removes the selected entry from the list.
Select All (Ctrl+A) | Selects all the entries on the list for editing (entries will be highlighted).

·When one entry is selected and shift is held while another entry is clicked, all entries between and including the clicked entry will be selected for editing. However, if branch handling is within the selected entries, only entries that are within the same branch can be specified together.


Switches

[Events] → [Switches]

·Switches are a type of data that remember two possible states: “ON” and “OFF”. They are used to mark whether a target has been met, such as game progress, actor's status, or some other condition.

·When the game starts, all switches are set to the “OFF” state.

·9999 switches can be used. Each switch has its own fixed ID number. Switches can be assigned any name.

·Switches can be specified by clicking the [...] button on the right side of the settings field to display the [Switch] window. The contents of each part of the window are as follows.

1.Block list

·Click to select the switches to display in the numbered list. The numbers in brackets are the range of switches, where the left side of the hyphen (-) denotes the start point and the right side the end point of the range.

2.Numbered list

·Displays switch numbers and names in groups of 20.

·When an entry on the list is clicked, the switch is selected and the name is highlighted. After selecting the switch, click the [OK] button or double click the entry to confirm.

·When an entry is right-clicked, a shortcut menu will be displayed. The commands in this menu can be used to [Copy], [Paste] or [Clear] the name of the switch.

·The [F4] and [F5] keys can be used to quickly change to the previous and next list options respectively, also across pages.

3.Name

·The name of the selected switch can be edited. The maximum length is 20 characters.

4.Maximum Number

·Changes the maximum number of switches available (up to 9999).

·To change this number, click the button to display the [Change Maximum] window, enter a new value, and click the [OK] button.


Variables

[Events] → [Variables]

·Variables are saved numbers ("values") for the purpose of tracking and quantifying various in-game situations. Examples include target quantities, randomized numbers, comparison of values, calculations, and so on.

·Values that can be stored in variables have a range of -9,999,999 to 9,999,999. Integers only; decimals are discarded.

·When the game starts, all variables will contain “0”.

·9999 variables can be used. Each variable has its own fixed ID number. Variables can be assigned any name.

·Variables can be specified by clicking the [...] button on the right side of the settings field to display the [Variable] window. The contents of each part of the window are as follows.

1.Block list

·Click to select the variables to display in the numbered list. The numbers in brackets are the range of variables, where the left side of the hyphen (-) denotes the start point and the right side the end point of the range.

2.Numbered list

·Displays variable numbers and names in groups of 20.

·When an entry on the list is clicked, the variable is selected and the name is highlighted. After selecting the variable, click the [OK] button or double click the entry to confirm.

·When an entry is right-clicked, a shortcut menu will be displayed. The commands in this menu can be used to [Copy], [Paste] or [Clear] the name of the variable.

·The [F4] and [F5] keys can be used to quickly change to the previous and next list options respectively, also across pages.

3.Name

·The name of the selected variable can be edited. The maximum length is 20 characters.

4.Maximum Number

·Changes the maximum number of variables available (up to 9999).

·To change this number, click the button to display the [Change Maximum] window, enter a new value, and click the [OK] button.


Pages and Branches

[Events] → [Pages and Branches]

What are pages?

·For map events, different conditions and content lists can be set on the same event. These are managed in units of “pages”.

·Pages contain the processing of an event from its appearance conditions to its content. 100 pages can be set on a single event. In other words, a single event can be handled 100 different ways.

·The event content that will be processed in-game will be the highest-numbered page with fulfilled appearance conditions.

·Using this setup, entirely different events can be set in the same location by creating pages with appearance conditions based on different switches and variables. The same character can have different conversational content, and new events can appear throughout the story without having to create new maps or waste potential event space on the grid.

What is branching?

·Branches split the processing path on the “Event content” list based on specific conditions. Pages in map events change whether events appear (or change the content list that is processed), but branching changes only the processed content of the current page's list of registered commands.

·When the “Conditional branch” event command is used, a line that splits the event content list based on the specified conditions will be inserted. By registering desired commands on this line, those commands will be processed only when the conditions have been met.

·Similarly, by adding handling when the conditions have not been met, or branching further into the branch, it is possible to create handling when several conditions need to be met. By using branching in this manner, finer control within an event can be achieved based on the desired conditions.


Map Events

Creating Map Events

Editing Map Events

Map Event Settings


Creating Map Events

[Events] → [Map Events] → [Creating Map Events]

·Map events are created in [Events] under map editing modes. The process is as follows.

1.From the [Map] menu, under [Edit Mode], choose [Events] to switch editing modes.

2.Double-click the tile where you want to place the event.

3.In the [Event Editor] window, edit the contents of the event.

4.After editing is complete and the event has been set, the event tile icon will be shown. This event tile marks the initial location of the event on that particular tile.


Editing Map Events

[Events] → [Map Events] → [Editing Map Events]

·When a map tile in the map display is right-clicked, a shortcut menu will be opened, from which an event can be created or an existing event cut, copied, or otherwise edited. The contents of the commands in the shortcut menu are as follows.

Create event (if no event tile is present): | Opens the [Event Editor] window to create a new event tile.
Edit Event (if an event tile is present): | Opens the [Event Editor] window to edit the content of the event tile.
Cut: | Places the event tile onto the clipboard and deletes the tile.
Copy: | Places the event tile onto the clipboard without affecting the tile.
Paste: | Moves the event tile from the clipboard onto the map.
Delete: | Deletes the event tile. Please note that if an event is deleted, its event settings will not be recovered.
Set Player Starting Position: | Sets the location of the party at the start of the game.

Set Vehicle Starting Position:

·Sets the locations of vehicles (small ship, large ship, airship) at the beginning of the game. In the [Set Vehicle Starting Position] window, choose the vehicle to set the initial location for, and click the [OK] button.

Create Transfer Event:

·Create a move (aka transfer or teleport) event at the actors' party location. In the [Transfer Player] window, set the destination using the following steps. Clicking on the [1/1], [1/2] or [1/4] buttons changes the map display size to the respective size.

1.From the list on the left side of the window, click to select the map that contains the new location.

2.From the map on the right side of the window, click to select the player's new position. After this, select the player's post-transfer facing direction using the circular buttons, then click the [OK] button.

·To change the starting positions of the party or vehicles, first remove any placed event tiles before using the [Set Player Starting Position] or [Set Vehicle Starting Position] commands. These spaces must be free of any other events.

·The [Create Move Event] function automatically creates event commands for moving. The created event is handled the same way as normal event tiles. They can be viewed and edited by double-clicking or using the [Edit Event] command (the event tile starts with the condition [Player Touch], and contains the 3 event commands [Hide Screen], [Transfer Player], and [Show Screen]).


Map Event Settings

[Events] → [Map Events] → [Map Event Settings]

·Map event properties and contents are set using the following options in the event editor.

1.ID

·The fixed number of the event. The ID is automatically assigned starting from 1 for each map.

·Using the [Get Event ID] command, this value can be obtained to keep track of which event is at the specified location.

·When the [Call Event] event command is used to call an event by its number using a variable, it will refer to this ID.

2.Name

·The name of the event. The name “EV (ID number)” will be added automatically. This can be renamed (up to a 10 character maximum).

·When event commands are used to control and refer to events, this name will be used to specify the target event. Giving important events recognizable names is recommended.

3.Pages

·The numbered pages within the event. Click the numbers to switch pages.

·The buttons at the top of the screen for page operation are listed as follows.

·The page that will be used in-game is the page with the largest number that fulfills all the appearance conditions.

New Page | Creates a new page with a number 1 larger than the page currently being edited. If a page with the new number already exists, the numbers of that page and any higher-numbered pages will be increased by 1.
Copy Page | Moves the selected page onto the clipboard.
Paste Page | Inserts the copied page to the right of the selected page (the pasted page will have a number 1 larger than the selected page).
Delete Page | Deletes the current page. If a page with a number higher than the current page exists, that page and any higher-number pages will be decreased by 1.

4.Conditions

·Appearance conditions determine under what conditions an event tile will appear on the map during gameplay.

·Conditions are set using the following 5 categories (7 options). Enable the category to use, and specify the conditional values or options for each category.

·The event will only appear if it fulfills all of the conditions in the enabled categories. During gameplay, if the conditions are fulfilled, the event will appear; as soon as any of the conditions are not fulfilled, the event will disappear from the game (but not the editor of course).

·Events that do not have any appearance conditions set will appear unconditionally in the game.

·If there are multiple pages with fulfilled conditions, the chosen event page will be the one with the largest number.

Switch

The condition will require the specified switch to be in the “ON” state. Click the [...] button to open the [Switch] window to specify the number of the switch.

Up to 2 switches can be set as conditions in this category.

Variable

Compares the specified variable with a given number, and if the condition is fulfilled, displays the event. In the field above, click the [...] button to open the [Variable] window to specify the number of the variable.

Enter the conditional number in the lower left field, and choose an option from the dropdown menu on the right. The options are “Equal to”, “Greater than or equal to”, “Less than or equal to”, “Greater than”, “Less than” and “Not equal to."

Item

The condition is set when the player posesses the specified item (equipped items are included). Choose the item from the dropdown menu.

Actor

The condition is set when a specified actor is in the party. Choose the actor from the dropdown menu.

Timer

The condition is set when a timer reaches the specified time remaining. Enter the amount of time in the fields within a range of 0 minutes 0 seconds to 99 minutes 99 seconds.
If 0 seconds is specified, an event that will not appear while the timer is working can be created. When the timer is not working, this category will be ignored.
The number of timers that can be set is 2, and Timer 1 and Timer 2 can be operated separately.

5.Graphic

·Specify the graphic of the event tile. These are set for events that can be seen, such as townspeople and treasure chests.

·Only upper layer map tiles and character set images can be used as event graphics.

·By default, a transparent tile will be set. Using a transparent tile allows for an invisible event to be set.

·The graphic is specified as follows.

·Click the [Set] button. The [Graphic] window will be displayed.

·From the list on the left side of the window, specify the name of the image set to be displayed. In the area on the right side of the window, the images in the image set will be displayed.

·Click the image to display from the area on the right side of the window. The selected image will be highlighted with a frame. If a character set image is chosen, specify the [Direction] of the image and the [Pattern] of the walk animation.

·Click the [OK] button to close the window. The image specified under [Graphic] will be displayed.

·To return a specified graphic to a transparent tile, in the above [Graphic] window, specify the transparent tile (top left tile) in the [*Tileset 1] image.

6.Movement Type

·Controls the autonomous movement of the event tile. Autonomous movement means that the event tile will move on its own accord without being controlled by other events or common events. This can be used to make the world seem more active (i.e. showing people moving around at their own pace in town).

·Choose the movement type from one of the following options in the dropdown list.

Stationary | The event tile will not move from where it is placed.
Random | The event tile will move freely over tiles that have passage.
Vertical | The event tile will move up and down from where it is placed. If it hits a tile with no passage or bumps into a character, it will turn around and head in the other direction.
Horizontal | The event tile will move left and right from where it is placed. If it hits a tile with no passage or bumps into a character, it will turn around and head in the other direction.
Approach Player | The event will move towards the player's current location.
Away from Player | The event will move away from the player's current location.
Custom | The event will move according to a pattern specified by clicking on the [Set Custom Route] button. Please refer to “Move route” for specific details on the settings.

·For all settings other than [Stationary], specify [Frequency] from the dropdown menu. The range is 1 to 8: the larger the value, the more frequent the event will move.

7.Movement Speed

·Specify the speed that the event tile will move at using the dropdown menu. Given that the player's walking speed is [Normal] by default, choose the speed from 6 levels from [x8 Slower] to [x4 Faster].

8.Animation Type

·Specify one of the following animation types for the image set under [Graphic]. (This can only be set if a character set with premade walk animation frames are used as the graphic.)

·If “Stepping Animation” or "Walking Animation" are set, the event image will change to face the player when the player starts the event.

Stepping Animation | When moving, the image will animate according to the direction of movement. When still, no animation will be carried out.
Walking Animation | When moving, the image will animate according to the direction of movement. When still, it will continue to animate in place.
Direction Fix/Inanimate | Always shows the image fixed in the direction set under [Graphic]. When still, no animation will be carried out.
Direction Fix/Animated | Always shows the image fixed in the direction set under [Graphic]. When still, it will continue to animate in place.
Fixed Graphic | Always shows the image fixed in the direction set under [Graphic], and does not show animation.
Spin | Always shows animation of the character turning clockwise.
Step Frame Fix | No step animation will be carried out, but the image will still be changed according to the movement/facing direction.

9.Priority

·Priority type refers to the vertical height of the event in space. This setting controls how the event graphic is displayed when the player or other event tiles move onto the same map tile.

·Settings can be specified using the dropdown menu.

Below Characters | The event is placed below the player and other event graphics. It will be covered by the player or other event graphics on the same tile. This can be used for staircases, moving floors and other events that the player stands on.
Same as Characters | The event is placed on the same level as the player and other event graphics, making it impossible for two of them to be on the same map tile at the same time. This can be used for other characters, doors and other events that the player should not pass through.
Above Characters | The event is placed above the player and other event graphics. The graphic will be displayed covering the player and other event graphics on the same tile.

·If [Forbid Event Overlap] is enabled, the event will not allow overlapping on the same tile regardless of priority type.

10.Trigger

·The trigger/start condition is the operation that will start the content of an event tile that has appeared on the screen.

·The trigger can be specified from the dropdown menu.

Action Button | When the player presses the select key/action button when on the same location as this event tile, processing will start. Event processing will also start by [Player Touch] or [Event Touch].
Player Touch | Processing will start when the player moves to the same location as this event tile. Event processing will also start by [Event Touch].
Event Touch | Processing will start when the event moves to the same location as the player.
Autorun | Event processing will begin as soon as the event tile appears on the map.
Parallel Process | Processing will be repeated regularly for as long as the event tile is present on the map.

·Event tiles that have [Same as Characters] set under [Priority] will not be able to exist on the same tile as the player. In this situation, the conditions will be met if the player is next to the event tile and is facing it.

11.Contents

Lists commands for processing the content of the event tile (e.g. use this box to determine what the event will do in-game). The commands will be processed in order of top to bottom of the list.

Please refer to [Event content] for details on editing the content.


Common Events

Common Event Settings


Common Event Settings

[Events] → [Common Events] → [Common Event Settings]

·The creation and editing of common events is carried out in the [Common Events] tab of the [Database].

·When an entry in the list on the left side is clicked, the contents will be displayed on the right side. Event contents are set by specifying the required details.

·The 4-digit number in the list represents the ID number of the common event.

·The options for settings are as follows.

1.Name

·The name of the common event. The maximum length is 20 characters.

2.Trigger

·Choose one of the starting conditions for event processing from one of the following 3 options.

None | Processing will occur only when called by other event commands. This can be used in situations that frequently occur such as playing a sound effect whenever a treasure chest is opened. This way, you can change the sound effect universally later on without having to edit each individual treasure chest event.
Autorun | Processing will start as soon as the game begins.
Parallel Process | Processing will start as soon as the game begins, and will repeat processing regularly. This can be used to keep track of the player's location and other information about the game situation.

3.Condition Switch

·The event will only occur once the specified switch is in the ON state. This can only be used if [Autorun] or [Parallel Process] is set; processes with a [None] trigger require a specific call from an event command.

·To set this condition, enable the checkbox and specify the switch.

4.Contents

·Specify parallel process event contents here. When the event starting condition and appearance condition (if a switch is set) are fulfilled, only then will the event content be processed.

·Please refer to [Event content] for editing methods.

Important

·Common events can be called during battles, but only certain commands will work.

·If an invalid common event is set during a battle event, an error message will be displayed and the game will be interrupted.


Battle Events

Battle Event Settings


Battle Event Settings

[Events] → [Battle Events] → [Battle Event Settings]

·Battle events are created and edited in the [Troops] tab in the [Database].

·Click to select the enemy group to set the battle event for from the list on the left side of the screen, and define the event content by specifying commands as required under the [Battle event] option.

·The options for settings are as follows:

1.Create New / Copy / Paste / Delete

·Operates on pages. Each button's function is similar to the “New Page”, “Copy Page”, “Paste Page” and “Delete Page” functions of map events.

2.Starting conditions

·Specify the conditions for starting the processing of content. This needs to be set in order for the battle event to start. If the condition is [None], a battle event will not be set for the enemy group.

·The event page will only be processed if all of the conditions are fulfilled.

·When conditions are fulfilled for multiple pages, unlike for map events, the content will be processed in order of lowest page number first.

·To set conditions, click the [...] button to open the [Conditions] window. Enable the relevant options from below, and set the targets and values.

Switch | Processing begins when a switch is ON.
Variable | Processing begins when a specified variable is above the given value.
Turn Number | When the specified turn count has been reached, processing will begin. The turn count is specified in the format “Ax + B”. For example, if A = 3 and B = 1, valid turns are 1, 4, 7, and so on. After B turns, valid turns occur every A turns. If set to 0 turns (A and B are both set to 0), content will be processed before any commands in battle are entered.
Actor Turn Count | When a particular actor's turn count has reached the specified number, processing will occur. The specification method is the same as [Turn Number].
Enemy Turn Count | When a particular enemy's turn count has reached the specified number, processign will occur. The specification method is the same as [Turn Number].
Party HP | If the actors' consumption level is within the specified percentage range, processing will occur. The consumption formula is as follows. Consumption (%) = 100 – 100 x { (Total HP / Total maximum HP x 2 + Total MP / Total maximum MP) / 3 }
Enemy HP | When an enemy's HP percentage (%) is within the given range, processing will begin. Specify the enemy, the minimum, and maximum of the range.
Actor HP | When an actor's HP percentage (%) is within the given range, processing will begin. Specify the actor, the minimum, and maximum of the range.
Battle Command | Processing will begin when a battle command to use a skill, item, etc. is used. Specify the “Actor” and “Command” from two dropdown menus.

3.Event content

·Event content will be processed (1) as soon as the starting conditions are met, as well as (2) at the beginning of turns where the starting conditions are met.


Overview of Commands

Move Events

Event Command List


Move Events

Set Move Route


Set Move Route

[Events] → [Supplementary Windows] → [Set Move Route]

·Under the [Move Event] event command, the movements of actors and events can be specified in the window as shown in the screenshot. The method of setting a move route will be explained here.

·This window contains the same settings as [Set Custom Route] under [Movement Type] in map events. However, in this case, the [Character] can be chosen.

1.Character

Choose the target character/actor/event from the dropdown menu. "This Event" will refer to the last map event on the call stack.

2.Frequency

Specify the frequency of movement from 1 to 8 levels. The greater the number, the shorter the time it will take to process the commands set under [Move Event].

3.Movement Commands

·The actions of the event movement are specified by placing movement commands (see reference) onto the list. The list commands will be processed from top to bottom in order and reflected in the character/event's movement on the map.

·To add a new command, click on the location in the list (where ◇ is displayed) to insert the command (the entry will be highlighted), and click the button of the command to add.

·To delete an existing command, click to specify the command to delete, and click the [Delete] button. If the [Delete all] button is clicked, the entire contents of the list will be cleared.

·If an existing command is right-clicked, a shortcut menu will be displayed. Using this menu, the [Cut], [Copy], [Paste] and [Delete] operations can be performed on the command.

·Under [Options], two options are available for the move route settings. The checked options are enabled.

Repeat Action | If enabled, processing will return to the command at the top of the list after all the commands have been processed, and repeat indefinitely.
Skip if Cannot Move | When enabled, if the character attempts to move on a tile with blocked passage, that command will be skipped.

Notes

·Event facing direction and animation properties will put the event's own [Graphic] and [Animation type] settings at greater priority. For this reason, commands that control the event's facing direction and animation will not work when the event's facing direction are fixed and animation is off.

·If the same event processing content contains multiple event commands that control the same [Character], only the last event command settings will take effect. To make the settings of each one take effect, please add a [Resume Movement] event command after this command.

·Changes to the properties of movement speed, opacity, facing direction, animation ON/OFF, through ON/OFF, and graphic changes will persist after processing is complete.

·The move frequency has no effect on move operations other than steps or changes of the turning direction. So, if you want to slowly fade out an event using the movement command "Increase Opacity" and a low movement frequency, you should include a turning direction command between the "Increase Opacity" commands, otherwise the event will immediately disappear.

Move Command Overview

Move Up | Moves to the tile above.
Move Right | Moves to the tile on the right.
Move Down | Moves to the tile below.
Move Left | Moves to the tile on the left.
Move Upper Right | Moves diagonally to the top right.
Move Lower Right | Moves diagonally to the bottom right.
Move Lower Left | Moves diagonally to the bottom left.
Move Upper Left | Moves diagonally to the top left.
Move at Random | Moves around randomly.
Move Toward Player | Moves closer to the player's position.
Move Away from Player | Moves away from the player's position.
1 Step Forward | Moves 1 tile forward in the facing direction.
Increase Speed | Increases movement speed by one level (*1).
Decrease Speed | Decreases movement speed by one level.
Turn Up | Turns to face up.
Turn Right | Turns to face right.
Turn Down | Turns to face down.
Turn Left | Turns to face left.
Turn 90° Right | Turns to face the direction 90 degrees clockwise from the current direction.
Turn 90° Left | Turns to face the direction 90 degrees counter-clockwise from the current direction.
Turn 180° | Turns to face the opposite direction.
Turn 90° Left or Right | Turns to face the direction 90 degrees in either clockwise or counter-clockwise direction.
Turn at Random | Faces a random direction.
Turn toward Player | Faces the direction the player is in.
Turn away from Player | Faces away from the player.
Wait | Stops the character's movement.
Increase Frequency | Increases the frequency of movement.
Decrease Frequency | Decreases the frequency of movement.
Jump | Jumps from the current position.
Land | Lands a character that is currently jumping.
Direction Fix ON | Fixes the character/event in the current facing direction (*2).
Direction Fix OFF | Releases a directional fix.
Through ON | Makes it possible to pass through tiles and events that do not normally have passage.
Through OFF | Returns the [Through ON] setting back to normal.
Animation OFF | Stops the display of animation.
Animation ON | Restarts animation that was stopped with [Animation OFF].
Decrease Opacity | Decreases the opacity of the graphic by 1 level (*3).
Increase Opacity | Increases the opacity of the graphic by 1 level.
Switch ON | Turns a switch ON. In the [Switch] window, specify the number of the switch to turn ON and click the [OK] button.
Switch OFF | Turns a switch OFF. In the [Switch] window, specify the number of the switch to turn OFF and click the [OK] button.
Change Graphic | Changes the graphic (*4) to display on the map. In the [Change Graphic] window, choose the graphic name from the list on the left, select the graphic to use on the right, and click the [OK] button.
Play SE | Plays a sound effect. Click to select the sound effect name from the list on the left, and click the [OK] button. [Volume], [Tempo] and [Balance] can be adjusted.

o*1 This uses the [Movement Speed] set in the event as the baseline. With the player's walking speed as the default speed, events can change between 6 levels of speed from [x8 Slower] to [x4 Faster].

o*2 For events, the event will be fixed in the direction specified in the event [Graphic].

o*3 The opacity of the graphic can be increased to a maximum of 7 levels. It is not possible to make the graphic invisible.

o*4 This refers to the [Sprite] of an actor, [Vehicle Graphic] of a vehicle, and [Graphic] of an event where applicable.


Event Command List

Show Text

Display Text Settings

Change Faceset

Show Choices

Input Number

Control Switches

Control Variables

Control Timer

Change Gold

Change Items

Change Party Member

Change EXP

Change Level

Change Parameters

Change Skills

Change Equipment

Change HP

Change MP

Change State

Recover All

Damage Processing

Change Actor Name

Change Actor Nickname

Change Actor Graphic

Change Actor Faceset

Change Vehicle Graphic

Change System BGM

Change System SE

Change System Graphic

Change Screen Transition

Battle Processing

Shop Processing

Inn Processing

Name Input Processing

Transfer Player

Get Player Location

Move to Variable Locaion

Get On/Off Vehicle

Set Vehicle Location

Set Event Location

Swap Event Location

Get Terrain ID

Get Event ID

Hide Screen

Show Screen

Tint Screen

Flash Screen

Shake Screen

Scroll Map

Set Weather Effects

Show Picture

Move Picture

Erase Picture

Show Animation

Show/Hide Player

Flash Event

Move Event

Wait for All Movement

Stop All Movement

Wait

Play BGM

Fadeout BGM

Memorize Current BGM

Play Memorized BGM

Play SE

Play Movie

Key Input Processing

Change Tileset

Change Parallax Back

Set Encouter Rate

Change Tile

Set Teleportation Point

Teleportation On/Off

Set Escape Location

Change Escape Access

Open Save Menu

Change Save Access

Open Menu

Change Menu Access

Conditional Branch

Label

Jump to Label

Loop

Break Loop

End Event Processing

Erase Event

Call Event

Comment

Game Over

Return to Title Screen

Change Actor Class

Change Battle Commands

Open Load Menu

Exit Game

Toggle ATB Wait Mode

Toggle Fullscreen Mode

Open Video Options

Only usable in Battle Events:

Change Enemy HP

Change Enemy MP

Change Enemy State

Enemy Encounter

Change Battleback

Show Animation

Battle Events

Abort Battle

Call Common Event

Force Escape

Action Times +


[Show Text]

Function

·Opens a message window and displays text.

Settings

·Enter the text to display in the [Display text] window. A single window can display up to 4 lines of text.

·The amount of text that can be displayed in 1 line is limited to 38 characters if a face graphic is displayed, and 50 if otherwise. The 2 grey lines drawn in the window indicate the character count.

·If “\” (Control character) is used, various operations can be carried out. The 11 existing control characters are as follows.

\\ | Displays the character "\".
\c[n] | Text displayed after this will be displayed in the nth color (where n is a number from 0~19).
\s[n] | Sets the message display speed within a range of 1~20. The default is 1, and the greater the number, the slower the display (n is a number).
\n[n] | Displays the name of the nth actor (n is a number). Supports nested variable references (e.g. "\n[\v[123]]"). Use "\n[0]" to show the name of the first party member.
\v[n] | Displays the number in the nth variable (n is a number).
\$ | Displays the amount of money in possession in an additional window.
\! | Temporarily halts text display. When a key is pressed, the next part of the message is displayed.
\. | Delays the display of the next part of the text by 1/4 of a second.
\| | Delays the display of the next part of the text by 1 second.
\> "text" \< | Instantly displays the text between “\>” and “\<”.
\^ | Closes the message window without waiting for a keypress.
\_ | Displays half the size of a space.

·“$” can be used to display special characters provided by this software. Please refer to “Special Characters Reference” for the special characters that can be displayed.

Notes

·Characters that exceed the character count that can be displayed on a single line will be ignored. Please press the Enter key to insert new lines as required.

·During message display, specified character actions, screen tint changing and other processing will still be carried out.

·The colors that can be specified using the control character “C” are determined by the System Graphic.


[Display Text Settings]

Function

·Changes the display format for text.

Settings

·Under [Window display format], choose one of the following 2 options for the message window display format.

Normal: | Shows the frame, and text in the center.
Transparent | Does not show the frame, displaying only the text.

·Under [Window display position], choose one of the following 3 options for the window's display position.

Top | Top of screen
Center | Center of screen
Bottom | Bottom of screen

·Under [Options], choose display options and/or performance during wait.

Prevent the window from obscuring the player | If enabled, the window will be moved to the bottom of the screen if the player is at the top of the screen and vice versa.
Allow other events to move | By default, during “wait status” such as when messages are being displayed, events that move will not be processed. If this option is enabled, events will continue to move even during wait time.

Notes

·Settings changed by this command will remain in effect even after the event processing is complete.

·To return the display format to its original state after event processing is complete, this command needs to be used again in the last line of the event to change the settings again.


[Change Faceset]

Function

·Controls the face graphic as displayed in the message window.

Settings

·Under [Face graphic], specify the graphic to display. In the window that opens when the [Settings] button is pressed, click to specify a graphic, and click the [OK] button.
To remove the face graphic display, click the [Delete] button, and register an empty [Face graphic] event command.

·Under [Display position], specify whether the face graphic should be displayed on the left or right of the message window.

·If [Horizontal flip] is enabled under [Options], the graphic will be displayed horizontally flipped.

Notes

·Face graphic settings are limited to the processing of the same event. When each event begins processing, face graphics are set to be not displayed.

·Face graphics settings will be used from the next message window onwards.

·Settings will be preserved for 1 face graphic, and message windows will reflect the effects of the last event command. When representing a conversation between multiple characters, use this event command to specify face graphics whenever a change is needed.


[Show Choices]

Function

·Display options in the message window.

·Specify handling for the options.

Settings

·Enter the text for each option in [Option 1]~[Option 4] within a length of 16 characters.

·All entries with a smaller entry number than the last filled entry will be considered options.

(Example 1) [Option 1] [Option 2] have content, [Option 3] [Option 4] are ignored – 2 branches will be created.

(Example 2) Only [Option 3] has content, [Option 4] is ignored – [Option 1] [Option 2] will be considered empty options, 3 branches will be created.

·[If canceled] provides handling for when the cancel key is pressed. The settings are as follows.

Disallow | Disallows the player to cancel, forcing the player to choose an option.
Choose Option n (n being 1~4) | The action is treated as the choice of [Option n].
Branch | Creates a separate branch for handling the situation when the action is cancelled.

·When this command is used, a branch is created for each option (including cancelling). Within these branches, use other event commands to set handling for each choice after the respective choices are made.

Notes

·After the previous message has been displayed, if enough empty space remains in the window for all of the choices, the choices will be displayed without clearing the message.


[Input Number]

·Function

·Allows the user to enter a number into the message window.

·Define the number of digits and the variable to receive the entered value.

Settings

·The number of digits that can be entered ranges from 1 to 6.

·Click the [...] button to open up the [Variables] window to choose the variable that will receive the value entered by the user.


[Control Switches]

Function

·Changes the ON/OFF state of a specified switch.

Settings

·Carries out [Operation] on the switch specified in [Switch to operate].

·Under [Switch to operate], choose the switch to operate using one of the 3 following methods.

Single

Operates on a single switch. Click the [...] button to display the [Switch] window, and specify the switch to operate.

Batch

Enter the start and end points of the range of switches to modify. All switches within this range will be operated upon.

Variable

The switch with the same number as the value stored in the given variable will be operated on.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, switch no. 5 will become the target of this command.

The variable to be used can be specified by clicking the [...] button to open the [Variables] window, from which the number of the variable can be chosen.

·Under [Operation], choose one of the following operations to perform on the switch specified in [Switch to operate].

Turn ON | Turn the switch ON.
Turn OFF | Turn the switch OFF.
Toggle ON/OFF | If the switch is ON, it will be turned OFF and vice versa.


[Control Variables]

Function

·Changes the value stored in a variable.

Settings

·Carries out [Operation] using the values and options specified under [Operand] on the variable specified under [Variable].

·Under [Variable], specify the variable to operate on using one of the 3 following methods.

Single

Operates on a single variable. Click the [...] button to display the [Variables] window, and specify the variable to operate.

Batch

Enter the start and end points of the range of variables to modify. All variables within this range will be operated upon.

Variable

The variable with the same number as the value stored in the given variable will be operated on.

For example, if variable no. 2 is specified which contains “5” at the time the command is processed, variable no. 5 will become the target of this command.

The variable to be used can be specified by clicking the [...] button to open the [Variables] window, from which the number of the variable can be chosen.

·Under [Operation], choose one of the following operations to perform on the variable specified in [Variable].

Set | Sets the variable's value to the value specified as the operand.
Add | Adds the operand value to the variable's original value and stores it in the variable.
Subtract | Subtracts the operand value from the variable's original value and stores it in the variable.
Multiply | Multiplies the operand value by the variable's original value and stores it in the variable.
Divide | Divides the variable's original value by the operand and stores it in the variable.
Modulus | Divides the variable's original value by the operand and stores the remainder in the variable.

·Under [Operand], specify the value to use in the variable calculation using one of the following methods.

Constant

Uses the given constant value.

Variable

The value stored in the given variable will be used.

For example, if variable no. 5 is specified which contains “2” at the time the command is processed, 2 will be used.

The variable to be used can be specified by clicking the [...] button to open the [Variables] window, from which the number of the variable can be chosen.

Variable ID
(Number of the Variable)

Refers to the value in the specified variable and uses the variable that corresponds to that value.
For example, if variable no. 5 is specified which contains “2” at the time the command is processed, variable no. 2's value will be used.
The variable to be used can be specified by clicking the [...] button to open the [Variables] window, from which the number of the variable can be chosen.

Random

Uses a number randomized within a given range. Random numbers are values that are randomized during the game.
For example, if the range “0~100” is specified, the value used will be a random number above 0 but below 100.

Item

Uses the number of a possessed or equipped item. From the dropdown menu, choose the item name, and specify whether inventory items or equipped items should be counted.

Actor

Uses an actor's stat, or the item ID of an equipped item. From the dropdown menu, choose the actor's name, as well as the option to take the value of.

Enemies

(Battle Events Only)

Uses an enemy stat value. From the dropdown menu, choose the enemy's name, as well as the stat to take the value of.

Other

(Map/Common Events Only)

Uses the location information of characters or events on the map. Specify the target character (a) and location information type (b) using the dropdown menus.

Targets

Player | The walking player.
Boat | The boat vehicle.
Ship | The ship vehicle.
Airship | The airship vehicle.
This Event | The current event. If used in a common event, it refers to the last map event on the call stack instead.
Event Name | Other events.

Location Information

Map ID | Uses the ID number of the map the target is on.
X Coordinate | Uses the horizontal coordinate of the target's location on the map.
Y Coordinate | Uses the vertical coordinate of the target's location on the map.
Direction | Uses the facing direction of the target. North (Up) will be 8 East (Right) will be 6 West (Left) will be 4 South (Down) will be 2
Screen X | Uses the horizontal coordinate of the target with respect to the screen.
Screen Y | Uses the vertical coordinate of the target with respect to the screen.

Others

·Use one of the following 8 options. Specify the option from the dropdown menu.

Money | Uses the amount of money currently possessed by the player.
Timer n Remaining Time | Uses the remaining number of seconds on the current timer (n = 1 or 2).
Party Size | Uses the number of members in the player's party.
Save Count | Uses the number of times the player has saved the game data up until the current moment.
Battle Count | Uses the number of times enemies have been battled up until the current moment.
Win Count | Uses the number of times battles have been won up until the current moment.
Loss Count | Uses the number of times battles have been lost up until the current moment.
Escape Count | Uses the number of times battles have been escaped from until the current moment.
MIDI Play Location (Tick) | Uses the current data position of the MIDI file that is being played.


[Control Timer]

Function

·Operates a timer.

·This command makes it possible to execute an event after a certain amount of time has passed.

·Up to 2 timers can be used at the same time.

Settings

·Under [Target Timer], use radio buttons to choose from either of [Timer 1] or [Timer 2].

·Under [Operation], choose the timer operation to execute with this command.

Set Time | Specify the time on the timer.
Start Timer | Starts the timer (Start).
Stop Timer | Stops the timer (Stop).

·[Operand] only needs to be set when [Set value] is chosen under [Operation]. Use either of the following commands to set the time on the timer.

Constant

Specify a fixed time. Enter the time in units of [minutes] [seconds].

Variable

The number stored in the given variable will be used as the time in seconds. For example, if variable no. 2 is specified which contains “5” at the time the command is processed, the timer will be set to “5 seconds”.

The variable to be used can be specified by clicking the [...] button to bring up the [Variables] window.

·[Options] can only be enabled when [Start timer] is chosen under [Operation]. Specify whether to use any of the following two functions with regards to the timer.

Show Timer | Displays the timer on the screen.
Continue in Battles | The timer continues to count even during battle.

Notes

·The timer stops counting when the menu is displayed.


[Change Gold]

Function

·Increase or decrease the player's money.

Settings

·Define the operation under [Operation].

Increase Money | Increases amount of money in possession.
Decrease Money | Decreases amount of money in possession.

·Under [Operand], choose the value of money to change the player's money by.

Constant

Increases or decreases the amount by a fixed value. Takes a numerical value between 1~999999 as input.

Variable

Increases or decreases the amount by the value stored in a variable. For example, if variable no. 2 is specified, which contains the value “5” when the command is carried out, the amount of money will change by 5.

The variable to be used can be specified by clicking the [...] button to bring up the [Variables] window.


[Change Items]

Function

·Adds or removes items from the player's inventory.

·1 type of item can be added or removed per command.

Settings

·Under [Operation], specify whether to add or remove an item.

Add Item | Adds items to the player's inventory.
Remove Item | Removes items from the player's inventory.

·Under [Item], specify the item to change using the [Operation].

Fixed

A particular item will be changed. Choose the item from the dropdown menu.

Variable

The item with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, item no. 5 will become the target of this command.

Choose the variable to use from the [Variables] window which can be opened by clicking the [...] button.

·Under [Operand], choose one of the following methods to specify the amount by which the HP should be changed using the [Operation].

Constant

Uses a constant value. Enter the value to change by within a range of 1~9999.

Variable

The item with the same number as the value stored in the given variable will be the target.
Uses a value stored in a variable. For example, if variable no. 2 is specified which contains “5” at the time the command is processed, the amount changed will be “5”.

Choose the variable to use from the [Variables] window which can be opened by clicking the [...] button.

·Items equipped by actors in the party cannot be removed using this command.


[Change Party Member]

Functions

·Changes the player's party members.

·1 actor can be added or removed per command.

Settings

·Under [Operation], specify whether to add or remove actors from the party.

Add | Adds an actor to the party.
Remove | Removes an actor from the party

·[Actor]: Specify the actor to change using one of the methods below.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variables] window which can be opened by clicking the [...] button.

Notes

·It is possible to temporarily reduce the party to 0 members.


[Change EXP]

Function

·Changes an actor's experience points.

Settings

·Under [Actor], specify the actor whose experience points should be changed from one of the following options.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], specify whether the actor should gain or lose experience points.

Increase | Increases experience points.
Decrease | Reduce experience: Reduces experience points.

·Under [Operand], choose one of the following methods to specify the amount by which the experience points should be changed using the [Operation].

Constant

Uses a constant value. Enter the value to change by within a range of 1~9999999.

Variable

Uses a value stored in a variable. For example, if variable no. 2 is specified which contains “5” at the time the command is processed, the amount changed will be “5”.

Choose the variable to use from the [Variables] window which can be opened by clicking the [...] button.

·If [Show Level Up Message] is enabled under [Option], a message window will show to display the level up message if the change in experience is enough to trigger an increase in level.


[Change Level]

Function

·Changes an actor's levels.

Settings

·Under [Actor], specify the actor whose level should be changed from one of the following options.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], specify whether the actor should gain or lose levels.

Increase | Increases Level
Decrease | Decreases Level

·Under [Operand], choose one of the following methods to specify the amount by which the level should be changed using the [Operation].

Constant

Uses a constant value. Enter the value to change by within a range of 1~98.

Variable

Uses a value stored in a variable. For example, if variable no. 2 is specified which contains “5” at the time the command is processed, the amount changed will be “5”.

Choose the variable to use from the [Variables] window which can be opened by clicking the [...] button.

·If [Show Level Up Message] is enabled under [Option], a message window will show to display the level up message.


[Change Parameters]

Function

·Changes an actor's stats.

·1 stat can be changed per command.

Settings

·Under [Target], specify the actor whose stat should be changed.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], specify whether the actor should gain or lose levels.

Increase | Increases stats
Decrease | Decreases stats

·Choose the [Parameter] to change from the dropdown menu.

·Under [Operand], choose one of the following methods to specify the amount by which the stat should be changed using the [Operation].

Constant

Uses a constant value. Enter the value to change by within a range of 1~98.

Variable

Uses a value stored in a variable. For example, if variable no. 2 is specified which contains “5” at the time the command is processed, the amount changed will be “5”.

Choose the variable to use from the [Variables] window which can be opened by clicking the [...] button.

Notes

·The ranges for each stat are: maximum HP between 1~9999, maximum MP 0~999, and 1~999 for other stats.


[Change Skills]

Function

·Makes an actor learn a new skill (be able to use it) or forget a skill (lose the ability to use it).

Settings

·Under [Actor], specify the actor whose should learn/forget a skill.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], choose whether to learn or forget a skill.

Learn | A skill will become usable.
Forget | A skill will become unusable.

·Under [Skills], specify the skill to be learned (or forgotten) through one of the following methods.

Fixed

Specify a fixed skill. Choose the skill from the dropdown menu.

Variable

The skill with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, skill no. 5 will be learned (or forgotten).

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.


[Change Equipment]

Function

·Changes an actor's equipment.

Settings

·Under [Actor], specify the actor whose equipment should be changed.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], choose whether to change or remove equipment.

Change | Removes the current item and equips a new item.
Remove | Removes the current item.

·If [Change equipment] was specified under [Operation], choose one of the following methods to specify the new equipment under [Item to equip].

Fixed

Equips a specific item. The item can be selected from the dropdown menu.

Variable

Equips the item with the same number as the value stored in the given variable.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, skill no. 5 will be learned (or forgotten).

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·If [Remove Type] was specified under [Operation], choose the body part to unequip under [Part to remove]

All | Removes all equipment.
Weapon | Removes the equipped weapon.
Shield | Removes the equipped shield.
Armor | Removes the equipped armor.
Head | Removes the equipped helm.
Accessory | Removes the equipped accessory.

[Notes]

·If the item to be equipped is not currently in the player's possession, it will be added automatically.


[Change HP]

Function

Changes an actor's HP.

Events where actors recover HP or take damage in a particular location (scene) can be made.

Settings

·Under [Target], specify the actor whose HP should be changed.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], specify whether the actor should recover or lose HP.

Increase | Adds HP.
Decrease | Reduces HP.

·Under [Operand], choose one of the following methods to specify the amount by which the HP should be changed using the [Operation].

Fixed

Uses a constant value. Enter the value to change by within a range of 1~9999.

Variable

Uses a value stored in a variable.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, skill no. 5 will be learned (or forgotten).

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·If [Allow Death] is enabled in [Options], when the actor's HP becomes 0 due to this command, the actor will be defeated. If the option is disabled, the actor will be left with 1 HP (only applicable if [Reduce HP] was chosen under [Operation].


[Change MP]

Function

·Changes an actor's MP.

Settings

·Under [Target], specify the actor whose MP should be changed.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], specify whether the actor should recover or lose MP.

Increase | Adds MP.
Decrease | Reduces MP.

·Under [Operand], choose one of the following methods to specify the amount by which the MP should be changed using the [Operation].

Fixed

Uses a constant value. Enter the value to change by within a range of 1~9999.

Variable

Uses a value stored in a variable.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, skill no. 5 will be learned (or forgotten).

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.


[Change State]

Function

·Changes an actor's status.

Settings

·Under [Target], choose which actor to change the status effect of.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Operation], specify whether to cause a particular status effect, or remove a particular status effect.

Add | Cause a status effect: The character's status effect will be changed to the status effect type under [Status effect].
Remove | Remove a status effect: If the character has the status effect specified under [Status effect], it will be removed. If a character has the cursed status, the character's equipment will not be removable.

·Under [Status effect], choose the type of status effect to be affected by the [Operation].


[Recover All]

Function

·Removes all status effects from actors and increases HP and MP to their maximum values.

Settings

·Under [Target], choose which actor to heal.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.


[Damage Processing]

Function

·Deals battle damage to an actor.

·Unlike reducing HP using the [Change HP] command, it is possible to deal amounts of damage that differ based on each actor's strengths and equipment.

Settings

·Under [Target], specify the actor to receive damage.

Entire Party

All the members of the party at the time the command is carried out will be the targets of this command.

Fixed

A particular actor will be the target. Choose the actor from the dropdown menu.

Variable

The actor with the same number as the value stored in the given variable will be the target.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Attack], enter the base attack damage value in the range of 1~999. Unlike normal battle damage calculation, the value is not halved, so enter the value as half of the enemy's attack strength.

·Under [Defense Modifier], enter the effectiveness of the target actor's defence against [Attack], within a range of 0~100%. At 100%, 1/4 of the defence will be subtracted from the attack.

·Under [Mind Modifier], enter the effectiveness of the target actor's intelligence against [Attack], within a range of 0~100%. At 100%, 1/8 of the intelligence will be subtracted from the attack.

·Under [Variance], enter the precision level for the actual damage value within a range of 0~10. For each level in precision, the range will increase by ±5%.

·If the checkbox for [Variable to Store Damage Value] is checked, specify a variables to receive the damage value. The variable can be chosen from the [Variables] window which can be opened by clicking [...].

The stored damage value can be used, for example, in a message window using the [Show Text] command to show the player how much damage was done.


[Change Actor Name]

Function

·Change the settings for an actor's [Name].

·The name of 1 character can be changed per command.

Settings

·The process is as follows.

1.Under [Actor], choose the actor whose name should be changed from the dropdown menu.

2.Under [New name], enter the new name for the actor. The name should be a maximum of 12 characters.


[Change Actor Nickname]

Function

·Change the settings for an actor's [Title].

·The title of 1 character can be changed per command.

Settings

·The process is as follows.

1.Under [Actor], choose the actor whose title should be changed from the dropdown menu.

2.Under [New name], enter the new title for the actor. The name should be a maximum of 12 characters.


[Change Actor Graphic]

Function

·Changes the actor's sprite.

Settings

·The process is as follows.

1.From the [Actor] dropdown menu, choose the actor whose sprite is to be changed. The current sprite will be displayed.

2.Click the [Settings] button under [Sprite], and open the [Sprite] window (see below).

3.Choose the image file that contains the new sprites from the list on the left side of the window.

4.Click the sprites to use, and click the [OK] button. The changed image will be shown under [Sprite].

·If the [Transparent] option is selected, the character display will show the character being partially transparent.


[Change Actor Faceset]

Function

Changes an actor's face graphic.

Settings

·The process is as follows.

1.From the [Actors] dropdown menu, choose the actor whose face graphic is to be changed. The current face graphic will be displayed.

2.Click the [Settings] button under [Face graphic] to open the [Face graphic] window (see below).

3.Choose the image file that contains the new face graphic from the list on the left side of the window.

4.Click the face graphic to use, and click the [OK] button. The changed image will be shown under [Face graphic].


[Change Vehicle Graphic]

Function

·Changes the settings for vehicle graphics.

Settings

·The process is as follows.

1.Under [Vehicle], specify whether the vehicle to be changed is a small ship, large ship or airship. The currently set image will be shown under [Graphic].

2.Click the [Settings] button under [Graphic] to open the [Sprite] window (see below).

3.Choose the image file that contains the new vehicle graphic from the list on the left side of the window.

4.Click the vehicle graphic to use, and click the [OK] button. The changed image will be shown under [Graphic].


[Change System BGM]

Function

·Changes the [System BGM] settings.

Settings

·The process is as follows.

1.From the [System BGM Type] dropdown menu, select the System BGM option. The current sound file's name will be displayed with [BGM].

2.Click the [...] under [BGM] to open the [BGM] window (see below).

3.Click to select the name of the BGM to use from the list on the left side of the window, and click [OK]. The name of the new BGM will be displayed under [BGM].

·In the [BGM] window, other settings for the BGM's playback format can be made. The BGM can be listened to by clicking the [Play] button (click the [Stop] button to end playback).

Fadein Time | Specify the duration required for the sound to reach the set volume starting from silence, within a range of 10 seconds. If set to “None”, the sound will play at the specified [Volume] from the beginning.
Volume | Specify within a range of 0 (silence) to 100% (loudest).
Tempo | Specify the playback speed within a range of 50-150%. At 100%, the playback speed will be the same as the original file's. At 50%, it will be half the speed, and 1.5 times the speed at 150%.
Balance | Adjusts the sound level from the left and right speakers during stereo playback. If set to center, the sound will be played at the same sound level from both speakers.


[Change System SE]

Function

·Change system sound effects.

Settings

·The process is as follows.

1.From the [System SE types] dropdown menu, select the System SE option. The current sound file's name will be displayed with [SE].

2.Click the [...] under [SE] to open the [SE] window (see below).

3.Click to select the name of the sound effect to use from the list on the left side of the window, and click [OK]. The name of the new sound effect will be displayed under [SE].

·In the [SE] window, other settings for the sound effect playback format can be made. The BGM can be listened to by clicking the [Play] button (click the [Stop] button to end playback).

·can be listened to by clicking the [Play] button (click the [Stop] button to end playback).

Volume | Specify within a range of 0 (silence) to 100% (loudest).
Tempo | Specify the playback speed within a range of 50-150%. At 100%, the playback speed will be the same as the original file's. At 50%, it will be half the speed, and 1.5 times the speed at 150%.
Balance | Adjusts the sound level from the left and right speakers during stereo playback. If set to center, the sound will be played at the same sound level from both speakers.


[Change System Graphic]

Function

·Change system graphics settings.

Settings

·From the list on the left of the window, choose the file that contains the system graphics to be used. The specified file will be shown in a preview window on the right.

·Under [Wallpaper], the method for displaying the window background pattern can be chosen from two options.

oStretch: Stretches the pattern to fit the window size.

oTile: Tiles the pattern to fit the window.

·Under [Font], the font used for text can be chosen from RPG2000 and RPG2000G.


[Change Screen Transition]

Function

·Changes settings for screen transitions when transitioning in and out of screens during map transitions, battle entry and battle completion.

Settings

·The process is as follows.

1.From [Screen Transition Type], choose the option to change from the dropdown menu. The current transition type will be shown under [Hide Screen].

2.Under [Hide Screen], choose the new transition type from the dropdown menu.


[Battle Processing]

Function

·Enters a battle with enemies.

Settings

·Under [Encountered enemy group], choose one of the following methods to specify the enemy group to fight.

Fixed

Battle a specific enemy group. Choose the enemy group using the dropdown menu.

Variable

Uses the enemy group with the same number as the value stored in the given variable.
For example, if variable no. 2 is specified which contains “5” at the time the command is processed, actor no. 5 will become the target of this command.

Choose the variable to use from the [Variable] window which can be opened by clicking the [...] button.

·Under [Battle Format], choose the battle style from [Normal], [Surprise Attack], [Back Attack], [Preemptive Attack] or [Pincer Attack] using the radio buttons.

The specifics of each type of battle will be handled on the battle screen. If manual placement is chosen on the “Battle Screen” tab, [Pincer Attack] cannot be chosen. Under [Battle background], specify the background image to use in battle.

oUse terrain settings: Use the battle background as assigned to the terrain that the player is standing on when this command is carried out. If a battle background is set for the map, it will be used (similar to normal encounter battles).

oSpecify: Uses a specific background image. Click [...] to display the [Battle background graphic] window, select the file to use from the list, and click the [OK] button to specify the image.

·Under [If escaped], specify handling for when the [Escape] command is selected during the battle.

oCan't Escape: The “Escape” command is disabled.

oInterrupt Event: Event handling will end at that point.

oConditional Branch: Creates a branch for when the player escapes from the battle.

·Under [If Defeated], specify handling for when the player's party is wiped out.

oGame Over: Treated as a Game Over.

oConditional Branch: Creates branches for both win and loss cases.

·If [Preemptive attack] is enabled under [Option], the battle will begin with a pre-emptive attack (starts with the time gauge at MAX) by the player party.


[Shop Processing]

Function

·Opens a shop screen from which items and skills can be bought and/or sold.

Settings

·Under [Shop type], choose what can be done on the shop screen from one of the following options.

oNormal: Items can be bought and sold.

oBuy Only: A shop from which items can only be bought.

oSell Only: A shop to which items can only be sold.

·Under [Message Type], specify the message type to use on the shop screen using the dropdown menu.

·Under [Available Items], specify the items that will be sold at the shop (effective only if [Shop Type] is [Normal] or [Buy Only]).

Items to sell will be displayed on the left list box, while the list box on the right displays all defined items.

To specify an item to sell, click the item on the list on the right, and click the [Add] button.

To remove an item from the sale list, specify the item to remove on the list on the left, and click the [Remove] button.

As a note, list box items can be selected in bulk by holding down the Ctrl key and clicking on the desired items.

·If [Player bought or sold] is enabled under [Option], branches will be created for event handling after a sale or lack thereof.


[Inn Processing]

Function

·Begins Inn handling.

·An Inn is defined as a shop that removes all statuses and fully recovers HP and MP of all of the player's party members.

Settings

·Under [Message Type], choose the message type to display from the dropdown menu.

·Specify the amount of money (between 0~999999) required to stay at the inn under [Cost].

·If [Player stayed...] is selected as an option, branch handling can be set depending on whether the player chose to stay at the inn or otherwise.

Notes

·If the inn cost is set to 0, inn handling will occur without showing any messages.


[Name Input Processing]

Function

·Opens the Name Input Processing.

·The player will be able to name actors in-game.

Settings

·Under [Actor], the actor whose name is to be changed can be chosen from the dropdown menu.

·[Initial Entry Mode] is used to specify whether the initial naming screen is in [Letters] or [Symbols].

·If [Show Default Name] is selected in [Option], the original name will already be entered in the name field when the name entry screen is shown.

Notes

·Controls for name entry are as follows:

Direction Keys | Move cursor
Select Key | Add the character that the cursor is on to the name
Cancel Key | Remove the last character of the name


[Transfer Player]

Function

·Changes the player's party location.

Settings

·The process is as follows. When any of the [1/1], [1/2] or [1/4] buttons are clicked, the map will change to the respective display size.

1.From the list on the left side of the window, click to select the map that contains the new location.

2.From the map on the right side of the window, click to select the player's new position.

3.Select the radio button that corresponds to the desired facing direction after changing location. The Direction are [Retain], [Up], [Down], [Left] and [Right]. Click the [OK] button.

Notes

·If the new location is set on terrain with no passage, the player will not be able to move. (If using the Generate Dungeon function, placing an empty event on the desired new location and setting the move destination to that tile will prevent the function from generating blocked terrain in that area.)

·If using this command to initiate a map transition, the transition methods set under [Transfer Player] in [System] will be used. However, if the [Hide Screen] command is used before this command, it will ignore the transition method set in [System] and use the transition set in [Hide Screen] instead.


[Get Player Location]

·Places information about the player's location in variables.

·When used in conjunction with the event command “Move to Variable Location”, the player can be sent to a place that was previously visited.

Settings

·Under [Store in Variables], specify variables to receive the Map ID, X coordinates and Y coordinates respectively. The variables can be chosen from the [Variables] window which can be opened by clicking [...].


[Move to Variable Location]

Function

·Change the player's location based on values stored in variables.

·When used in conjunction with the event command “Move to remembered location”, the player can be sent to a place that was previously visited.

Settings

·Under [From Variables], specify variables from which to retrieve the Map ID, X coordinates and Y coordinates respectively.

·The variables can be chosen from the [Variables] window which can be opened by clicking [...].


[Get On/Off Vehicle]

Function

·Put the player onto a vehicle, or release the player from a vehicle if already on board.

·This makes it possible to enter or leave a vehicle (normally done via keypress) via events.

Settings

·There are no settings.

·As with entering/leaving a vehicle under normal conditions, the following conditions must be met when the command is carried out. If the conditions are not fulfilled, this command will have no effect.

i.When entering a ship (Boat, Ship)

The ship must be on the tile next to the player, in the direction that the player is facing.

ii.When leaving a ship (Boat, Ship)

The player has passage on the tile that the player will appear on (the tile next to the ship, in the direction that the ship is facing).

iii.When entering an Airship

The player is on the same tile as the airship.

iv.When leaving an Airship

The player has passage on the tile that the player will appear on when leaving the airship.


[Set Vehicle Location]

Function

·Changes the current location of a vehicle.

Settings

·Under [Vehicle], specify whether the vehicle to be moved is a small ship, large ship or airship.

·Under [New location], choose one of the following methods to specify the new location of the vehicle.

oConstant

Moves to a specific location. The process for specifying the position is as follows.

1.Click the [...] button to open the [New location] window.

2.From the list on the left of the window, click to choose the map that contains the new location.

3.From the map display on the right side of the window, click to choose the new location for the vehicle, and click [OK].

·Store in Variables

Moves the vehicle to a position specified using variables.

Under [Variables to obtain location information from], specify the variables that will provide the map ID, X coordinate and Y coordinate. The variables can be chosen from the [Variables] window that can be opened by clicking the [...] button.


[Set Event Location]

Function

·Changes the location of an event on the map.

Settings

·Under [Event], specify the name of the event to move. "This Event" refers to the last map event on the call stack.

·Under [New location], choose one of the following methods to specify where to move the event to.

oConstant

A specific location will be used. The location can be specified as follows.

1.Click the [...] button to open the [New location] window.

2.From the list on the left side of the window, click to select the map that contains the new location.

3.From the map displayed on the right side of the window, click the location to move the event to, and click [OK].

oVariables

The position specified using variables will be used.

Under [From Variables], specify the variables that contain the X and Y coordinates of the target location. The variables can be chosen from the [Variables] window which can be opened by clicking the [...] button.

Notes

The event to change the location of must be on the same map as the event that this command is run from.


[Swap Event Location]

Function

·Swaps the locations of 2 events.

Settings

·Select the respective events from the dropdown menus for [Event 1] and [Event 2]. "This Event" refers to the last event on the call stack.

Notes

·The target events need to be on the same map as the event that this command is carried out on.


[Get Terrain ID]

Function

·Stores the terrain ID of a given location in a variable.

Settings

·From [Location], choose one of the following methods to specify the location to obtain the terrain ID of.

oConstant

A specific location will be used. The location can be specified as follows.

1.Click the [...] button to open the [Location] window.

2.From the map displayed on the right side of the window, click the location to obtain the terrain ID of and click [OK].

oVariables

The position specified using variables will be used.

·Under [From Variables], specify the variables that contain the X and Y coordinates of the target location. The variables can be chosen from the [Variables] window which can be opened by clicking the [...] button.

·Under [Store in Variable], specify the variable that will receive the Terrain ID. The variable can be chosen from the [Variables] window which can be opened by clicking the [...] button.

Notes

・The location to obtain the terrain ID of must be located on the same map as the event that contains this command.


[Get Event ID]

Function

·Stores the event ID of a given location in a variable.

Settings

·From [Location], choose one of the following methods to specify the location to obtain the event ID of.

oConstant

A specific location will be used. The location can be specified as follows.

1.Click the [...] button to open the [Location] window.

2.From the map displayed on the right side of the window, click the location to obtain the event ID of and click [OK].

oVariables

The position specified using variables will be used.

Under [From Variables], specify the variables that contain the X and Y coordinates of the target location. The variables can be chosen from the [Variables] window which can be opened by clicking the [...] button.

Under [Store in Variable], specify the variable that will receive the event ID. The variable can be chosen from the [Variables] window which can be opened by clicking the [...] button.

Notes

·The location to obtain the event ID of must be located on the same map as the event that contains this command.


[Hide Screen]

Function

·Temporarily clears the screen.

Settings

·Under [Transition Setting], the screen transition method can be specified. If set to [Default], the transition method set under [Transfer Player] in [System] will be used.

Notes

·If the screen is cleared before a [Transfer] command is used, the transition method set under [Transfer Player] in [System] will be ignored and the move will be performed while the screen is cleared.


[Show Screen]

Function

·Redisplays the screen after clearing with a [Hide Screen] command.

Settings

·Under [Transition Setting], the screen transition method can be specified. If set to [Default], the transition method set under [Transfer Player] in [System] will be used.


[Tint Screen]

Function

·Controls the overall tint and saturation of the screen.

Settings

·Under [Color Tone], specify the values of the color components [Red (R)] [Green (G)] [Blue (B)] [Saturation (S)] between 0~200%. To do this, drag their respective sliders or directly enter numerical values.

·The default is 100%. The closer it is to 0%, the less influence the color will have on the screen. Conversely, the closer it is to 200%, the more influence it will have. For example, if only [Red (R)] is increased, the entire screen will become reddish. The new tint can be seen in the preview under [Sample].

·Under [Time], specify the length of time over which to finish changing the color tint. The unit is 0.1 seconds.

·If the [Wait for Completion] option is activated under [Option], the player will not be able to move until the tint has finished changing.

Notes

·The changed color tint will also show during battle.

·The tint will not show on menu screens, various windows, face graphics, pictures and movies.


[Flash Screen]

Function

·Temporarily covers the entire screen with a color and slowly returns it to normal. This gives the effect of a flashing light.

Settings

·Define the [Flash Color] using the 4 components [Red (R)], [Green (G)], [Blue (B)] and [Value (V)]. The range of possible values is 0~31 (32 levels).
To specify their values, either drag their respective sliders, or directly enter the values. The final color will be displayed under [Sample].

·There are 2 methods for setting the flash duration, which can be selected using radio buttons.

oWhen using [Flash Duration], enter the duration of time (unit: 0.1 seconds) that should pass between the color flash and when the screen returns to its original colors. The range is 0~1000.

oIf [Start Flash] is selected, the flash will continue until the [End Flash] command is given. This makes it possible to carry out events while the screen is flashing.

o[End Flash] finishes the flash started with [Start Flash].

·If [Wait for Completion] is enabled under [Options], the player will not be able to move until this command has finished processing.

Notes

·[Value] determines how strong the flash is. The smaller the value, the less obvious the flash is, so setting it to the highest value of 31 is recommended.


[Shake Screen]

Function

Shakes the screen from left to right. Example situations in which this can be used to good effect would be representing earthquakes and taking damage.

Settings

·Under [Power], specify the strength of the shaking on a 9-level scale. The stronger the shaking, the greater the amount of movement. The level can be specified by dragging the slider.

·Under [Speed], specify the speed of the shaking on a 9-level scale. The faster the shaking, the less time it takes for the shaking to complete one cycle of movement. The level can be specified by dragging the slider.

·There are 2 methods for setting the shake duration, which can be selected using radio buttons.

oWhen using [Shake duration], enter the duration of time (unit: 0.1 seconds) that the screen should continue shaking for. The range is 0~1000.

oIf [Start Shake] is selected, the flash will continue until the [End Shake] command is given. This makes it possible to carry out events while the screen is shaking.

o[End Shake] finishes the shaking started with [Start Shake].

·If [Wait for Completion] is enabled under [Options], the player will not be able to move until this command has finished processing.


[Scroll Map]

Function

·Controls scrolling of the screen.

Settings

·Under [Option], specify how the scrolling should be handled.

oFix: Stop scrolling and fix the screen position in place.

oUnfix: Restarts scrolling.

oShift Position: Scrolls over the map.

oReturn to Origin: Returns the screen to its original position with the player at the centre after [Shift position] is used.

·Choose the direction ([Up], [Down], [Left] or [Right]) to shift in under [Direction to shift] (only applicable if [Shift position] was chosen under [Operation]).

oUnder [Distance], enter the distance to shift by in terms of characters, in the direction specified under [Direction] (only applicable if [Shift Position] was chosen under [Option]).

oFor example, if [Right] was chosen under [Direction] and “2” was specified under [Distance], the map will shift right the length of 2 characters.

oUnder [Speed], choose the speed at which to shift from the dropdown menu. At [4: Normal], the scroll speed will be the same as when an actor is walking (only applicable if [Shift position] or [Return to Origin] was specified).

·If [Wait for Completion] is enabled under [Options], the player will not be able to move until scrolling has finished processing (only applicable if [Shift position] or [Return to Origin] was specified).

Notes

·On maps that do not scroll, this command has no effect on scrolling.


[Set Weather Effects]

Function

·Controls the display of images for rain and snow effects.

Settings

·Under [Effect settings], choose the type of weather effect to display.

oNone: Stop weather effects.

oRain: Displays rain images.

oSnow: Displays snow images.

oMist: Shows mist images.

oSandstorm: Shows sandstorm images.

·Under [Strength], choose from [Weak] [Medium] [Strong] for the strength of rain or snow, thickness of fog or amount of sand/strength of wind for sandstorms.
This can only be set if “Rain”, “Snow”, “Mist” or “Sandstorm” is chosen from [Effect type].

Notes

·Effect images continue to be displayed even after moving to another map. They are also shown on the battle screen.

·Rain and snow cannot fall at the same time. If either is already in effect, it will be stopped when another effect is started.


[Show Picture]

Function

·Displays a picture (still or animated image).

·A maximum of 1000 pictures can be displayed at the same time.

·Using the [Show Picture] command will always reset the state of spritesheet animations and picture effects as well as transitions such as movement. To avoid this, use [Move Picture] with a duration of zero instead.

Settings

1.Number

·Under [Number], enter the picture ID number within a range of 1~1000.

·Select [Variable] in order to use a specified variable's value instead of a fixed picture ID.

If another picture is specified using the same picture ID number as a displayed picture, the newly specified picture settings will be used.

For example, if picture A is specified as no. 1, and another picture B is specified as no. 1 as well, the displayed picture will be changed from A to B.

Pictures displayed on the screen will be prioritized from the picture with the largest ID number first within the same layer (see paragraph #9 below). If no. 1 and no. 2 are specified to be shown on the same layer, picture no. 2 will be displayed on top of picture no. 1.

2.Display Position

·Under [Display Position], specify the location of the center of the picture in screen coordinates (pixels) using one of the following methods.

oConstant: Uses a specific location as the center of the image. Specify the horizontal coordinate (-640~960) under [X], and specify the vertical coordinate (-480~720) under [Y].

oVariable: Uses the values stored in variables for the center coordinates. The variables to be used can be specified by clicking the [...] button to open the [Variables] window, from which the number of the variable can be chosen.

·If [Scroll Picture with Map] is enabled, the center coordinate of the image will move along with the scrolling of the map. If disabled, the picture's center coordinate will remain at its defined position.

3.Picture Graphic

·Under [Picture Graphic], specify the picture to use as follows.

1.Click [...] to open the [Picture Graphic] window.

2.Click to choose the image file name from the list on the left, and click [OK]. The chosen image will be previewed on the right side of the window.

·It is possible to use a numeric suffix in picture names. This is an advanced feature which can be used to dynamically select a different picture file based on the value of a variable. Enable [Replace last ... chars with value of variable] to use this feature.

oYou can specify how many characters to replace at the end of the filename and which variable's value to use.

oFor example, if you have picture files named "Pic00" through "Pic99", you would set the amount of characters to replace to 2. In the event command list, the filename would then be displayed as "Pic??", indicating that those last two digits would be replaced with the value of the selected variable. If the selected variable now has the value 5 for example, then the picture file "Pic05" would be loaded.

·When "Show Picture" is used with the same image file as is already loaded for the same picture ID, the game will not attempt to load the file again from the harddisk. This means that there is no performance penalty attached to using "Show Picture" multiple times with the same filename for the same picture ID.

4.Spritesheet

·By enabling the checkbox in the [Spritesheet] box, you can use a spritesheet (i.e. an image file with multiple graphics on it) instead of an image file with a single graphic on it. You can also animate your picture by putting individual animation frames on the spritesheet. Please refer to [Spritesheets] for a detailed explanation.

5.Use Transparent Color

·Under [Use Transparent Color], choose whether to show the color that denotes transparency (the transparent color) in the picture.

oYes: Uses the transparent color setting and does not display that color.

oNo: Ignores the transparent color setting and displays the color.

6.Picture Settings

·Under [Picture Settings], you can change the tint and effects of the picture. When the [...] button is clicked, the [Picture Settings] window will open:

·Under [Tint], specify the tint color for the picture using the 4 components [Red (R)], [Green (G)], [Blue (B)] and [Saturation (S)].

To specify the components, drag their respective sliders, or directly enter values for them. The adjusted colors will be displayed under [Sample].

·Under [Special Effects], special display effects for the picture can be specified. Click the name of a special effect to enable it, and use the slider to specify the effect level. However, both effects cannot be used at the same time.

oRotation: Spin the picture. The larger the value of [Speed], the faster the image will spin. Setting the value to zero will pause the spin (this is useful mostly in a [Move Picture] command). Negative values can be used to spin counter-clockwise.

oSine Wave: The picture will move in wave motion vertically. The greater the value of [Strength], the larger the waves. Setting the value to zero will pause the wave animation (this is useful mostly in a [Move Picture] command). Negative values can be used to have the wave animation flow into the opposite direction.

7.Zoom

·Under [Zoom], specify the scale of the picture within the range of 0~2000%. If set to 100%, the picture will be shown at its original size.

·The zoom may be either set directly or using a variable's value.

8.Transparency

·Under [Transparency], specify the transparency of the picture within the range of 0~100%. The higher the value, the more visible objects in the background will be, and at 100%, the picture will become entirely invisible. When 100% is specified, no CPU power will be used for attempting to draw the picture on the screen.

·The transparency may be either set directly or using a variable's value.

9.Display Settings

·Under [Display Settings], you can specify under which conditions and in which "layer" the picture is shown, which screen effects are applied to it and under which conditions it is automatically erased.

·Pictures may be displayed on the map and/or on the battle screen. Select [On Map] and/or [During Battle] to choose. For each, a "layer" can be selected at which the picture should be drawn.

oOn the map, pictures may be drawn above any of the following screen elements which are stacked on top of each other:

§0: Parallax background

§1: Tileset elements shown below the player

§2: Events shown below the player

§3: Events shown at the same level as the player (including the player itself)

§4: Tileset elements shown above the player

§5: Events shown above the player

§6: Weather effects

§7: Animations

§8: Message window

§9: Timer displays

oDuring battle, pictures may be drawn above any of the following screen elements which are stacked on top of each other:

§0: Battle background

§3: Battler graphics and animations

§6: Weather effects

§8: Information windows and actor status display

§9: Timer displays

oSelect [Map Change] and/or [Battle End] to have the picture automatically erased on either condition.

oSelect [Tint], [Flash] and/or [Shake] to apply the selected screen effects (caused by the "Tint Screen", "Flash Screen" and "Shake Screen" commands or by animation effects) to the picture.


[Move Picture]

Function

·Changes the position, zoom, transparency and/or effects of a displayed picture. A transition period can be specified in order to move the picture over the screen or change its effect properties gradually.

Settings

1.Number, Display Position, Picture Settings, Zoom, Transparency

·Under [Number], select the ID of the picture whose properties you want to change.

·Please refer to [Show Picture] for a detailed descriptions of the options under [Number], [Display Position], [Picture Settings], [Zoom] and [Transparency].

oIt is not possible to modify the [Scroll Picture with Map], [Picture Graphic], [Spritesheet] and [Use Transparent Color] options from a [Move Picture] command. Use [Show Picture] instead.

2.Time

·Under [Time], enter the duration of time used to change the picture display gradually (e.g. move the picture across the screen) in units of 0.1 seconds. The range is 0~1000. Use zero to change the picture's properties to their new values instantly.

3.Operation

·If [Wait for Completion] is enabled under [Operation], event processing will not continue until processing of this command is complete.


[Erase Picture]

Function

·Removes a picture that is currently displayed.

Settings

·Under [Number], one of three modes can be selected:

oSingle: Enter a number between 1~1000 that corresponds to the ID of the picture to remove.

oBatch: Enter a range of ID numbers of pictures to remove. The second value is inclusive.

oVariable: Select a variable whose value will be used to specify the ID of the picture to remove.

·Note that pictures may also be erased without using this command, in the following cases:

oThe player is moved to a new map, and the [Erase on Map Change] option was selected when the picture was shown using the [Show Picture] command.

oA battle ends, and the [Erase on Battle End] option was selected when the picture was shown using the [Show Picture] command.

oThe picture is using a spritesheet animation, the last sprite in the spritesheet has been displayed and the [After End: Erase] option was selected in the [Spritesheet Settings] window when the picture was shown using the [Show Picture] command.


[Show Animation]

Function

·Shows battle animation on the map.

Settings

·Choose the battle animation to show from the dropdown menu under [Animation].

·Choose the location to display the animation at from the dropdown menu under [Character]. The options available are player, vehicles (3 types) and events. "This Event" refers to the last map event on the call stack.

·If [Wait for Completion] is activated under [Options], the player will not be able to move until the animation is complete.

·If [Show on the Entire Map] is activated under [Options], the animation will be displayed tiled across the entire map.


Show/Hide Player

[Show Animation]

Function

·Make the player invisible (transparent), or make an invisible player visible again.

Settings

·Set the action to be taken under [Transparency].

oON: Makes the player transparent.

oOFF: Makes a transparent player visible again.


[Flash Event]

Function

·Temporarily covers an event with a color and slowly returns it to normal. This gives the effect of a flashing light.

Settings

·Under [Event], choose the character to flash from the dropdown menu. "This Event" refers to the last map event on the call stack.

·Define the [Flash color] using the 4 components [Red (R)], [Green (G)], [Blue (B)] and [Value (V)].

oThe range of possible values is 0~31 (32 levels).

oTo specify their values, either drag their respective sliders, or directly enter the values.

oThe final color will be displayed under [Sample].

·Under [Flash duration], enter the duration of time (unit: 0.1 seconds) that should pass between the color flash and when the character returns to its original colors. The range is 0~1000.

·If [Wait until flashing is complete] is enabled under [Options], the player will not be able to move until this command has finished processing.

Notes

·[Value] determines how strong the flash is. The smaller the value, the less obvious the flash is, so setting it to the highest value of 31 is recommended.


[Move Event]

Function

Set and carry out the move route for actors, vehicles and events.

Settings

·Please refer to “Move route” for setting methods.


[Wait for All Movement]

Function

·Carry out all commands in a [Move route] set before this event command, ignoring player controls.

Settings

·There are no settings.

Notes

·When the [Move route] is completed, this event command finishes processing. For this reason, if the move route is not completed, the game will not continue.
This situation may be avoidable if the [Skip If Cannot Move] option is selected under [Move route] or the [Through ON] command is used.

·If [Repeat Action] is enabled under [Move route], the actions will be repeated and the game will stop being responsive.


[Stop All Movement]

Function

·Interrupts all movement and actions under [Move route].

Settings

·There are no settings.


[Wait]

Function

·Sets a period of time when the player will not be able to control the character.
For events such as moving the character or making changes to the screen where time is needed, the event will be processed while the player has no control.

Settings

·There are 2 options for the wait time that can be chosen via radio buttons.

oFor [Time], enter the amount of time to wait. The time is measured in units of 0.1 seconds.

oFor [Wait for Key Input], wait is applied until the player presses any key.

Notes

·The effect of the wait command is the same as the effect when a message is displayed onscreen using [Show Text].


[Play BGM]

Function

·Plays a BGM sound file. Any BGM that was playing before this command will be stopped.

Settings

·Choose the name of the sound file to play from the list on the left and click [OK].

·When choosing the file, the format for playback can also be set. When [Play] is pressed, the BGM can be listened to according to the defined format (To stop playback, click the [Stop] button).

[Fadein Time]: Specify the duration required for the sound to reach the set volume starting from silence, within a range of 10 seconds. If set to “None”, the sound will play at the specified [Volume] from the beginning.

[Volume]: Specify within a range of 0 (silence) to 100% (loudest).

[Tempo]: Specify the playback speed within a range of 50-150%. At 100%, the playback speed will be the same as the original file's. At 50%, it will be half the speed, and 1.5 times the speed at 150%.

[Balance]: Adjusts the sound level from the left and right speakers during stereo playback. If set to center, the sound will be played at the same sound level from both speakers.

Notes

·If the current BGM is the same as the specified sound file, this command will be ignored.


[Fadeout BGM]

Function

·Slowly lowers the volume of the current BGM (fadeout).

Settings

·Under [Fadeout time], the amount of time taken before the music stops can be set within a range of 20 seconds. Click and drag the scrollbar to set the time. Each option can be set by dragging their respective sliders.

· bm221 is pressed, the BGM selector will be used to replay the BGM in the editor.

· bm222 is pressed, the fadeout will begin. This can be used to check the effect of the fadeout as it will be heard in the game.

Notes

·Even if the BGM is faded out, it does not stop playing.


[Memorize Current BGM]

Function

·Remembers the currently playing BGM. The remembered sound file can be replayed with the [Play remembered BGM] command.

Settings

·There are no settings.

Notes

·Only 1 sound file can be remembered. Remembered content is overwritten when this command is processed.


[Play Memorized BGM]

Function

·Plays a sound file that was remembered with the [Play remembered BGM] command.

Settings

·There are no settings.

Notes

·If the remembered sound file is the same as the currently playing BGM, the BGM will be played from the start again.

·If there is no remembered sound file, the BGM will not be played.


[Play SE]

Function

·Play a sound effect from a sound file.

Settings

·Click to select the sound file to play from the list on the left side of the window, then click the [OK] button.

·When specifying the file, the play format for the file can be adjusted. When the [Play] button is clicked, the BGM will play according to the specified format (to stop the sound, click the [Stop] button).

o[Volume]: Define the sound volume between 0 (no sound) to 100% (loudest).

o[Tempo]: Define the play speed between 50 ~ 150%. At 100%, the file will play at original speed, half speed at 50%, and 1.5 times at 150%.

o[Balance]: Adjusts the sound volume of both left and right speakers when playing in stereo mode. If set to center, the sound will be played at the same volume from both speakers.

Notes

·By using this command in succession, it is possible to play multiple sound files at the same time.


[Play Movie]

Function

Plays a movie (AVI file, MPEG file).

Settings

·The movie to play is set under [Movie file]. Click the [...] button, choose the file name from the [Movie file] window, and click the [OK] button.

·[Display size] specifies the size that the movie will be played at. The left field specifies the horizontal width (1~320 pixels) while the right field specifies the vertical height (1~240 pixels).

oUnder [Display Position], the coordinates for the top-left corner of the movie can be set using either of the methods below.

oConstant: Displays the movie at a fixed position defined by its top-left coordinates. Enter the horizontal [X] coordinate (0~320) and vertical [Y] coordinate (0~240).

oVariable: Uses values stored in variables to specify the top-left corner of the movie. The variables used can be specified from the [Variables] window accessible by clicking the [...] buttons.


[Key Input Processing]

Function

·Converts the key pressed by the player into a key code (numerical value) and stores it in a variable.

·It is also possible to wait for the player to press a specific key.

Settings

·The keys that can be read and their respective key codes are as follows.

Number: Key (NumLock ON)

1: Direction key down, J

2: Direction key left, H

3: Direction key right, L

4: Direction key up, K

5: Enter, Spacebar, Z

6: Esc, X, C, V, B, N

10: 0, Numpad 0

11: 1, Numpad 1

12: 2, Numpad 2

13: 3, Numpad 3

14: 4, Numpad 4

15: 5, Numpad 5

16: 6, Numpad 6

17: 7, Numpad 7

18: 8, Numpad 8

19: 9, Numpad 9

20: Numpad +

21: Numpad -

22: Numpad *

23: Numpad /

24: Numpad .

Number: Key (NumLock ON)

1: Direction key down, J, Numpad 2

2: Direction key left, H, Numpad 4

3: Direction key right, L, Numpad 6

4: Direction key up, K, Numpad 8

5: Enter, Space, Z

6: Esc, X, C, V, B, N, Numpad 0

10: 0

11: 1

12: 2

13: 3

14: 4

15: 5

16: 6

17: 7

18: 8

19: 9

20: Numpad +

21: Numpad -

22: Numpad *

23: Numpad /

Notes

·Key input is handled using the standard keyboard inclusive of a number pad. On notebook computers and some computers that do not have a number pad, the numpad keys cannot be used regardless of whether the NumLock is ON or OFF.

·Specify the variable to receive the key code under [Variable]. The variable to use can be selected from the [Variables] window which can be opened by clicking the [...] button.

·Specify the variable to receive keypress duration under [Variable] in units of 0.1 seconds. The variable to use can be selected from the [Variables] window which can be opened by clicking the [...] button.

·Under [Allowed keys], specify the keys for which to allow input for the processing of this command. Disabled (unchecked) keys will not be accepted as input.

·If [Wait for Key Input] under [Options] is enabled, processing will not continue until a key is pressed. This is set to active by default.


[Change Tileset]

Function

Changes the [Tileset] image that is currently set for the map.

Settings

·From the [Tileset] dropdown menu, choose the new tileset to use.

Notes

·Only the image will be changed. The same tiles will be used relative to the tileset image.

·The tileset change will only be effective while the player is on the map where the command is carried out. Once the player moves to another map, it will return to its original settings.


[Change Parallax Back]

Function

·Temporarily changes the [Background] image of the map.

Settings

·Specify the new background image file under [Graphic]. From the [Backgrounds] window that opens when [...] is clicked, choose the file name of the new image and click the [OK] button.

·If [Loop Horizontal] and/or [Loop Vertical] under [Options] are enabled, the background will loop in the respective direction. In this situation, the background will scroll at half the movement speed of the player.

·If [Automatic Scroll] is effective, the background will scroll even when the player is not moving. The scroll speed can be set under [Speed] within a range of -8~8. If a negative value is set, the background will scroll upwards if scrolling vertically and leftwards if scrolling horizontally.

Notes

·Even if the [Parallax Background] option is not enabled in the map's settings, using this command to change the background image will cause the background to be displayed.

·The change in background is only effective for as long as the player is on the map on which this command is carried out. If the player moves to another map, the background will return to normal.


[Set Encounter Rate]

Function

·Temporarily changes the [Set Encounter Rate] for the map.

Settings

·Enter a value between 0~999 for the new step count into [Average Steps].

Notes

·The changed value will only remain in effect while the player is on the map. When the player moves to another map, the [Encounter Rate] will return to normal.


[Change Tile]

Function

Temporarily change a map tile to another tile.

Settings

·The process is as follows.

oUnder [Layer], choose whether the type of tile to be changed is an upper layer tile or lower layer tile.

oUnder [Original Tile], specify the tile to change. When the [Settings] button is clicked, the [Tile] window will appear. Click the image to select the tile, and click [OK].

oUnder [New Tile], choose the tile to change the tile selected in [Original Tile] to. The selection method is the same as the previous.

Notes

·Tile changing will occur for all occurrences of the same tile on the map.
For situations such as opening doors and treasure chests where only a specific tile needs to be changed, create an event with that image instead and use event conditions to change it.

·The changed tiles will only remain in effect while the player is on the map. When the player moves to another map, the tiles will return to normal.


[Set Teleportation Point]

Function

·This command adds or removes locations that can be teleported to using teleportation skills and items.

·Only one teleport location can be set per map or area.

Settings

·Locations can be added as follows.

1.Under [Operation], choose [Add].

2.Under [Location], click the [...] button to open the [Transfer location] window (see below).

3.Click to choose the map/area containing the desired location from the list on the left side of the window.

4.From the map/area shown on the right side of the window, click to select the position, then click the [OK] button. The map zoom level changes when [1/1], [1/2] or [1/4] is clicked.

5.If [Switch to turn ON after teleporting] is enabled, a specific switch will be turned ON when the player teleports to the location specified in 4. The switch to be used can be selected from the [Switches] window which can be opened by clicking the [...] button.

·Locations can be removed as follows.

1.Under [Operation], choose [Remove].

2.Under [Location], click the [...] button to open the [Transfer location] window.

3.Choose the map/area that contains the teleport location to remove from the list on the left side of the window, and click the [OK] button (there is no need to specify the location itself).

Notes

·If another teleport location is added to a map or area that already contains a teleport location, the previous teleport location will be removed.

·To set multiple teleport locations on the same map, create areas in the map, and specify teleport locations for those areas.

·If more than 1 teleport location is set, teleportation skills will become usable.


[Teleportation On/Off]

Function

・Changes the [Teleport] settings for the map. Teleport can be temporarily enabled or disabled.

Settings

·Under [Operation], choose [Disable] or [Enable].

Notes

·This feature will only remain in effect while the player is on the map. When the player moves to another map, Teleportation access will return to normal.


[Set Escape Location]

Function

·This command sets a location that can be escaped to using escape skills and items.

Settings

·Locations can be set as follows.

1.Click the [...] button to open the [Escape location] window (see below).

2.Click to choose the map/area containing the desired location from the list on the left side of the window.

3.From the map/area shown on the right side of the window, click to select the position, then click the [OK] button. The map zoom level changes when [1/1], [1/2] or [1/4] is clicked.

4.If [Switch to turn ON after escaping] is enabled, a specific switch will be turned ON when the player escapes to the location specified in 3. The switch to be used can be selected from the [Switches] window which can be opened by clicking the [...] button.

Notes

·Only one location can be set as an escape location. If an escape location has already been set before this command is used to set another escape location, the previous one will be removed.

·The escape function is similar to the “Teleport” function, but by changing the ability to use either depending on the map, it is possible to make a distinction between the two.

·For example, “Teleport” can be disabled in a dungeon, but “Escape” can be enabled instead to return to the entrance.


[Change Escape Access]

Function

·Changes the [Escape] settings for the map. Escape can be temporarily enabled or disabled.

Settings

Under [Operation], choose [Disable] or [Enable].

Notes

·The escape rules will only remain in effect while the player is on the map. When the player moves to another map, the escape rules will return to normal.


[Open Save Menu]

Function

·Opens the save menu.

·The player can be allowed to save on a map where it is prevented.

Settings

·There are no settings.


[Change Save Access]

Function

Changes the ability to save progress.

Settings

Under [Operation], choose [Disable] or [Enable].

Notes

·The settings will only remain in effect while the player is on the map. When the player moves to another map, the settings will return to normal.


[Open Menu Screen]

Function

·Opens the menu screen.

Settings

·There are no settings

Notes

·When the player is on the menu screen, event processing is paused. When the menu is closed, the next command begins processing.


[Change Menu Access]

Function

·Changes the ability to open the menu.

Settings

·Under [Operation], choose [Disable menu] or [Allow menu usage].

Notes

·If the menu is disabled, the menu will not be accessible until it is re-allowed.


[Conditional Branch]

Function

·Creates branching in the event content to provide handling when conditions are met.

Settings

·Choose the condition from the various options and specify their content (options are separated into [Tab 1] and [Tab 2]).

·If [Set handling when conditions do not apply] is enabled under [Option], a branch will be created for handling when the specified conditions are not met.

oSwitch

The condition will be set based on the state of a switch. Click the [...] button to open the [Switches] window to specify a switch, and specify if the switch's state should be [ON] or [OFF].

oVariable

The condition will be set based on the value stored in a variable. The variable to use (A), the value to compare it with (B) and the operator (C) are specified as follows. As an example, to set the condition “Variable no. 1 is greater than 5”, set A as “0001”, B as the constant “5”, and C as “Greater than”.

(A) Variable to use:

Click the [...] button to open the [Variables] window to specify the variable.

(B) Value to compare:

Specify using one of the following methods.

Constant: Compare with a constant value. Enter within the range of -999999~999999.

Variable: Compare with a value stored in a variable. Click the [...] button to open the [Variables] window to specify the variable.

(C) Operator:

From the dropdown menu, choose the range that the variable should fit in from the 6 options below.

Equal to: A = B

Greater than or equal to: A ≧ B

Less than or equal to: A ≦ B

Greater than: A > B

Less than: A < B

Not: A ≠ B

oTimer 1

Uses the time remaining in Timer 1. Enter the comparison time in terms of [minutes][seconds], and specify if the timer's time should be [Greater than or equal to] or [Less than or equal to] this time.

oTimer 2

Uses the time remaining in Timer 2. Enter the comparison time in terms of [minutes][seconds], and specify if the timer's time should be [Greater than or equal to] or [Less than or equal to] this time.

oMoney

Uses the current money in possession. Enter the amount of money to compare to, and specify if the possessed money should be [Greater than or equal to] or [Less than or equal to] this amount of money.

oItem

Uses a possessed item. Specify the item's name and whether it is [in Inventory] or [not in Inventory] using the respective dropdown lists. Items that are equipped on actors in the party are counted as [in Inventory].

oActor

Uses an actor's status. Use the dropdown menu to specify the actor, and click the [...] button to specify the condition in the [Actor condition] window.

Specify the condition from the following.

~ is in the party: Checks whether the actor is in the party.

~'s name is: Checks the actor's name. Enter the name condition in the form control.

~'s level is: Checks whether the actor has reached a particular level. Enter the level condition.

~'s HP is: Checks whether the actor's HP is above a certain value. Enter the HP value condition.

~ 's skill: Checks whether the actor can use a particular skill. Choose the skill from the dropdown menu.

~ 's item: Checks whether the actor has a particular item equipped. Choose the item from the dropdown menu.

~ 's state: Checks whether the actor is afflicted by a particular status effect. Choose the status effect from the dropdown menu.

oCharacter

Uses the character's facing direction. Choose the character and the facing direction from the dropdown menu. "This Event" refers to the last map event on the call stack.

oVehicle

Uses the current vehicle. Specify the vehicle using the dropdown menu.

oEvent was triggered by decision key

Checks whether the select key was used to start this event.

oCurrent BGM has completed a loop

Checks if the BGM has been played for the duration of one loop.

oOther

Miscellaneous conditions. Select one from the dropdown box:

§Savestate is available: Checks whether at least one saved game exists. Can be used to determine whether to offer the option to load a game from a custom title screen.

§Playtest mode is active: Checks whether the game is currently in playtest mode. Can be used to activate specific debug or cheating options only during playtest and not during normal play.

§ATB mode is "Wait ON": Checks whether the ATB mode (whether or not wait with enemy attacks while the player selects a skill/item) is set to "Wait ON".

§Fullscreen mode is active: Checks whether the game is running in fullscreen (as opposed to windowed) mode.


[Label]

Function

·Sets a jump label in the event command list.

·[Jump to label] can be used to move command processing to a set label.

Settings

·Enter the label number to set in [Label number]. Numbers between 1~1000 can be used.

Notes

·If multiple labels with the same number are present in the same event list, processing will jump to the first of such labels.


[Jump to Label]

Function

·Processing will move to the specified label in the event command list that was set in [Label].

Settings

·Enter the label number in [Label number].

Notes

·The label must be in the same event, on the same event page.

·If no such numbered label has been set in the event contents, this command will not take effect.


[Loop]

Function

·Creates a line to repeat event content.

Settings

·There are no settings.

·The content to be repeated is to be registered separately under the line created by this command.

·Commands registered under this line will be repeated indefinitely until the [Break loop] command is encountered.


[Break Loop]

Function

Interrupts command processing within a [Loop], and moves on to process the next event command.

Settings

There are no settings.

Notes

If this event command is carried out outside of a [Loop], event handling ends.


[End Event Processing]

·End any events currently being processed.

Settings

·There are no settings.


[Erase Event]

Function

·Temporarily removes the current event from the map, for as long as the actor stays on the current map. If used in a common event, it refers to the last map event on the call stack.

Settings

·There are no settings.

Notes

·Once the actor moves to another map, the disabling will be undone, and the event will work again according to its conditions.


[Call Event]

Function

·Calls other common or map events and processes them.

·When the called event has finished processing, this event command finishes processing as well. Processing then moves on to the next event command.

Settings

·Specify the event to be called from the following methods.

oCommon Events:

Calls a common event. Specify the common event's name from the dropdown menu.

oMap event (Constant):

Calls another map event. Choose the event's name and page number from the dropdown menus. "This Event" refers to the last map event on the call stack.

oMap event (Variable):

Calls another map event using input from a value stored in a variable. Specify variables that contain the event ID number and page number respectively.


[Comment]

Function

·Displays a comment in the event contents list.

Settings

·The allowed length of the text is unlimited.

Notes

·Comments do not affect events. When adding a complicated series of commands, comments can be used to write notes explaining the content.


[Game Over]

Function

·Displays a Game Over graphic and ends the game, returning the player to the title screen.

Settings

·There are no settings.


[Return to Title Screen]

Function

·Ends the game and return to the title screen.

Settings

·There are no settings.


[Change Actor Class]

Function

·Change an actor's job during an event.

Settings

·Under [Actor], choose the actor whose job to change.

·Under [Class], choose the new job to change to.

·Under [Level], choose the level of the character after changing job.

oNo change: The actor's level remains the same.

oSet to 1: The actor's level will be set to level 1.

·Under [Skills], use radio buttons to choose whether the actor can learn skills gained at levels below the current level under the new job.

oNo change: No new skills are learned.

oLearn based on level: Automatically learns new skills that a character with the new job would already have learned at the actor's current level. (Skills learned before changing job will disappear)

oLearn additionally: Skills that a character with the new job would already have learned at the actor's current level will be learned on top of the actor's old skills.

·Under [Stat change], use radio buttons to choose how character stats will change after the job change.

oNo change: The actor's stats will remain the same.

oHalve: Halves all the stat values.

oSet to level 1: Stats will be set to the values they would be at level 1 under the new job.

oChange based on level: Stats will be set to the values they would be at the current level under the new job.

·If [Show Level Up message] is enabled under [Option], the level up and new skill learned messages will be displayed either change.


[Change Battle Commands]

Function

·Changes the battle commands set in the Battle Screen.

Settings

·Under [Actor], choose the actor whose battle commands are to be changed from the dropdown menu.

·Under [Command], choose the battle command to change. In the dropdown menu, the “All” option changes all of the character's battle commands.
Once the battle command to change has been selected, choose whether to [Remove] or [Add] with the radio buttons.
If “All” is selected, only [Remove] can be used. In addition, if there are already 6 battle commands, the command to [Add] will be ignored.


[Open Load Menu]

Function

·Opens the "Load Game" screen which allows the player to load a saved game.

Settings

·There are no settings.


[Exit Game]

Function

·Ends the game and returns to Windows.

Settings

·There are no settings.


[Toggle ATB Wait Mode]

Function

·Toggles the "Wait ON" / "Wait OFF" state for battle. If it was ON, it will be set to OFF, and vice-versa.

·This makes it possible to modify the ATB Wait Mode (normally done using the "Wait ON/OFF" option in the main menu) via events.

Settings

·There are no settings.


[Toggle Fullscreen Mode]

Function

·Switches between windowed and fullscreen mode. If the game was displayed in windowed mode, it will be switch to fullscreen mode, and vice-versa.

·This makes it possible to switch between windowed and fullscreen mode (normally done using the [F4] key or the video options) via events.

Settings

·There are no settings.


[Open Video Options]

Function

·Opens the [Video Options] window.

·This makes it possible to open the video options (normally done using the [F5] key) via events.

Settings

·There are no settings.


[Change Enemy HP]

Function

Changes the HP of an enemy.

Settings

·From [Target], choose the enemy character whose HP should be changed from the dropdown menu.

·Under [Operation] choose whether the HP should be increased or decreased.

·Under [Operand], choose one of the following methods for changing the enemy's HP.

oConstant: Uses a fixed value. Choose from either a constant value or a percentage of the current HP. If using a constant, enter a number between 1~999 to change the HP by. If using a percentage, enter the percentage to change the HP by.

oVariable: Uses a value stored in a variable. For example, if variable no. 2 is specified and contains the value “5” when the command is carried out, the enemy's HP will change by 5.
The variable to be used can be chosen from the [Variables] window that opens when [...] is clicked.

oPercentage: Enter the base value and set the percentage to change the current HP by.

·If [Allow Knockout] is enabled in [Option], when the enemy's HP becomes 0 due to this command, the enemy will be defeated. If the option is disabled, the enemy will be left with 1 HP and not be defeated by the command.


[Change Enemy MP]

Function

Changes the MP of an enemy.

Settings

·From [Target], choose the enemy character whose MP should be changed from the dropdown menu.

·Under [Operation] choose whether the MP should be increased or decreased.

·Under [Operand], choose one of the following methods for changing the enemy's MP.

oConstant: Uses a fixed value. Enter a number between 1~9999 to change the HP by.

oVariable: Uses a value stored in a variable. For example, if variable no. 2 is specified and contains the value “5” when the command is carried out, the enemy's MP will change by 5.
The variable to be used can be chosen from the [Variables] window that opens when [...] is clicked.


[Change Enemy State]

Function

·Changes the status of an enemy.

Settings

·Under [Target], choose the enemy character whose status is to be changed from the dropdown menu.

·Under [Operand], choose one of the following for changing the status.

oAdd: Places a status effect on the enemy.

oRemove: Removes the enemy's status effect.

·Choose the status effect type from the dropdown menu under [State].


[Enemy Encounter]

Function

The enemy character set in the [Appear midway] option will join the battle.

Settings

Specify the enemy character from the dropdown menu under [Enemy].

Notes

If the [Appear Midway] option is not set for the specified [Target] enemy, the command will not be processed.


[Change Battleback]

Function

Changes the background graphic used in a battle.

Settings

·From the list on the left side of the window, select the new image name to be used. The selected image will be previewed on the right side of the window.


[Show Animation]

Function

·Shows battle animation on the battle screen.

Settings

·Specify the name of the battle animation to show using the dropdown menu under [Battle animation].

·Under [Target], specify whether the animation should be shown over the [Entire group], or a single enemy.

·If [Wait for Completion] is enabled, all other processing is stopped until the animation has completed.

Notes

If the animation itself has a different [Enemy range] (group or individual) from the [Target] setting, the battle animation will follow these rules.

oI. If the range is [Single] and the target is [Entire group], the battle animation will be shown at the same time for each of the enemies.

oII. If the range is [Screen] and the target is a single enemy, the battle animation will be shown over the whole screen, but only the target enemy's image will flash.


[Battle Events]

Function

·Creates branching in the event content to provide handling when conditions are met.

Settings

·Under [Condition], specify one of the conditions to handle event branching.

oSwitch

The condition will be set based on the state of a switch. Click the [...] button to open the [Switches] window to specify a switch, and specify if the switch's state should be [ON] or [OFF].

oVariable

The condition will be set based on the value stored in a variable. The variable to use (A), the value to compare it with (B) and the operator (C) are specified as follows. As an example, to set the condition “Variable no. 1 is greater than 5”, set A as “0001”, B as the constant “5”, and C as “Greater than”.

(A) Variable to use:

Click the [...] button to open the [Variables] window to specify the variable.

(B) Value to compare:

Specify using one of the following methods.

Constant: Compare with a constant value. Enter within the range of -999999~999999.

Variable: Compare with a value stored in a variable. Click the [...] button to open the [Variables] window to specify the variable.

(C) Operator:

From the dropdown menu, choose the range that the variable should fit in from the 6 options below.

Equal to: A = B

Greater than or equal to: A ≧ B

Less than or equal to: A ≦ B

Greater than: A > B

Less than: A < B

Not: A ≠ B

oActor:

Checks if an actor can move. Choose the actor to check from the dropdown menu.

oEnemy ~ can move:

Checks if an enemy can move. Choose the enemy to check from the dropdown menu.

oEnemy ~ is the target:

Narrows down the target from the enemies present. This is useful when creating special commands such as “Steal”. Choose the target enemy from the dropdown menu.

oBattle command:

Begin handling when the specified command such as a skill or item is used. Choose “Actor” and “Command” from the respective dropdown menu.

If [Set handling when conditions do not apply] is enabled under [Options], a branch will be created for handling when the specified conditions are not met.


[Abort Battle]

Function

·Ends the battle regardless of loss or victory.

Settings

·There are no settings.


[Call Common Event]

Function

·Calls and processes a common event.

·When the called event finishes processing, this event command will finish processing as well, and move on to the next event command.

Settings

·Calls a common event. Select the name of the event to call from the dropdown menu.


[Force Escape]

Function

·Allows the player to escape from an encounter battle with 100% certainty.

Settings

·From the dropdown menu, choose the escaping character(s) from the below options.

oEntire player's party: The player's party escapes.

oAll enemies: All enemy characters escape.

oEnemy character 1~8: Only one enemy from the enemy group escapes. Choose from the dropdown menu of monster names.


[Action Times +]

Function

·Perform attacks and skills consecutively in the same turn.

Settings

·Specify the command to perform consecutively from the dropdown menu in [Command].

·Enter the number of times to repeat under [times consecutively].


Material References

Resource Specification

Spritesheets

Tileset Specification

System Graphic Specification

System 2 Graphic Specification

Battle Formula

Special Characters Reference

Error Message Handling


Resource Specification

[Reference] → [Resource Specification]

Common Image Requirement

oData format: BMP, PNG, XYZ (proprietary format)

oColor count: 256 colors (8-bit color)

§First color in the palette is used as transparent color.

Specific Image Requirements

oBattle Background Graphics

Folder: Backdrop

Image size: W 320 x H 240

1 image per file.

oBattle Animation Graphics

Folder: Battle

Image size: W 480 x H 96~480

·96 x 96 pixels per image, arranged in a set of 5 horizontally forms 1 block (highlighted in red). Up to 5 vertically arranged blocks can be included in 1 image.

oBattle Animation 2 Graphics

Folder: Battle2

Image size: W 640 x H 640

·128 x 128 pixels per image, arranged in a set of 5 horizontally forms 1 block (highlighted in red). Arrange blocks vertically.

·When used as extra animation for battle characters, it will be layered over the centers of the basic battle character and summoning magic animation.

oCharacter Set Graphics

Folder: CharSet

Image size: W 288 x H 256

·Each frame of 1 character facing 1 direction should be W 24 x H 32 (1).

·For each character, arrange 4 directions (up, down, left, right) x 3 frames of walking animation (Left, Middle, Right) for 12 frames in total, according to the screenshot (2).

·4 by 2 for a total of 8 characters can be included in 1 file (3).

oCharacter Battle Animation Graphic (Battle Charset)

Folder: BattleCharSet

Image size: W 144 x H 384

·Place 3 of a 48 x 48 pixel character horizontally. Animation will follow the frame order 1->2->3.

·3 by 8 frames for a total of 16 frames can be included in 1 file.

oWeapon Animation (Battle Weapon)

Folder: BattleWeapon

Image size: W 192 x H 512

o3 of a 64 x 64 pixel weapon graphic should be placed horizontally. Animation will be carried out in the order 1->2->3 starting from the left. This forms 1 unit and 32 units can be lined up vertically.

oThe “Right hand attack” and “Left hand attack” animations are created by layering the center of the “Right hand attack” or “Left hand attack” files with the center of the “Weapon” files.

oTileset Graphics

Folder: ChipSet

Image size: W 480 x H 256

·1 tile is 16 x 16 pixels. 1 file consists of 30 tiles horizontally by 16 tiles vertically.

·The location of each type of tile in the image determines its usage. Please refer to “Tileset Specification” for specific positioning and purposes.

oFace Graphics

Folder: FaceSet

Image size: W 192 x H 192

·Each image is W 48 x H 48. 1 file can contain 4 x 4 images for a total of 16 images.

oFrame Graphics

Folder: Frame

Image size: W 320 x H 240

·1 image per file.

oGame Over Graphics

Folder: GameOver

Image size: W 320 x H 240

·1 image per file.

oEnemy Battler Graphics

Folder: Monster

Image size: W 16~200 x H 16~240

·1 image per file.

oBackground Graphics (Parallax)

Folder: Panorama

Image size: W 80~640 x H 80~480

·1 image per file.

oPicture Graphics

Folder: Picture

Image size: Any size

·1 image per file.

oSystem Graphics

Folder: System

Image size: W 160 x H 80

·This is a graphic that specifies the text and window display colors (gradation). For specific details, please refer to “System Graphic Specification.”

oSystem Graphics 2

Folder: System2

Image size: W 80 x H 96

·Arrows for the cursor, battle gauges, numbers etc. should be conform to the following sizes and positions. For specific details, please refer to “System Graphic 2 Specification.”

oTitle Graphic

Folder: Title

Image size: W 320 x H 240

·1 image per file.

Sound and Video Requirements

oMovies

Folder: Movie

Data format: AVI (*.avi), MPEG (*.mpg)

oMusic

Folder: Music

Data format: MIDI (*.mid), WAV (*.wav), MP3 (*.mp3)

·If the Control Change MIDI message no. 111 is set in track 1, the song will repeat itself from that position (conversely, for music that should not be looped such as fanfares, placing the Control Change message at the end of the song data will make it stop there).

·MP3 files with VBR (variable bitrate) must not be used! This format is not supported and might cause error messages at runtime.

oSound Effect

Folder: Sound

Data format: WAV (*.wav)

oNotes:

·You can restore the last used subfolder of a resource type by holding the Shift key while opening the resource selector. In the settings, you can reverse this behaviour, so that the last subfolder is always restored unless Shift is pressed. The resource manager will always remember the last used subfolder.


Spritesheets

Navigation: RPG Maker 2003 > Material References >

Spritesheets

[Reference] → [Spritesheets]

·A spritesheet is an image file which can contain more than one graphic ("sprite"), ordered in rows and/or columns.

·The number of rows and columns can be defined by the user. There is no size limit, but large spritesheets can require a substantial amount of memory.

·All sprites in a spritesheet have the same dimensions.

·Spritesheets can be used as a group of different graphics which can be easily selected by their ID or through a variable. Spritesheets can also be used for animations, by putting animations frames inside the spritesheet which will then be displayed in rapid succession.

·Spritesheets are used with the [Show Picture] command.

Example Spritesheet

·This spritesheet has 5 columns (i.e. 5 sprites per row) and 2 rows (i.e. 2 sprites per column).

·Each sprite has an ID. The IDs start with 1 and are numbered from left to right and then top to bottom.

·When used as animation, the sprites 1~10 will be displayed in succession. If looping is enabled, then sprite 1 would be displayed again after sprite 10 had been displayed.

Spritesheet Settings Window

1.Number of Sprites in Image

·Choose how many sprites exist horizontally (i.e. number of columns/number of sprites per row) and vertically (i.e. number of rows/number of sprites per column) in the spritesheet.

oIf you don't want to be required to remember and set the correct numbers every time you select a spritesheet to display, you can use a "magic filename". By adding "[x,y]", where x is the number of sprites horizontally and y is the number of sprites vertically, anywhere in the filename, these numbers will be automatically set. For example, you may name your spritesheet file "mysprite[5,2]" to automatically set the number of sprites to 5 horizontally and 2 vertically whenever you select this image file.

2.Sprite to Display

·Select which sprite from the spritesheet to display. You have three options:

oConstant: Manually select a sprite by specifying its ID.

oVariable: Select a sprite by taking its ID from the specified variable's value.

§When the variable contains a value outside of the valid range (for example zero or a very high number), no graphic is displayed.

oAnimated: Use animated display.

§All sprites from the spritesheet will be displayed in succession.

§You can adjust the speed by specifying the number of frames (1/60th of a second) each sprite should be displayed before advancing to the next (higher value means slower animation, 1 is the fastest speed).

§You can specify what should happen once the last sprite from the spritesheet has been displayed: Using [Loop], the animation will start over and run indefinitely until the picture is erased. Using [Erase], the animation will end after the last sprite and the picture will be erased automatically.

3.Preview

·The selected sprite will be displayed here.

·If the [Animated] mode is used, the animation will be played here at the specified speed.


Tileset Specification

[Reference] → [Tileset Specification]

oBlock A (1~2)

·These tiles are used to automatically generate shorelines when Block B sea tiles are used. Two types, A1 and A2, can be created. 12 patterns make up 1 tile.

a: Shoreline on 4 edges

b: Shoreline on left and right

c: Shoreline on top and bottom

d: Shoreline in corners

I~III: 3 frames of animation for each of a~d

oBlock B

·These tiles are used as sea tiles (deep sea tiles). 12 frames make up shallow sea and deep sea.

a: Shallow sea

b: Shallow sea with deep sea in corners

c: Deep sea with shallow sea in corners

d: Deep sea

I~III: 3 frames of animation for each of a~d

oBlock C (1~3)

·These are used as animated tiles. 1 tile is made of 4 frames arranged vertically. 3 types of these tiles can be created.

oBlock D (1~12)

·These terrain tiles are used to automatically generate clusters and borders between tile types when creating the lower layer map.
Made of 12 patterns of the tile arranged in a 3 x 3 square, taking into consideration the cluster pattern when the tiles are placed.

a (1 pattern): Representative pattern (displayed in tile palette/used to generate borders)

b (1 pattern): Parent pattern (*)

c (1 pattern): Parent pattern in 4 corners

d (9 patterns): Borders in 8 directions and filled tile in center

oBlock E

·These are used as standard tiles when creating the lower layer map. 1 pattern makes up 1 tile, for a total of 144 possible tile types.

·If a background image is going to be used for the map, please create a tile that consists of only the transparent color located in Block E.

oBlock F

·These tiles are used on the upper layer map. 1 pattern makes up 1 tile, for a total of 144 possible tile types.

For each tile, please standardize the transparent color (color that will not be displayed) as a single color throughout the set.

·Please always place a tile that consists only of the transparent color in the location marked by an asterisk.

Notes

The representative pattern is used to create borders. It is recommended that this be set to the representative pattern of the ground tile.

For example, if it is a “snowy mountain” tile, set the parent tile to be “snow field”. If this is done, when the tile is placed on top of a “snow field” tile, a border will not be created.


System Graphic Specification

[Reference] → [System Graphic Specification]

A.Window background color (32 x 32)

B.Window frame color and arrows (32 x 32)

C.Frames for command cursor, 2 types (each 32 x 32)

D.Symbols for shop equipment displays, 4 types (each 8 x 8 pixels, x 4 frames of animation)

E.Background pattern for menu screens (16 x 16)

F.Text background color (16 x 16)

G.Numbers, symbols and space for timer display, 12 types (each 8 x 16)

H.Airship shadow frames, 2 types (each 16 x 16)

I.Text color, 20 types (each 16 x 16)

·Of the text colors specified in (i), the first 5 will be used as follows:

0: Default (No specification) text color

1: Color used for status names etc.

2: Increased parameter color

3: Decreased parameter color, disabled command color

4: Color used when HP, MP etc. are low

When changing text color during [Show Text] event commands, [Status] display color etc., the colors will be set with regards to this numbering.


System 2 Graphic Specification

[Reference] → [System 2 Graphic Specification]

A: Battle cursor (16 x 16 pixels)

B (1~3): Gauge frames displayed in battle, 3 types (each 48 x 16 pixels)

C: (1~6): Gauges displayed in battle, 6 types (each 16 x 16 pixels)

D: Status numbers displayed in battle (each 8 x 16 pixels)


Battle Formula

[Reference] → [Battle Formula]

·Consider the attacking character to be A, and the defending character to be B.

·The success of an action that depends on probability will be decided separately based on random number generation.

·In situations where the attack is assigned an element, the damage and effect fluctuation rate will be reflected separately.

Normal attack damage

Damage (HP reduction) = (A's attack / 2) – (B's defense / 4)

·The actual damage dealt will fluctuate randomly within the 80 to 120% range.

·The value is tripled for a critical hit.

·If B is defending, the damage will be halved. If B has strong defense, the damage will be 1/4 the value.

Normal attack accuracy

Accuracy (%) = 100 – (100 – A's equipment's base accuracy (%)) x {1 + (B's agility / A's agility – 1) / 2}

·If the “Ignore enemy dodge rate” option is enabled, the base accuracy will be used as-is for the accuracy value.

·Based on the current status, an accuracy fluctuation value (%) will be applied.

·If B has a piece of equipment with the “Increase dodge rate for physical attacks” effect equipped, the accuracy rate will be reduced by 25%.

·If B is under a status effect that causes B to be unable to move, the accuracy will be unconditionally 100%.

Skill effect

Effect = Base effect + (A's attack x Physical Rate / 20) + (A's mind x Magical Rate / 40)

·For each point in value fluctuation, the value will fluctuate between a range of ±5% (for a maximum possible range of +50~-50%).

·If [Ignore Defense] is not enabled for an attacking skill, the following value is subtracted from the effect value.

o(B's defense x Phyical Rate / 40) + (B's mind x Magical Rate / 80)

·If B is defending, the damage will be halved. If B has strong defense, the damage will be 1/4 the value.

·If the skill only revives a dead character (does not recover HP), the effect value is used as-is for the HP recovery (%) (full recovery if the value is 100 or above).

Skill success rate

Success rate (%) = Base success rate

·For skills that have multiple effects, the success rates for each effect are calculated separately.

·If the skill causes a change in status, the status effectiveness rate of the character will be multiplied (if the success rate of the skill of 50% and the status effectiveness rate is 50%, the actual chance of the status effect occurring is 25%).

·If the failure message is “...dodged the attack”, the skill is considered a physical skill and uses the “Normal attack accuracy” formula.

·If an attack that reduces HP or MP fails, any other effect on other stats and statuses will fail (the attack completely fails).

Escape success rate

Escape success rate (%) = {1.5 – (Enemies' average agility / actors' average agility)} x 100

·For example, when the average agility of both enemies and actors are the same, the escape success rate is 50%.

·For each failure to escape, the escape rate is increased by 10%.

·During a pre-emptive attack, escape is unconditionally successful.


Special Characters Reference

[Reference] → [Special Character Reference]

$A: Sword

$B: Shield

$C: 6-pointed star

$D: Sun

$E: Moon

$F: Mercury

$G: Venus

$H: Earth

$I: Mars

$J: Jupiter

$K: Saturn

$L: Uranus

$M: Neptune

$N: Pluto

$O: Aries

$P: Taurus

$Q: Gemini

$R: Cancer

$S: Leo

$T: Virgo

$U: Libra

$V: Scorpio

$W: Saggitarius

$X: Capricorn

$Y: Aquarius

$Z: Pisces

$a: Face (smile)

$b: Face (normal)

$c: Face (frown)

$d: Sweat 1

$e: Sweat 2

$f: Spade W

$g: Heart W

$h: Diamond W

$i: Club W

$j: Spade B

$k: Heart B

$l: Diamond B

$m: Club B

$n: Skull

$o: Cross

$p: Sun

$q: Moon

$r: Small circle

$s: Arrow (Up)

$t: Arrow (Right)

$u: Arrow (Down)

$v: Arrow (Left)

$w: Arrow (Up-right)

$x: Arrow (Down-right)

$y: Arrow (Down-left)

$z: Arrow (Up-left)


Error Message Handling

[Reference] → [Error Message Handling]

·“Invalid CBAData was specified.”: Battle character animation has not been set in at least one location. Please check the weapon animations for “Actors”, “Classes”, “Items” and so on.

·“Failed to call OS function”: Occurs when there are many Windows applications open. Close unneccessary applications to avoid this error.

·"Access violation": Indicates an internal error which can't be described in more detail. Please make sure no dead references exist, i.e. you are not referencing a database item at some place and then deleted said item, or referenced an image file which doesn't exist anymore.

·"Exceeded the amount of event calls on the stack.": You appear to have an event which calls it self over and over again. Only 1000 levels of recursion are allowed.

·"Invalid X was specified": At some place, a database item (X) was specified and later this item was deleted. For example, you might have an event which makes an actor learn skill #10. If you afterwards reduced the number of skills in the database to 5, there is no skill #10 anymore, and the error will be triggered when the game tries to make the actor learn the non-existent spell. If the error happens immediately after starting the game, it's most likely a default equipment or skill which was assigned to an actor in the database and later deleted.

·"Player's position wasn't specified": Make sure you set the starting position for the player correctly. Right-click on a tile in the map editor (in event editing mode) and choose "Set Player Starting Position".

·"Cannot open file X": A certain file (X), most likely a graphic file, wasn't found. Make sure no non-existent graphic file is referenced.

·Troubleshooting information for this software will be published on the RPG Maker Web Forums ( http://forums.rpgmakerweb.com/ ) on occasion. (Questions sent via e-mail cannot be answered. Please take note.)